!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 307

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1809)
  integer, parameter :: nGC_12862 = 1
  integer, parameter :: nGC_12863 = 2
  integer, parameter :: nGC_12860 = 3
  integer, parameter :: nGC_12861 = 4
  integer, parameter :: nGC_12864 = 5
  integer, parameter :: nGC_12865 = 6
  integer, parameter :: nGC_12516 = 7
  integer, parameter :: nGC_12514 = 8
  integer, parameter :: nGC_12515 = 9
  integer, parameter :: nGC_12888 = 10
  integer, parameter :: nGC_12889 = 11
  integer, parameter :: nGC_12880 = 12
  integer, parameter :: nGC_12881 = 13
  integer, parameter :: nGC_12882 = 14
  integer, parameter :: nGC_12883 = 15
  integer, parameter :: nGC_12884 = 16
  integer, parameter :: nGC_12886 = 17
  integer, parameter :: nGC_12887 = 18
  integer, parameter :: nGC_12648 = 19
  integer, parameter :: nGC_12642 = 20
  integer, parameter :: nGC_12643 = 21
  integer, parameter :: nGC_12640 = 22
  integer, parameter :: nGC_12641 = 23
  integer, parameter :: nGC_12646 = 24
  integer, parameter :: nGC_12647 = 25
  integer, parameter :: nGC_12644 = 26
  integer, parameter :: nGC_12645 = 27
  integer, parameter :: nGC_349 = 28
  integer, parameter :: nGC_345 = 29
  integer, parameter :: nGC_343 = 30
  integer, parameter :: nGC_341 = 31
  integer, parameter :: nGC_168 = 32
  integer, parameter :: nGC_169 = 33
  integer, parameter :: nGC_162 = 34
  integer, parameter :: nGC_163 = 35
  integer, parameter :: nGC_160 = 36
  integer, parameter :: nGC_161 = 37
  integer, parameter :: nGC_166 = 38
  integer, parameter :: nGC_167 = 39
  integer, parameter :: nGC_164 = 40
  integer, parameter :: nGC_165 = 41
  integer, parameter :: nGC_13479 = 42
  integer, parameter :: nGC_12875 = 43
  integer, parameter :: nGC_12874 = 44
  integer, parameter :: nGC_12877 = 45
  integer, parameter :: nGC_12876 = 46
  integer, parameter :: nGC_12871 = 47
  integer, parameter :: nGC_12870 = 48
  integer, parameter :: nGC_12873 = 49
  integer, parameter :: nGC_12513 = 50
  integer, parameter :: nGC_12879 = 51
  integer, parameter :: nGC_12878 = 52
  integer, parameter :: nGC_12500 = 53
  integer, parameter :: nGC_12503 = 54
  integer, parameter :: nGC_12502 = 55
  integer, parameter :: nGC_12899 = 56
  integer, parameter :: nGC_12898 = 57
  integer, parameter :: nGC_12893 = 58
  integer, parameter :: nGC_12892 = 59
  integer, parameter :: nGC_12891 = 60
  integer, parameter :: nGC_12890 = 61
  integer, parameter :: nGC_MHL = 62
  integer, parameter :: nGC_MHH = 63
  integer, parameter :: nGC_12766 = 64
  integer, parameter :: nGC_13362 = 65
  integer, parameter :: nGC_12659 = 66
  integer, parameter :: nGC_12658 = 67
  integer, parameter :: nGC_12655 = 68
  integer, parameter :: nGC_12654 = 69
  integer, parameter :: nGC_12657 = 70
  integer, parameter :: nGC_12656 = 71
  integer, parameter :: nGC_12651 = 72
  integer, parameter :: nGC_12650 = 73
  integer, parameter :: nGC_12653 = 74
  integer, parameter :: nGC_12652 = 75
  integer, parameter :: nGC_12885 = 76
  integer, parameter :: nGC_221 = 77
  integer, parameter :: nGC_220 = 78
  integer, parameter :: nGC_223 = 79
  integer, parameter :: nGC_222 = 80
  integer, parameter :: nGC_225 = 81
  integer, parameter :: nGC_224 = 82
  integer, parameter :: nGC_227 = 83
  integer, parameter :: nGC_226 = 84
  integer, parameter :: nGC_228 = 85
  integer, parameter :: nGC_12625 = 86
  integer, parameter :: nGC_359 = 87
  integer, parameter :: nGC_355 = 88
  integer, parameter :: nGC_357 = 89
  integer, parameter :: nGC_351 = 90
  integer, parameter :: nGC_353 = 91
  integer, parameter :: nGC_179 = 92
  integer, parameter :: nGC_178 = 93
  integer, parameter :: nGC_171 = 94
  integer, parameter :: nGC_170 = 95
  integer, parameter :: nGC_173 = 96
  integer, parameter :: nGC_172 = 97
  integer, parameter :: nGC_175 = 98
  integer, parameter :: nGC_174 = 99
  integer, parameter :: nGC_177 = 100
  integer, parameter :: nGC_176 = 101
  integer, parameter :: nGC_13464 = 102
  integer, parameter :: nGC_13466 = 103
  integer, parameter :: nGC_12798 = 104
  integer, parameter :: nGC_12799 = 105
  integer, parameter :: nGC_12794 = 106
  integer, parameter :: nGC_12795 = 107
  integer, parameter :: nGC_12796 = 108
  integer, parameter :: nGC_12797 = 109
  integer, parameter :: nGC_12790 = 110
  integer, parameter :: nGC_12791 = 111
  integer, parameter :: nGC_12792 = 112
  integer, parameter :: nGC_12793 = 113
  integer, parameter :: nGC_99 = 114
  integer, parameter :: nGC_98 = 115
  integer, parameter :: nGC_97 = 116
  integer, parameter :: nGC_96 = 117
  integer, parameter :: nGC_95 = 118
  integer, parameter :: nGC_94 = 119
  integer, parameter :: nGC_93 = 120
  integer, parameter :: nGC_92 = 121
  integer, parameter :: nGC_91 = 122
  integer, parameter :: nGC_90 = 123
  integer, parameter :: nGC_75 = 124
  integer, parameter :: nGC_74 = 125
  integer, parameter :: nGC_77 = 126
  integer, parameter :: nGC_76 = 127
  integer, parameter :: nGC_71 = 128
  integer, parameter :: nGC_70 = 129
  integer, parameter :: nGC_73 = 130
  integer, parameter :: nGC_72 = 131
  integer, parameter :: nGC_79 = 132
  integer, parameter :: nGC_78 = 133
  integer, parameter :: nGC_12583 = 134
  integer, parameter :: nGC_12649 = 135
  integer, parameter :: nGC_218 = 136
  integer, parameter :: nGC_219 = 137
  integer, parameter :: nGC_214 = 138
  integer, parameter :: nGC_215 = 139
  integer, parameter :: nGC_216 = 140
  integer, parameter :: nGC_217 = 141
  integer, parameter :: nGC_210 = 142
  integer, parameter :: nGC_211 = 143
  integer, parameter :: nGC_212 = 144
  integer, parameter :: nGC_213 = 145
  integer, parameter :: nGC_369 = 146
  integer, parameter :: nGC_363 = 147
  integer, parameter :: nGC_365 = 148
  integer, parameter :: nGC_144 = 149
  integer, parameter :: nGC_145 = 150
  integer, parameter :: nGC_146 = 151
  integer, parameter :: nGC_147 = 152
  integer, parameter :: nGC_140 = 153
  integer, parameter :: nGC_141 = 154
  integer, parameter :: nGC_142 = 155
  integer, parameter :: nGC_143 = 156
  integer, parameter :: nGC_148 = 157
  integer, parameter :: nGC_149 = 158
  integer, parameter :: nGC_19306 = 159
  integer, parameter :: nGC_MM = 160
  integer, parameter :: nGC_MC = 161
  integer, parameter :: nGC_MB = 162
  integer, parameter :: nGC_13418 = 163
  integer, parameter :: nGC_ME = 164
  integer, parameter :: nGC_MD = 165
  integer, parameter :: nGC_MZ = 166
  integer, parameter :: nGC_MS = 167
  integer, parameter :: nGC_MW = 168
  integer, parameter :: nGC_MU = 169
  integer, parameter :: nGC_MT = 170
  integer, parameter :: nGC_20227 = 171
  integer, parameter :: nGC_12789 = 172
  integer, parameter :: nGC_12788 = 173
  integer, parameter :: nGC_12787 = 174
  integer, parameter :: nGC_12786 = 175
  integer, parameter :: nGC_12785 = 176
  integer, parameter :: nGC_12784 = 177
  integer, parameter :: nGC_12783 = 178
  integer, parameter :: nGC_12782 = 179
  integer, parameter :: nGC_12781 = 180
  integer, parameter :: nGC_12780 = 181
  integer, parameter :: nGC_TS_GC_212_Hh = 182
  integer, parameter :: nGC_13438 = 183
  integer, parameter :: nGC_88 = 184
  integer, parameter :: nGC_89 = 185
  integer, parameter :: nGC_12920 = 186
  integer, parameter :: nGC_80 = 187
  integer, parameter :: nGC_81 = 188
  integer, parameter :: nGC_82 = 189
  integer, parameter :: nGC_83 = 190
  integer, parameter :: nGC_84 = 191
  integer, parameter :: nGC_85 = 192
  integer, parameter :: nGC_86 = 193
  integer, parameter :: nGC_87 = 194
  integer, parameter :: nGC_67 = 195
  integer, parameter :: nGC_64 = 196
  integer, parameter :: nGC_65 = 197
  integer, parameter :: nGC_62 = 198
  integer, parameter :: nGC_60 = 199
  integer, parameter :: nGC_61 = 200
  integer, parameter :: nGC_68 = 201
  integer, parameter :: nGC_69 = 202
  integer, parameter :: nGC_13437 = 203
  integer, parameter :: nGC_209 = 204
  integer, parameter :: nGC_208 = 205
  integer, parameter :: nGC_203 = 206
  integer, parameter :: nGC_202 = 207
  integer, parameter :: nGC_201 = 208
  integer, parameter :: nGC_200 = 209
  integer, parameter :: nGC_207 = 210
  integer, parameter :: nGC_206 = 211
  integer, parameter :: nGC_205 = 212
  integer, parameter :: nGC_204 = 213
  integer, parameter :: nGC_377 = 214
  integer, parameter :: nGC_375 = 215
  integer, parameter :: nGC_19221 = 216
  integer, parameter :: nGC_153 = 217
  integer, parameter :: nGC_152 = 218
  integer, parameter :: nGC_151 = 219
  integer, parameter :: nGC_150 = 220
  integer, parameter :: nGC_157 = 221
  integer, parameter :: nGC_156 = 222
  integer, parameter :: nGC_155 = 223
  integer, parameter :: nGC_154 = 224
  integer, parameter :: nGC_159 = 225
  integer, parameter :: nGC_158 = 226
  integer, parameter :: nGC_20962 = 227
  integer, parameter :: nGC_20963 = 228
  integer, parameter :: nGC_19318 = 229
  integer, parameter :: nGC_19317 = 230
  integer, parameter :: nGC_13407 = 231
  integer, parameter :: nGC_13402 = 232
  integer, parameter :: nGC_13401 = 233
  integer, parameter :: nGC_13400 = 234
  integer, parameter :: nGC_21981 = 235
  integer, parameter :: nGC_13408 = 236
  integer, parameter :: nGC_12689 = 237
  integer, parameter :: nGC_23120 = 238
  integer, parameter :: nGC_12930 = 239
  integer, parameter :: nGC_12931 = 240
  integer, parameter :: nGC_12932 = 241
  integer, parameter :: nGC_12933 = 242
  integer, parameter :: nGC_12934 = 243
  integer, parameter :: nGC_12935 = 244
  integer, parameter :: nGC_12936 = 245
  integer, parameter :: nGC_12937 = 246
  integer, parameter :: nGC_12938 = 247
  integer, parameter :: nGC_12939 = 248
  integer, parameter :: nGC_20364 = 249
  integer, parameter :: nGC_20365 = 250
  integer, parameter :: nGC_12754 = 251
  integer, parameter :: nGC_12755 = 252
  integer, parameter :: nGC_12756 = 253
  integer, parameter :: nGC_12757 = 254
  integer, parameter :: nGC_12686 = 255
  integer, parameter :: nGC_12687 = 256
  integer, parameter :: nGC_12684 = 257
  integer, parameter :: nGC_12685 = 258
  integer, parameter :: nGC_12682 = 259
  integer, parameter :: nGC_12683 = 260
  integer, parameter :: nGC_12680 = 261
  integer, parameter :: nGC_12681 = 262
  integer, parameter :: nGC_12688 = 263
  integer, parameter :: nGC_49 = 264
  integer, parameter :: nGC_MI = 265
  integer, parameter :: nGC_53 = 266
  integer, parameter :: nGC_52 = 267
  integer, parameter :: nGC_51 = 268
  integer, parameter :: nGC_50 = 269
  integer, parameter :: nGC_57 = 270
  integer, parameter :: nGC_56 = 271
  integer, parameter :: nGC_55 = 272
  integer, parameter :: nGC_54 = 273
  integer, parameter :: nGC_59 = 274
  integer, parameter :: nGC_58 = 275
  integer, parameter :: nGC_TS_GC_224_Hh = 276
  integer, parameter :: nGC_307 = 277
  integer, parameter :: nGC_196 = 278
  integer, parameter :: nGC_309 = 279
  integer, parameter :: nGC_TS_GC_227_Hl = 280
  integer, parameter :: nGC_19509 = 281
  integer, parameter :: nGC_TS_GC_215_Hl = 282
  integer, parameter :: nGC_19466 = 283
  integer, parameter :: nGC_13508 = 284
  integer, parameter :: nGC_13504 = 285
  integer, parameter :: nGC_13505 = 286
  integer, parameter :: nGC_13500 = 287
  integer, parameter :: nGC_TS_GC_93_Hh = 288
  integer, parameter :: nGC_TS_GC_93_Hl = 289
  integer, parameter :: nGC_23119 = 290
  integer, parameter :: nGC_12922 = 291
  integer, parameter :: nGC_12921 = 292
  integer, parameter :: nGC_13439 = 293
  integer, parameter :: nGC_12927 = 294
  integer, parameter :: nGC_12926 = 295
  integer, parameter :: nGC_12929 = 296
  integer, parameter :: nGC_12928 = 297
  integer, parameter :: nGC_12746 = 298
  integer, parameter :: nGC_12745 = 299
  integer, parameter :: nGC_12744 = 300
  integer, parameter :: nGC_13347 = 301
  integer, parameter :: nGC_12699 = 302
  integer, parameter :: nGC_12698 = 303
  integer, parameter :: nGC_12691 = 304
  integer, parameter :: nGC_12690 = 305
  integer, parameter :: nGC_12693 = 306
  integer, parameter :: nGC_12692 = 307
  integer, parameter :: nGC_12695 = 308
  integer, parameter :: nGC_12694 = 309
  integer, parameter :: nGC_12697 = 310
  integer, parameter :: nGC_12696 = 311
  integer, parameter :: nGC_12508 = 312
  integer, parameter :: nGC_48 = 313
  integer, parameter :: nGC_44 = 314
  integer, parameter :: nGC_45 = 315
  integer, parameter :: nGC_46 = 316
  integer, parameter :: nGC_47 = 317
  integer, parameter :: nGC_40 = 318
  integer, parameter :: nGC_41 = 319
  integer, parameter :: nGC_42 = 320
  integer, parameter :: nGC_43 = 321
  integer, parameter :: nGC_TS_GC_203_Hl = 322
  integer, parameter :: nGC_TS_GC_204_Hh = 323
  integer, parameter :: nGC_19597 = 324
  integer, parameter :: nGC_313 = 325
  integer, parameter :: nGC_315 = 326
  integer, parameter :: nGC_317 = 327
  integer, parameter :: nGC_12603 = 328
  integer, parameter :: nGC_25956 = 329
  integer, parameter :: nGC_25957 = 330
  integer, parameter :: nGC_1113 = 331
  integer, parameter :: nGC_12598 = 332
  integer, parameter :: nGC_12599 = 333
  integer, parameter :: nGC_12593 = 334
  integer, parameter :: nGC_12596 = 335
  integer, parameter :: nGC_12597 = 336
  integer, parameter :: nGC_12594 = 337
  integer, parameter :: nGC_12595 = 338
  integer, parameter :: nGC_12916 = 339
  integer, parameter :: nGC_12914 = 340
  integer, parameter :: nGC_12915 = 341
  integer, parameter :: nGC_12912 = 342
  integer, parameter :: nGC_12913 = 343
  integer, parameter :: nGC_12910 = 344
  integer, parameter :: nGC_12911 = 345
  integer, parameter :: nGC_13425 = 346
  integer, parameter :: nGC_13426 = 347
  integer, parameter :: nGC_13421 = 348
  integer, parameter :: nGC_13423 = 349
  integer, parameter :: nGC_13422 = 350
  integer, parameter :: nGC_12778 = 351
  integer, parameter :: nGC_12779 = 352
  integer, parameter :: nGC_12776 = 353
  integer, parameter :: nGC_12777 = 354
  integer, parameter :: nGC_12774 = 355
  integer, parameter :: nGC_12775 = 356
  integer, parameter :: nGC_12772 = 357
  integer, parameter :: nGC_12773 = 358
  integer, parameter :: nGC_12770 = 359
  integer, parameter :: nGC_12771 = 360
  integer, parameter :: nGC_13357 = 361
  integer, parameter :: nGC_13351 = 362
  integer, parameter :: nGC_13350 = 363
  integer, parameter :: nGC_13358 = 364
  integer, parameter :: nGC_39 = 365
  integer, parameter :: nGC_38 = 366
  integer, parameter :: nGC_31 = 367
  integer, parameter :: nGC_30 = 368
  integer, parameter :: nGC_33 = 369
  integer, parameter :: nGC_32 = 370
  integer, parameter :: nGC_35 = 371
  integer, parameter :: nGC_34 = 372
  integer, parameter :: nGC_37 = 373
  integer, parameter :: nGC_36 = 374
  integer, parameter :: nGC_311 = 375
  integer, parameter :: nGC_197 = 376
  integer, parameter :: nGC_63 = 377
  integer, parameter :: nGC_19837 = 378
  integer, parameter :: nGC_12576 = 379
  integer, parameter :: nGC_12577 = 380
  integer, parameter :: nGC_329 = 381
  integer, parameter :: nGC_325 = 382
  integer, parameter :: nGC_327 = 383
  integer, parameter :: nGC_321 = 384
  integer, parameter :: nGC_323 = 385
  integer, parameter :: nGC_MTA = 386
  integer, parameter :: nGC_19272 = 387
  integer, parameter :: nGC_19273 = 388
  integer, parameter :: nGC_19276 = 389
  integer, parameter :: nGC_188 = 390
  integer, parameter :: nGC_189 = 391
  integer, parameter :: nGC_180 = 392
  integer, parameter :: nGC_181 = 393
  integer, parameter :: nGC_182 = 394
  integer, parameter :: nGC_183 = 395
  integer, parameter :: nGC_184 = 396
  integer, parameter :: nGC_185 = 397
  integer, parameter :: nGC_186 = 398
  integer, parameter :: nGC_187 = 399
  integer, parameter :: nGC_12872 = 400
  integer, parameter :: nGC_21086 = 401
  integer, parameter :: nGC_21085 = 402
  integer, parameter :: nGC_509 = 403
  integer, parameter :: nGC_13295 = 404
  integer, parameter :: nGC_12581 = 405
  integer, parameter :: nGC_12580 = 406
  integer, parameter :: nGC_12582 = 407
  integer, parameter :: nGC_TS_GC_184_Hl = 408
  integer, parameter :: nGC_12909 = 409
  integer, parameter :: nGC_12908 = 410
  integer, parameter :: nGC_12901 = 411
  integer, parameter :: nGC_12900 = 412
  integer, parameter :: nGC_12903 = 413
  integer, parameter :: nGC_12902 = 414
  integer, parameter :: nGC_12905 = 415
  integer, parameter :: nGC_12907 = 416
  integer, parameter :: nGC_12906 = 417
  integer, parameter :: nGC_19127 = 418
  integer, parameter :: nGC_12763 = 419
  integer, parameter :: nGC_12762 = 420
  integer, parameter :: nGC_12765 = 421
  integer, parameter :: nGC_12764 = 422
  integer, parameter :: nGC_12767 = 423
  integer, parameter :: nGC_12769 = 424
  integer, parameter :: nGC_12768 = 425
  integer, parameter :: nGC_13367 = 426
  integer, parameter :: nGC_13364 = 427
  integer, parameter :: nGC_22061 = 428
  integer, parameter :: nGC_22062 = 429
  integer, parameter :: nGC_22066 = 430
  integer, parameter :: nGC_12718 = 431
  integer, parameter :: nGC_28 = 432
  integer, parameter :: nGC_29 = 433
  integer, parameter :: nGC_22 = 434
  integer, parameter :: nGC_23 = 435
  integer, parameter :: nGC_20 = 436
  integer, parameter :: nGC_21 = 437
  integer, parameter :: nGC_26 = 438
  integer, parameter :: nGC_27 = 439
  integer, parameter :: nGC_24 = 440
  integer, parameter :: nGC_25 = 441
  integer, parameter :: nGC_339 = 442
  integer, parameter :: nGC_TS_GC_32_Hh = 443
  integer, parameter :: nGC_331 = 444
  integer, parameter :: nGC_337 = 445
  integer, parameter :: nGC_335 = 446
  integer, parameter :: nGC_195 = 447
  integer, parameter :: nGC_194 = 448
  integer, parameter :: nGC_193 = 449
  integer, parameter :: nGC_192 = 450
  integer, parameter :: nGC_191 = 451
  integer, parameter :: nGC_190 = 452
  integer, parameter :: nGC_199 = 453
  integer, parameter :: nGC_198 = 454
  integer, parameter :: nGC_20920 = 455
  integer, parameter :: nGC_20921 = 456
  integer, parameter :: nGC_19467 = 457
  integer, parameter :: nGC_19464 = 458
  integer, parameter :: nGC_27538 = 459
  integer, parameter :: nGC_513 = 460
  integer, parameter :: nGC_19596 = 461
  integer, parameter :: nGC_517 = 462
  integer, parameter :: nGC_12621 = 463
  integer, parameter :: nGC_12624 = 464
  integer, parameter :: nGC_25972 = 465
  integer, parameter :: nGC_25973 = 466
  integer, parameter :: nGC_25971 = 467
  integer, parameter :: nGC_21385 = 468
  integer, parameter :: nGC_21384 = 469
  integer, parameter :: nGC_21387 = 470
  integer, parameter :: nGC_21386 = 471
  integer, parameter :: nGC_21389 = 472
  integer, parameter :: nGC_21388 = 473
  integer, parameter :: nGC_13577 = 474
  integer, parameter :: nGC_13576 = 475
  integer, parameter :: nGC_13575 = 476
  integer, parameter :: nGC_13574 = 477
  integer, parameter :: nGC_13573 = 478
  integer, parameter :: nGC_13571 = 479
  integer, parameter :: nGC_13570 = 480
  integer, parameter :: nGC_12578 = 481
  integer, parameter :: nGC_12579 = 482
  integer, parameter :: nGC_7877 = 483
  integer, parameter :: nGC_13579 = 484
  integer, parameter :: nGC_12970 = 485
  integer, parameter :: nGC_12971 = 486
  integer, parameter :: nGC_12972 = 487
  integer, parameter :: nGC_12973 = 488
  integer, parameter :: nGC_19131 = 489
  integer, parameter :: nGC_12714 = 490
  integer, parameter :: nGC_12715 = 491
  integer, parameter :: nGC_12716 = 492
  integer, parameter :: nGC_12717 = 493
  integer, parameter :: nGC_13378 = 494
  integer, parameter :: nGC_13374 = 495
  integer, parameter :: nGC_13377 = 496
  integer, parameter :: nGC_13376 = 497
  integer, parameter :: nGC_12719 = 498
  integer, parameter :: nGC_13373 = 499
  integer, parameter :: nGC_13372 = 500
  integer, parameter :: nGC_12484 = 501
  integer, parameter :: nGC_12485 = 502
  integer, parameter :: nGC_12486 = 503
  integer, parameter :: nGC_12483 = 504
  integer, parameter :: nGC_12804 = 505
  integer, parameter :: nGC_12805 = 506
  integer, parameter :: nGC_12806 = 507
  integer, parameter :: nGC_17 = 508
  integer, parameter :: nGC_16 = 509
  integer, parameter :: nGC_15 = 510
  integer, parameter :: nGC_14 = 511
  integer, parameter :: nGC_13 = 512
  integer, parameter :: nGC_12 = 513
  integer, parameter :: nGC_11 = 514
  integer, parameter :: nGC_10 = 515
  integer, parameter :: nGC_12620 = 516
  integer, parameter :: nGC_12622 = 517
  integer, parameter :: nGC_12623 = 518
  integer, parameter :: nGC_19 = 519
  integer, parameter :: nGC_18 = 520
  integer, parameter :: nGC_7893 = 521
  integer, parameter :: nGC_371 = 522
  integer, parameter :: nGC_12983 = 523
  integer, parameter :: nGC_13454 = 524
  integer, parameter :: nGC_13455 = 525
  integer, parameter :: nGC_21269 = 526
  integer, parameter :: nGC_25961 = 527
  integer, parameter :: nGC_TS_GC_192_Hh = 528
  integer, parameter :: nGC_TS_GC_192_Hl = 529
  integer, parameter :: nGC_12561 = 530
  integer, parameter :: nGC_12560 = 531
  integer, parameter :: nGC_12567 = 532
  integer, parameter :: nGC_12566 = 533
  integer, parameter :: nGC_12569 = 534
  integer, parameter :: nGC_12568 = 535
  integer, parameter :: nGC_TS_GC_199_Hl = 536
  integer, parameter :: nGC_12963 = 537
  integer, parameter :: nGC_12962 = 538
  integer, parameter :: nGC_13381 = 539
  integer, parameter :: nGC_13382 = 540
  integer, parameter :: nGC_13383 = 541
  integer, parameter :: nGC_13384 = 542
  integer, parameter :: nGC_13385 = 543
  integer, parameter :: nGC_13386 = 544
  integer, parameter :: nGC_13387 = 545
  integer, parameter :: nGC_13388 = 546
  integer, parameter :: nGC_13389 = 547
  integer, parameter :: nGC_12494 = 548
  integer, parameter :: nGC_12493 = 549
  integer, parameter :: nGC_12492 = 550
  integer, parameter :: nGC_13148 = 551
  integer, parameter :: nGC_13146 = 552
  integer, parameter :: nGC_13141 = 553
  integer, parameter :: nGC_12813 = 554
  integer, parameter :: nGC_12812 = 555
  integer, parameter :: nGC_12811 = 556
  integer, parameter :: nGC_12817 = 557
  integer, parameter :: nGC_12816 = 558
  integer, parameter :: nGC_12815 = 559
  integer, parameter :: nGC_12814 = 560
  integer, parameter :: nGC_13429 = 561
  integer, parameter :: nGC_12819 = 562
  integer, parameter :: nGC_12818 = 563
  integer, parameter :: nGC_12633 = 564
  integer, parameter :: nGC_12632 = 565
  integer, parameter :: nGC_12634 = 566
  integer, parameter :: nGC_19112 = 567
  integer, parameter :: nGC_13578 = 568
  integer, parameter :: nGC_23736 = 569
  integer, parameter :: nGC_23734 = 570
  integer, parameter :: nGC_23735 = 571
  integer, parameter :: nGC_23732 = 572
  integer, parameter :: nGC_23733 = 573
  integer, parameter :: nGC_23731 = 574
  integer, parameter :: nGC_21464 = 575
  integer, parameter :: nGC_21465 = 576
  integer, parameter :: nGC_21466 = 577
  integer, parameter :: nGC_21463 = 578
  integer, parameter :: nGC_19925 = 579
  integer, parameter :: nGC_TS_GC_33_Hl = 580
  integer, parameter :: nGC_TS_GC_33_Hh = 581
  integer, parameter :: nGC_3565 = 582
  integer, parameter :: nGC_TS_GC_228_Hh = 583
  integer, parameter :: nGC_TS_GC_175_Hl = 584
  integer, parameter :: nGC_19441 = 585
  integer, parameter :: nGC_19440 = 586
  integer, parameter :: nGC_20414 = 587
  integer, parameter :: nGC_20413 = 588
  integer, parameter :: nGC_TS_GC_32_Hl = 589
  integer, parameter :: nGC_21270 = 590
  integer, parameter :: nGC_20891 = 591
  integer, parameter :: nGC_12556 = 592
  integer, parameter :: nGC_12557 = 593
  integer, parameter :: nGC_12554 = 594
  integer, parameter :: nGC_12555 = 595
  integer, parameter :: nGC_12552 = 596
  integer, parameter :: nGC_12553 = 597
  integer, parameter :: nGC_12551 = 598
  integer, parameter :: nGC_12558 = 599
  integer, parameter :: nGC_12559 = 600
  integer, parameter :: nGC_12952 = 601
  integer, parameter :: nGC_12953 = 602
  integer, parameter :: nGC_12950 = 603
  integer, parameter :: nGC_12951 = 604
  integer, parameter :: nGC_12956 = 605
  integer, parameter :: nGC_12954 = 606
  integer, parameter :: nGC_12955 = 607
  integer, parameter :: nGC_MW_GF = 608
  integer, parameter :: nGC_13393 = 609
  integer, parameter :: nGC_13392 = 610
  integer, parameter :: nGC_13391 = 611
  integer, parameter :: nGC_13390 = 612
  integer, parameter :: nGC_13397 = 613
  integer, parameter :: nGC_13396 = 614
  integer, parameter :: nGC_13395 = 615
  integer, parameter :: nGC_13394 = 616
  integer, parameter :: nGC_13399 = 617
  integer, parameter :: nGC_13398 = 618
  integer, parameter :: nGC_13152 = 619
  integer, parameter :: nGC_13155 = 620
  integer, parameter :: nGC_13158 = 621
  integer, parameter :: nGC_12826 = 622
  integer, parameter :: nGC_12827 = 623
  integer, parameter :: nGC_12824 = 624
  integer, parameter :: nGC_12825 = 625
  integer, parameter :: nGC_12822 = 626
  integer, parameter :: nGC_12823 = 627
  integer, parameter :: nGC_12820 = 628
  integer, parameter :: nGC_12821 = 629
  integer, parameter :: nGC_12828 = 630
  integer, parameter :: nGC_12829 = 631
  integer, parameter :: nGC_12608 = 632
  integer, parameter :: nGC_12609 = 633
  integer, parameter :: nGC_12607 = 634
  integer, parameter :: nGC_12602 = 635
  integer, parameter :: nGC_12600 = 636
  integer, parameter :: nGC_12601 = 637
  integer, parameter :: nGC_20258 = 638
  integer, parameter :: nGC_1209 = 639
  integer, parameter :: nGC_12738 = 640
  integer, parameter :: nGC_12739 = 641
  integer, parameter :: nGC_12732 = 642
  integer, parameter :: nGC_12733 = 643
  integer, parameter :: nGC_12731 = 644
  integer, parameter :: nGC_12736 = 645
  integer, parameter :: nGC_12737 = 646
  integer, parameter :: nGC_12734 = 647
  integer, parameter :: nGC_12735 = 648
  integer, parameter :: nGC_19939 = 649
  integer, parameter :: nGC_19931 = 650
  integer, parameter :: nGC_19933 = 651
  integer, parameter :: nGC_19932 = 652
  integer, parameter :: nGC_19934 = 653
  integer, parameter :: nGC_23344 = 654
  integer, parameter :: nGC_12904 = 655
  integer, parameter :: nGC_3423 = 656
  integer, parameter :: nGC_13499 = 657
  integer, parameter :: nGC_12700 = 658
  integer, parameter :: nGC_383 = 659
  integer, parameter :: nGC_381 = 660
  integer, parameter :: nGC_387 = 661
  integer, parameter :: nGC_13491 = 662
  integer, parameter :: nGC_19164 = 663
  integer, parameter :: nGC_MZ_GF = 664
  integer, parameter :: nGC_TS_GC_216_Hh = 665
  integer, parameter :: nGC_19549 = 666
  integer, parameter :: nGC_20881 = 667
  integer, parameter :: nGC_721 = 668
  integer, parameter :: nGC_723 = 669
  integer, parameter :: nGC_TS_GC_190_Hh = 670
  integer, parameter :: nGC_126 = 671
  integer, parameter :: nGC_127 = 672
  integer, parameter :: nGC_124 = 673
  integer, parameter :: nGC_125 = 674
  integer, parameter :: nGC_122 = 675
  integer, parameter :: nGC_123 = 676
  integer, parameter :: nGC_120 = 677
  integer, parameter :: nGC_121 = 678
  integer, parameter :: nGC_128 = 679
  integer, parameter :: nGC_129 = 680
  integer, parameter :: nGC_MMW_GF = 681
  integer, parameter :: nGC_12945 = 682
  integer, parameter :: nGC_12947 = 683
  integer, parameter :: nGC_12946 = 684
  integer, parameter :: nGC_12941 = 685
  integer, parameter :: nGC_12940 = 686
  integer, parameter :: nGC_12942 = 687
  integer, parameter :: nGC_13494 = 688
  integer, parameter :: nGC_13495 = 689
  integer, parameter :: nGC_13496 = 690
  integer, parameter :: nGC_13497 = 691
  integer, parameter :: nGC_12949 = 692
  integer, parameter :: nGC_12948 = 693
  integer, parameter :: nGC_13492 = 694
  integer, parameter :: nGC_13493 = 695
  integer, parameter :: nGC_13126 = 696
  integer, parameter :: nGC_13123 = 697
  integer, parameter :: nGC_I = 698
  integer, parameter :: nGC_13129 = 699
  integer, parameter :: nGC_12838 = 700
  integer, parameter :: nGC_12831 = 701
  integer, parameter :: nGC_12830 = 702
  integer, parameter :: nGC_12833 = 703
  integer, parameter :: nGC_12832 = 704
  integer, parameter :: nGC_12835 = 705
  integer, parameter :: nGC_12834 = 706
  integer, parameter :: nGC_12837 = 707
  integer, parameter :: nGC_12836 = 708
  integer, parameter :: nGC_TS_GC_162_Hl = 709
  integer, parameter :: nGC_12540 = 710
  integer, parameter :: nGC_12545 = 711
  integer, parameter :: nGC_12547 = 712
  integer, parameter :: nGC_12546 = 713
  integer, parameter :: nGC_12611 = 714
  integer, parameter :: nGC_12610 = 715
  integer, parameter :: nGC_12613 = 716
  integer, parameter :: nGC_12612 = 717
  integer, parameter :: nGC_12615 = 718
  integer, parameter :: nGC_12614 = 719
  integer, parameter :: nGC_12617 = 720
  integer, parameter :: nGC_12616 = 721
  integer, parameter :: nGC_12619 = 722
  integer, parameter :: nGC_12618 = 723
  integer, parameter :: nGC_13230 = 724
  integer, parameter :: nGC_13233 = 725
  integer, parameter :: nGC_3 = 726
  integer, parameter :: nGC_2 = 727
  integer, parameter :: nGC_1 = 728
  integer, parameter :: nGC_7 = 729
  integer, parameter :: nGC_6 = 730
  integer, parameter :: nGC_5 = 731
  integer, parameter :: nGC_4 = 732
  integer, parameter :: nGC_9 = 733
  integer, parameter :: nGC_8 = 734
  integer, parameter :: nGC_22111 = 735
  integer, parameter :: nGC_22110 = 736
  integer, parameter :: nGC_22113 = 737
  integer, parameter :: nGC_22112 = 738
  integer, parameter :: nGC_22115 = 739
  integer, parameter :: nGC_22114 = 740
  integer, parameter :: nGC_1361 = 741
  integer, parameter :: nGC_23192 = 742
  integer, parameter :: nGC_22118 = 743
  integer, parameter :: nGC_23190 = 744
  integer, parameter :: nGC_23191 = 745
  integer, parameter :: nGC_12720 = 746
  integer, parameter :: nGC_19940 = 747
  integer, parameter :: nGC_19943 = 748
  integer, parameter :: nGC_TS_GC_34_Hl = 749
  integer, parameter :: nGC_24351 = 750
  integer, parameter :: nGC_24352 = 751
  integer, parameter :: nGC_12544 = 752
  integer, parameter :: nGC_13457 = 753
  integer, parameter :: nGC_TS_GC_36_Hh = 754
  integer, parameter :: nGC_TS_GC_36_Hl = 755
  integer, parameter :: nGC_TS_GC_219_Hl = 756
  integer, parameter :: nGC_19767 = 757
  integer, parameter :: nGC_19768 = 758
  integer, parameter :: nGC_12750 = 759
  integer, parameter :: nGC_12751 = 760
  integer, parameter :: nGC_12752 = 761
  integer, parameter :: nGC_12753 = 762
  integer, parameter :: nGC_20472 = 763
  integer, parameter :: nGC_20473 = 764
  integer, parameter :: nGC_19399 = 765
  integer, parameter :: nGC_19398 = 766
  integer, parameter :: nGC_20877 = 767
  integer, parameter :: nGC_733 = 768
  integer, parameter :: nGC_135 = 769
  integer, parameter :: nGC_134 = 770
  integer, parameter :: nGC_137 = 771
  integer, parameter :: nGC_136 = 772
  integer, parameter :: nGC_131 = 773
  integer, parameter :: nGC_130 = 774
  integer, parameter :: nGC_133 = 775
  integer, parameter :: nGC_132 = 776
  integer, parameter :: nGC_139 = 777
  integer, parameter :: nGC_138 = 778
  integer, parameter :: nGC_13003 = 779
  integer, parameter :: nGC_13002 = 780
  integer, parameter :: nGC_13001 = 781
  integer, parameter :: nGC_13000 = 782
  integer, parameter :: nGC_13005 = 783
  integer, parameter :: nGC_13004 = 784
  integer, parameter :: nGC_13009 = 785
  integer, parameter :: nGC_13008 = 786
  integer, parameter :: nGC_19179 = 787
  integer, parameter :: nGC_19178 = 788
  integer, parameter :: nGC_13489 = 789
  integer, parameter :: nGC_13487 = 790
  integer, parameter :: nGC_13486 = 791
  integer, parameter :: nGC_19177 = 792
  integer, parameter :: nGC_19176 = 793
  integer, parameter :: nGC_13482 = 794
  integer, parameter :: nGC_13481 = 795
  integer, parameter :: nGC_25936 = 796
  integer, parameter :: nGC_12998 = 797
  integer, parameter :: nGC_12999 = 798
  integer, parameter :: nGC_12996 = 799
  integer, parameter :: nGC_12997 = 800
  integer, parameter :: nGC_12994 = 801
  integer, parameter :: nGC_22116 = 802
  integer, parameter :: nGC_12992 = 803
  integer, parameter :: nGC_12993 = 804
  integer, parameter :: nGC_12990 = 805
  integer, parameter :: nGC_12991 = 806
  integer, parameter :: nGC_13137 = 807
  integer, parameter :: nGC_13136 = 808
  integer, parameter :: nGC_13134 = 809
  integer, parameter :: nGC_13133 = 810
  integer, parameter :: nGC_13132 = 811
  integer, parameter :: nGC_13131 = 812
  integer, parameter :: nGC_13130 = 813
  integer, parameter :: nGC_13138 = 814
  integer, parameter :: nGC_1195 = 815
  integer, parameter :: nGC_12848 = 816
  integer, parameter :: nGC_12849 = 817
  integer, parameter :: nGC_12721 = 818
  integer, parameter :: nGC_12846 = 819
  integer, parameter :: nGC_12847 = 820
  integer, parameter :: nGC_12538 = 821
  integer, parameter :: nGC_12539 = 822
  integer, parameter :: nGC_12534 = 823
  integer, parameter :: nGC_12535 = 824
  integer, parameter :: nGC_12536 = 825
  integer, parameter :: nGC_12537 = 826
  integer, parameter :: nGC_12533 = 827
  integer, parameter :: nGC_12664 = 828
  integer, parameter :: nGC_12665 = 829
  integer, parameter :: nGC_12666 = 830
  integer, parameter :: nGC_12667 = 831
  integer, parameter :: nGC_12663 = 832
  integer, parameter :: nGC_12668 = 833
  integer, parameter :: nGC_12669 = 834
  integer, parameter :: nGC_13229 = 835
  integer, parameter :: nGC_13228 = 836
  integer, parameter :: nGC_13227 = 837
  integer, parameter :: nGC_13226 = 838
  integer, parameter :: nGC_13225 = 839
  integer, parameter :: nGC_13224 = 840
  integer, parameter :: nGC_23189 = 841
  integer, parameter :: nGC_23188 = 842
  integer, parameter :: nGC_TS_GC_200_Hh = 843
  integer, parameter :: nGC_TS_GC_189_Hh = 844
  integer, parameter :: nGC_TS_GC_189_Hl = 845
  integer, parameter :: nGC_20056 = 846
  integer, parameter :: nGC_TS_GC_15_Hl = 847
  integer, parameter :: nGC_3111 = 848
  integer, parameter :: nGC_21639 = 849
  integer, parameter :: nGC_21635 = 850
  integer, parameter :: nGC_21632 = 851
  integer, parameter :: nGC_TS_GC_145_Hl = 852
  integer, parameter :: nGC_23193 = 853
  integer, parameter :: nGC_20469 = 854
  integer, parameter :: nGC_20468 = 855
  integer, parameter :: nGC_TS_GC_223_Hl = 856
  integer, parameter :: nGC_20512 = 857
  integer, parameter :: nGC_TS_GC_96_Hh = 858
  integer, parameter :: nGC_26450 = 859
  integer, parameter :: nGC_TS_GC_191_Hl = 860
  integer, parameter :: nGC_100 = 861
  integer, parameter :: nGC_101 = 862
  integer, parameter :: nGC_102 = 863
  integer, parameter :: nGC_103 = 864
  integer, parameter :: nGC_104 = 865
  integer, parameter :: nGC_105 = 866
  integer, parameter :: nGC_106 = 867
  integer, parameter :: nGC_107 = 868
  integer, parameter :: nGC_108 = 869
  integer, parameter :: nGC_109 = 870
  integer, parameter :: nGC_13036 = 871
  integer, parameter :: nGC_13034 = 872
  integer, parameter :: nGC_13035 = 873
  integer, parameter :: nGC_13032 = 874
  integer, parameter :: nGC_13033 = 875
  integer, parameter :: nGC_13039 = 876
  integer, parameter :: nGC_21931 = 877
  integer, parameter :: nGC_13458 = 878
  integer, parameter :: nGC_13459 = 879
  integer, parameter :: nGC_13109 = 880
  integer, parameter :: nGC_12985 = 881
  integer, parameter :: nGC_12984 = 882
  integer, parameter :: nGC_12987 = 883
  integer, parameter :: nGC_12986 = 884
  integer, parameter :: nGC_13102 = 885
  integer, parameter :: nGC_12988 = 886
  integer, parameter :: nGC_13452 = 887
  integer, parameter :: nGC_13453 = 888
  integer, parameter :: nGC_13456 = 889
  integer, parameter :: nGC_13105 = 890
  integer, parameter :: nGC_12702 = 891
  integer, parameter :: nGC_12701 = 892
  integer, parameter :: nGC_12859 = 893
  integer, parameter :: nGC_12858 = 894
  integer, parameter :: nGC_12857 = 895
  integer, parameter :: nGC_12856 = 896
  integer, parameter :: nGC_12855 = 897
  integer, parameter :: nGC_12854 = 898
  integer, parameter :: nGC_12853 = 899
  integer, parameter :: nGC_12852 = 900
  integer, parameter :: nGC_12851 = 901
  integer, parameter :: nGC_12850 = 902
  integer, parameter :: nGC_13586 = 903
  integer, parameter :: nGC_13587 = 904
  integer, parameter :: nGC_13584 = 905
  integer, parameter :: nGC_13585 = 906
  integer, parameter :: nGC_13582 = 907
  integer, parameter :: nGC_13583 = 908
  integer, parameter :: nGC_13580 = 909
  integer, parameter :: nGC_13581 = 910
  integer, parameter :: nGC_12526 = 911
  integer, parameter :: nGC_12525 = 912
  integer, parameter :: nGC_12524 = 913
  integer, parameter :: nGC_12523 = 914
  integer, parameter :: nGC_13588 = 915
  integer, parameter :: nGC_13589 = 916
  integer, parameter :: nGC_12677 = 917
  integer, parameter :: nGC_12672 = 918
  integer, parameter :: nGC_12671 = 919
  integer, parameter :: nGC_12670 = 920
  integer, parameter :: nGC_20261 = 921
  integer, parameter :: nGC_20263 = 922
  integer, parameter :: nGC_20262 = 923
  integer, parameter :: nGC_TS_GC_165_Hh = 924
  integer, parameter :: nGC_20264 = 925
  integer, parameter :: nGC_12679 = 926
  integer, parameter :: nGC_12678 = 927
  integer, parameter :: nGC_13218 = 928
  integer, parameter :: nGC_13215 = 929
  integer, parameter :: nGC_13212 = 930
  integer, parameter :: nGC_13213 = 931
  integer, parameter :: nGC_13210 = 932
  integer, parameter :: nGC_13211 = 933
  integer, parameter :: nGC_22683 = 934
  integer, parameter :: nGC_22684 = 935
  integer, parameter :: nGC_22171 = 936
  integer, parameter :: nGC_23795 = 937
  integer, parameter :: nGC_23796 = 938
  integer, parameter :: nGC_66 = 939
  integer, parameter :: nGC_12499 = 940
  integer, parameter :: nGC_12501 = 941
  integer, parameter :: nGC_TS_GC_178_Hh = 942
  integer, parameter :: nGC_13188 = 943
  integer, parameter :: nGC_TS_GC_35_Hh = 944
  integer, parameter :: nGC_21480 = 945
  integer, parameter :: nGC_21155 = 946
  integer, parameter :: nGC_751 = 947
  integer, parameter :: nGC_21747 = 948
  integer, parameter :: nGC_12989 = 949
  integer, parameter :: nGC_TS_GC_208_Hh = 950
  integer, parameter :: nGC_26449 = 951
  integer, parameter :: nGC_119 = 952
  integer, parameter :: nGC_118 = 953
  integer, parameter :: nGC_117 = 954
  integer, parameter :: nGC_116 = 955
  integer, parameter :: nGC_115 = 956
  integer, parameter :: nGC_114 = 957
  integer, parameter :: nGC_113 = 958
  integer, parameter :: nGC_112 = 959
  integer, parameter :: nGC_111 = 960
  integer, parameter :: nGC_110 = 961
  integer, parameter :: nGC_12977 = 962
  integer, parameter :: nGC_22811 = 963
  integer, parameter :: nGC_TS_GC_31_Hl = 964
  integer, parameter :: nGC_19781 = 965
  integer, parameter :: nGC_TS_GC_211_Hl = 966
  integer, parameter :: nGC_19622 = 967
  integer, parameter :: nGC_21925 = 968
  integer, parameter :: nGC_TS_GC_29_Hh = 969
  integer, parameter :: nGC_21926 = 970
  integer, parameter :: nGC_TS_GC_148_Hh = 971
  integer, parameter :: nGC_19353 = 972
  integer, parameter :: nGC_19352 = 973
  integer, parameter :: nGC_TS_GC_148_Hl = 974
  integer, parameter :: nGC_19357 = 975
  integer, parameter :: nGC_19358 = 976
  integer, parameter :: nGC_13314 = 977
  integer, parameter :: nGC_24453 = 978
  integer, parameter :: nGC_13296 = 979
  integer, parameter :: nGC_13449 = 980
  integer, parameter :: nGC_13448 = 981
  integer, parameter :: nGC_13118 = 982
  integer, parameter :: nGC_13290 = 983
  integer, parameter :: nGC_13291 = 984
  integer, parameter :: nGC_13115 = 985
  integer, parameter :: nGC_13442 = 986
  integer, parameter :: nGC_13117 = 987
  integer, parameter :: nGC_13440 = 988
  integer, parameter :: nGC_13447 = 989
  integer, parameter :: nGC_13110 = 990
  integer, parameter :: nGC_13113 = 991
  integer, parameter :: nGC_13112 = 992
  integer, parameter :: nGC_21191 = 993
  integer, parameter :: nGC_TS_GC_135_Hh = 994
  integer, parameter :: nGC_13498 = 995
  integer, parameter :: nGC_TS_GC_130_Hl = 996
  integer, parameter :: nGC_13591 = 997
  integer, parameter :: nGC_13590 = 998
  integer, parameter :: nGC_22445 = 999
  integer, parameter :: nGC_13592 = 1000
  integer, parameter :: nGC_TS_GC_207_Hl = 1001
  integer, parameter :: nGC_13051 = 1002
  integer, parameter :: nGC_13029 = 1003
  integer, parameter :: nGC_13028 = 1004
  integer, parameter :: nGC_13187 = 1005
  integer, parameter :: nGC_13022 = 1006
  integer, parameter :: nGC_13025 = 1007
  integer, parameter :: nGC_26842 = 1008
  integer, parameter :: nGC_26841 = 1009
  integer, parameter :: nGC_13026 = 1010
  integer, parameter :: nGC_13368 = 1011
  integer, parameter :: nGC_13369 = 1012
  integer, parameter :: nGC_22548 = 1013
  integer, parameter :: nGC_22549 = 1014
  integer, parameter :: nGC_13363 = 1015
  integer, parameter :: nGC_13360 = 1016
  integer, parameter :: nGC_13361 = 1017
  integer, parameter :: nGC_13366 = 1018
  integer, parameter :: nGC_13365 = 1019
  integer, parameter :: nGC_13200 = 1020
  integer, parameter :: nGC_13203 = 1021
  integer, parameter :: nGC_13205 = 1022
  integer, parameter :: nGC_13204 = 1023
  integer, parameter :: nGC_19532 = 1024
  integer, parameter :: nGC_13209 = 1025
  integer, parameter :: nGC_13208 = 1026
  integer, parameter :: nGC_13162 = 1027
  integer, parameter :: nGC_13163 = 1028
  integer, parameter :: nGC_19539 = 1029
  integer, parameter :: nGC_13165 = 1030
  integer, parameter :: nGC_13166 = 1031
  integer, parameter :: nGC_13167 = 1032
  integer, parameter :: nGC_19368 = 1033
  integer, parameter :: nGC_20765 = 1034
  integer, parameter :: nGC_20768 = 1035
  integer, parameter :: nGC_TS_GC_82_Hl = 1036
  integer, parameter :: nGC_22067 = 1037
  integer, parameter :: nGC_22068 = 1038
  integer, parameter :: nGC_21917 = 1039
  integer, parameter :: nGC_19226 = 1040
  integer, parameter :: nGC_21042 = 1041
  integer, parameter :: nGC_20177 = 1042
  integer, parameter :: nGC_24528 = 1043
  integer, parameter :: nGC_24529 = 1044
  integer, parameter :: nGC_23302 = 1045
  integer, parameter :: nGC_23301 = 1046
  integer, parameter :: nGC_20961 = 1047
  integer, parameter :: nGC_TS_GC_29_Hl = 1048
  integer, parameter :: nGC_20968 = 1049
  integer, parameter :: nGC_20969 = 1050
  integer, parameter :: nGC_20074 = 1051
  integer, parameter :: nGC_13173 = 1052
  integer, parameter :: nGC_13172 = 1053
  integer, parameter :: nGC_20134 = 1054
  integer, parameter :: nGC_20136 = 1055
  integer, parameter :: nGC_20131 = 1056
  integer, parameter :: nGC_20130 = 1057
  integer, parameter :: nGC_19096 = 1058
  integer, parameter :: nGC_20960 = 1059
  integer, parameter :: nGC_19093 = 1060
  integer, parameter :: nGC_19312 = 1061
  integer, parameter :: nGC_TS_GC_118_Hh = 1062
  integer, parameter :: nGC_19354 = 1063
  integer, parameter :: nGC_13406 = 1064
  integer, parameter :: nGC_13405 = 1065
  integer, parameter :: nGC_13404 = 1066
  integer, parameter :: nGC_13403 = 1067
  integer, parameter :: nGC_13016 = 1068
  integer, parameter :: nGC_13017 = 1069
  integer, parameter :: nGC_13239 = 1070
  integer, parameter :: nGC_13409 = 1071
  integer, parameter :: nGC_19405 = 1072
  integer, parameter :: nGC_20149 = 1073
  integer, parameter :: nGC_19610 = 1074
  integer, parameter :: nGC_19611 = 1075
  integer, parameter :: nGC_27756 = 1076
  integer, parameter :: nGC_27757 = 1077
  integer, parameter :: nGC_13490 = 1078
  integer, parameter :: nGC_13065 = 1079
  integer, parameter :: nGC_13064 = 1080
  integer, parameter :: nGC_13067 = 1081
  integer, parameter :: nGC_13066 = 1082
  integer, parameter :: nGC_13061 = 1083
  integer, parameter :: nGC_13063 = 1084
  integer, parameter :: nGC_13062 = 1085
  integer, parameter :: nGC_13068 = 1086
  integer, parameter :: nGC_13248 = 1087
  integer, parameter :: nGC_13244 = 1088
  integer, parameter :: nGC_13247 = 1089
  integer, parameter :: nGC_13246 = 1090
  integer, parameter :: nGC_13241 = 1091
  integer, parameter :: nGC_13240 = 1092
  integer, parameter :: nGC_13243 = 1093
  integer, parameter :: nGC_13242 = 1094
  integer, parameter :: nGC_13089 = 1095
  integer, parameter :: nGC_13120 = 1096
  integer, parameter :: nGC_13445 = 1097
  integer, parameter :: nGC_13122 = 1098
  integer, parameter :: nGC_13081 = 1099
  integer, parameter :: nGC_13080 = 1100
  integer, parameter :: nGC_23125 = 1101
  integer, parameter :: nGC_23124 = 1102
  integer, parameter :: nGC_19725 = 1103
  integer, parameter :: nGC_13443 = 1104
  integer, parameter :: nGC_TS_GC_220_Hh = 1105
  integer, parameter :: nGC_13114 = 1106
  integer, parameter :: nGC_13441 = 1107
  integer, parameter :: nGC_13340 = 1108
  integer, parameter :: nGC_22439 = 1109
  integer, parameter :: nGC_13116 = 1110
  integer, parameter :: nGC_20368 = 1111
  integer, parameter :: nGC_20369 = 1112
  integer, parameter :: nGC_13111 = 1113
  integer, parameter :: nGC_20366 = 1114
  integer, parameter :: nGC_20367 = 1115
  integer, parameter :: nGC_13446 = 1116
  integer, parameter :: nGC_13331 = 1117
  integer, parameter :: nGC_13330 = 1118
  integer, parameter :: nGC_13333 = 1119
  integer, parameter :: nGC_21006 = 1120
  integer, parameter :: nGC_21007 = 1121
  integer, parameter :: nGC_13337 = 1122
  integer, parameter :: nGC_13336 = 1123
  integer, parameter :: nGC_13339 = 1124
  integer, parameter :: nGC_13338 = 1125
  integer, parameter :: nGC_20533 = 1126
  integer, parameter :: nGC_13341 = 1127
  integer, parameter :: nGC_19502 = 1128
  integer, parameter :: nGC_20430 = 1129
  integer, parameter :: nGC_20927 = 1130
  integer, parameter :: nGC_19465 = 1131
  integer, parameter :: nGC_TS_GC_117_Hh = 1132
  integer, parameter :: nGC_13287 = 1133
  integer, parameter :: nGC_22117 = 1134
  integer, parameter :: nGC_13286 = 1135
  integer, parameter :: nGC_23196 = 1136
  integer, parameter :: nGC_21563 = 1137
  integer, parameter :: nGC_21852 = 1138
  integer, parameter :: nGC_19827 = 1139
  integer, parameter :: nGC_19210 = 1140
  integer, parameter :: nGC_19211 = 1141
  integer, parameter :: nGC_19212 = 1142
  integer, parameter :: nGC_19213 = 1143
  integer, parameter :: nGC_13444 = 1144
  integer, parameter :: nGC_13140 = 1145
  integer, parameter :: nGC_2063 = 1146
  integer, parameter :: nGC_26453 = 1147
  integer, parameter :: nGC_24353 = 1148
  integer, parameter :: nGC_24354 = 1149
  integer, parameter :: nGC_20755 = 1150
  integer, parameter :: nGC_19863 = 1151
  integer, parameter :: nGC_TS_GC_196_Hh = 1152
  integer, parameter :: nGC_13128 = 1153
  integer, parameter :: nGC_7875 = 1154
  integer, parameter :: nGC_13019 = 1155
  integer, parameter :: nGC_27290 = 1156
  integer, parameter :: nGC_19289 = 1157
  integer, parameter :: nGC_19327 = 1158
  integer, parameter :: nGC_22446 = 1159
  integer, parameter :: nGC_19284 = 1160
  integer, parameter :: nGC_22444 = 1161
  integer, parameter :: nGC_13478 = 1162
  integer, parameter :: nGC_13476 = 1163
  integer, parameter :: nGC_13477 = 1164
  integer, parameter :: nGC_13474 = 1165
  integer, parameter :: nGC_13475 = 1166
  integer, parameter :: nGC_13472 = 1167
  integer, parameter :: nGC_13473 = 1168
  integer, parameter :: nGC_13470 = 1169
  integer, parameter :: nGC_13471 = 1170
  integer, parameter :: nGC_19255 = 1171
  integer, parameter :: nGC_19649 = 1172
  integer, parameter :: nGC_19648 = 1173
  integer, parameter :: nGC_12978 = 1174
  integer, parameter :: nGC_12979 = 1175
  integer, parameter :: nGC_TS_GC_101_Hl = 1176
  integer, parameter :: nGC_13183 = 1177
  integer, parameter :: nGC_12974 = 1178
  integer, parameter :: nGC_19250 = 1179
  integer, parameter :: nGC_19641 = 1180
  integer, parameter :: nGC_19640 = 1181
  integer, parameter :: nGC_13194 = 1182
  integer, parameter :: nGC_13197 = 1183
  integer, parameter :: nGC_13196 = 1184
  integer, parameter :: nGC_13058 = 1185
  integer, parameter :: nGC_13190 = 1186
  integer, parameter :: nGC_13192 = 1187
  integer, parameter :: nGC_13055 = 1188
  integer, parameter :: nGC_13056 = 1189
  integer, parameter :: nGC_13057 = 1190
  integer, parameter :: nGC_13050 = 1191
  integer, parameter :: nGC_TS_GC_179_Hh = 1192
  integer, parameter :: nGC_13052 = 1193
  integer, parameter :: nGC_13053 = 1194
  integer, parameter :: nGC_22550 = 1195
  integer, parameter :: nGC_13379 = 1196
  integer, parameter :: nGC_13375 = 1197
  integer, parameter :: nGC_13371 = 1198
  integer, parameter :: nGC_13370 = 1199
  integer, parameter :: nGC_13274 = 1200
  integer, parameter :: nGC_13275 = 1201
  integer, parameter :: nGC_13276 = 1202
  integer, parameter :: nGC_13270 = 1203
  integer, parameter :: nGC_13272 = 1204
  integer, parameter :: nGC_13273 = 1205
  integer, parameter :: nGC_19427 = 1206
  integer, parameter :: nGC_901 = 1207
  integer, parameter :: nGC_13171 = 1208
  integer, parameter :: nGC_13170 = 1209
  integer, parameter :: nGC_13278 = 1210
  integer, parameter :: nGC_13175 = 1211
  integer, parameter :: nGC_13174 = 1212
  integer, parameter :: nGC_20771 = 1213
  integer, parameter :: nGC_1253 = 1214
  integer, parameter :: nGC_22982 = 1215
  integer, parameter :: nGC_22980 = 1216
  integer, parameter :: nGC_23157 = 1217
  integer, parameter :: nGC_23155 = 1218
  integer, parameter :: nGC_23152 = 1219
  integer, parameter :: nGC_13027 = 1220
  integer, parameter :: nGC_13281 = 1221
  integer, parameter :: nGC_13335 = 1222
  integer, parameter :: nGC_13283 = 1223
  integer, parameter :: nGC_19121 = 1224
  integer, parameter :: nGC_13285 = 1225
  integer, parameter :: nGC_13284 = 1226
  integer, parameter :: nGC_23158 = 1227
  integer, parameter :: nGC_23159 = 1228
  integer, parameter :: nGC_19867 = 1229
  integer, parameter :: nGC_19866 = 1230
  integer, parameter :: nGC_2053 = 1231
  integer, parameter :: nGC_19862 = 1232
  integer, parameter :: nGC_13308 = 1233
  integer, parameter :: nGC_13309 = 1234
  integer, parameter :: nGC_13231 = 1235
  integer, parameter :: nGC_13300 = 1236
  integer, parameter :: nGC_13301 = 1237
  integer, parameter :: nGC_13302 = 1238
  integer, parameter :: nGC_13303 = 1239
  integer, parameter :: nGC_13304 = 1240
  integer, parameter :: nGC_13307 = 1241
  integer, parameter :: nGC_21009 = 1242
  integer, parameter :: nGC_24531 = 1243
  integer, parameter :: nGC_24530 = 1244
  integer, parameter :: nGC_24533 = 1245
  integer, parameter :: nGC_24532 = 1246
  integer, parameter :: nGC_20970 = 1247
  integer, parameter :: nGC_20972 = 1248
  integer, parameter :: nGC_13071 = 1249
  integer, parameter :: nGC_20922 = 1250
  integer, parameter :: nGC_12968 = 1251
  integer, parameter :: nGC_20431 = 1252
  integer, parameter :: nGC_1175 = 1253
  integer, parameter :: nGC_21410 = 1254
  integer, parameter :: nGC_21413 = 1255
  integer, parameter :: nGC_21415 = 1256
  integer, parameter :: nGC_19089 = 1257
  integer, parameter :: nGC_21551 = 1258
  integer, parameter :: nGC_13178 = 1259
  integer, parameter :: nGC_21291 = 1260
  integer, parameter :: nGC_7627 = 1261
  integer, parameter :: nGC_25042 = 1262
  integer, parameter :: nGC_21290 = 1263
  integer, parameter :: nGC_13169 = 1264
  integer, parameter :: nGC_13191 = 1265
  integer, parameter :: nGC_19531 = 1266
  integer, parameter :: nGC_25047 = 1267
  integer, parameter :: nGC_25041 = 1268
  integer, parameter :: nGC_19544 = 1269
  integer, parameter :: nGC_22979 = 1270
  integer, parameter :: nGC_13160 = 1271
  integer, parameter :: nGC_13161 = 1272
  integer, parameter :: nGC_20403 = 1273
  integer, parameter :: nGC_20158 = 1274
  integer, parameter :: nGC_13488 = 1275
  integer, parameter :: nGC_20152 = 1276
  integer, parameter :: nGC_13484 = 1277
  integer, parameter :: nGC_13298 = 1278
  integer, parameter :: nGC_20404 = 1279
  integer, parameter :: nGC_19076 = 1280
  integer, parameter :: nGC_19070 = 1281
  integer, parameter :: nGC_3275 = 1282
  integer, parameter :: nGC_19373 = 1283
  integer, parameter :: nGC_19374 = 1284
  integer, parameter :: nGC_4727 = 1285
  integer, parameter :: nGC_13507 = 1286
  integer, parameter :: nGC_12995 = 1287
  integer, parameter :: nGC_13502 = 1288
  integer, parameter :: nGC_13503 = 1289
  integer, parameter :: nGC_13501 = 1290
  integer, parameter :: nGC_13125 = 1291
  integer, parameter :: nGC_13135 = 1292
  integer, parameter :: nGC_21173 = 1293
  integer, parameter :: nGC_TS_GC_30_Hh = 1294
  integer, parameter :: nGC_21174 = 1295
  integer, parameter :: nGC_13151 = 1296
  integer, parameter :: nGC_19738 = 1297
  integer, parameter :: nGC_13150 = 1298
  integer, parameter :: nGC_19108 = 1299
  integer, parameter :: nGC_13432 = 1300
  integer, parameter :: nGC_13433 = 1301
  integer, parameter :: nGC_13430 = 1302
  integer, parameter :: nGC_13431 = 1303
  integer, parameter :: nGC_13436 = 1304
  integer, parameter :: nGC_19105 = 1305
  integer, parameter :: nGC_13434 = 1306
  integer, parameter :: nGC_13435 = 1307
  integer, parameter :: nGC_20375 = 1308
  integer, parameter :: nGC_13156 = 1309
  integer, parameter :: nGC_13127 = 1310
  integer, parameter :: nGC_13344 = 1311
  integer, parameter :: nGC_13345 = 1312
  integer, parameter :: nGC_13346 = 1313
  integer, parameter :: nGC_12982 = 1314
  integer, parameter :: nGC_21011 = 1315
  integer, parameter :: nGC_21010 = 1316
  integer, parameter :: nGC_13342 = 1317
  integer, parameter :: nGC_13343 = 1318
  integer, parameter :: nGC_13348 = 1319
  integer, parameter :: nGC_13349 = 1320
  integer, parameter :: nGC_20420 = 1321
  integer, parameter :: nGC_20427 = 1322
  integer, parameter :: nGC_19451 = 1323
  integer, parameter :: nGC_20835 = 1324
  integer, parameter :: nGC_19084 = 1325
  integer, parameter :: nGC_13238 = 1326
  integer, parameter :: nGC_13451 = 1327
  integer, parameter :: nGC_22042 = 1328
  integer, parameter :: nGC_22041 = 1329
  integer, parameter :: nGC_20756 = 1330
  integer, parameter :: nGC_22044 = 1331
  integer, parameter :: nGC_13334 = 1332
  integer, parameter :: nGC_19941 = 1333
  integer, parameter :: nGC_21308 = 1334
  integer, parameter :: nGC_19814 = 1335
  integer, parameter :: nGC_19813 = 1336
  integer, parameter :: nGC_19810 = 1337
  integer, parameter :: nGC_21302 = 1338
  integer, parameter :: nGC_21307 = 1339
  integer, parameter :: nGC_21306 = 1340
  integer, parameter :: nGC_24464 = 1341
  integer, parameter :: nGC_13176 = 1342
  integer, parameter :: nGC_25962 = 1343
  integer, parameter :: nGC_TS_GC_110_Hl = 1344
  integer, parameter :: nGC_2889 = 1345
  integer, parameter :: nGC_20383 = 1346
  integer, parameter :: nGC_13280 = 1347
  integer, parameter :: nGC_20116 = 1348
  integer, parameter :: nGC_19336 = 1349
  integer, parameter :: nGC_19334 = 1350
  integer, parameter :: nGC_13483 = 1351
  integer, parameter :: nGC_19330 = 1352
  integer, parameter :: nGC_13461 = 1353
  integer, parameter :: nGC_13460 = 1354
  integer, parameter :: nGC_13463 = 1355
  integer, parameter :: nGC_13462 = 1356
  integer, parameter :: nGC_13465 = 1357
  integer, parameter :: nGC_13467 = 1358
  integer, parameter :: nGC_13469 = 1359
  integer, parameter :: nGC_13468 = 1360
  integer, parameter :: nGC_19134 = 1361
  integer, parameter :: nGC_23942 = 1362
  integer, parameter :: nGC_19638 = 1363
  integer, parameter :: nGC_19775 = 1364
  integer, parameter :: nGC_21731 = 1365
  integer, parameter :: nGC_25963 = 1366
  integer, parameter :: nGC_22462 = 1367
  integer, parameter :: nGC_12967 = 1368
  integer, parameter :: nGC_20602 = 1369
  integer, parameter :: nGC_12965 = 1370
  integer, parameter :: nGC_12964 = 1371
  integer, parameter :: nGC_19673 = 1372
  integer, parameter :: nGC_12961 = 1373
  integer, parameter :: nGC_19137 = 1374
  integer, parameter :: nGC_21289 = 1375
  integer, parameter :: nGC_26642 = 1376
  integer, parameter :: nGC_13049 = 1377
  integer, parameter :: nGC_13046 = 1378
  integer, parameter :: nGC_13045 = 1379
  integer, parameter :: nGC_13044 = 1380
  integer, parameter :: nGC_13043 = 1381
  integer, parameter :: nGC_13042 = 1382
  integer, parameter :: nGC_13041 = 1383
  integer, parameter :: nGC_13040 = 1384
  integer, parameter :: nGC_20232 = 1385
  integer, parameter :: nGC_13267 = 1386
  integer, parameter :: nGC_13266 = 1387
  integer, parameter :: nGC_13265 = 1388
  integer, parameter :: nGC_13264 = 1389
  integer, parameter :: nGC_13263 = 1390
  integer, parameter :: nGC_13262 = 1391
  integer, parameter :: nGC_13260 = 1392
  integer, parameter :: nGC_13147 = 1393
  integer, parameter :: nGC_13144 = 1394
  integer, parameter :: nGC_13145 = 1395
  integer, parameter :: nGC_13142 = 1396
  integer, parameter :: nGC_13143 = 1397
  integer, parameter :: nGC_13269 = 1398
  integer, parameter :: nGC_13268 = 1399
  integer, parameter :: nGC_20746 = 1400
  integer, parameter :: nGC_21640 = 1401
  integer, parameter :: nGC_20513 = 1402
  integer, parameter :: nGC_13031 = 1403
  integer, parameter :: nGC_22630 = 1404
  integer, parameter :: nGC_22631 = 1405
  integer, parameter :: nGC_22632 = 1406
  integer, parameter :: nGC_22633 = 1407
  integer, parameter :: nGC_22442 = 1408
  integer, parameter :: nGC_20307 = 1409
  integer, parameter :: nGC_13319 = 1410
  integer, parameter :: nGC_13318 = 1411
  integer, parameter :: nGC_13313 = 1412
  integer, parameter :: nGC_13312 = 1413
  integer, parameter :: nGC_13311 = 1414
  integer, parameter :: nGC_13310 = 1415
  integer, parameter :: nGC_13317 = 1416
  integer, parameter :: nGC_13316 = 1417
  integer, parameter :: nGC_13315 = 1418
  integer, parameter :: nGC_24527 = 1419
  integer, parameter :: nGC_13232 = 1420
  integer, parameter :: nGC_12969 = 1421
  integer, parameter :: nGC_20514 = 1422
  integer, parameter :: nGC_13168 = 1423
  integer, parameter :: nGC_23737 = 1424
  integer, parameter :: nGC_12966 = 1425
  integer, parameter :: nGC_23738 = 1426
  integer, parameter :: nGC_23739 = 1427
  integer, parameter :: nGC_19687 = 1428
  integer, parameter :: nGC_19682 = 1429
  integer, parameter :: nGC_20013 = 1430
  integer, parameter :: nGC_12960 = 1431
  integer, parameter :: nGC_13234 = 1432
  integer, parameter :: nGC_21008 = 1433
  integer, parameter :: nGC_26451 = 1434
  integer, parameter :: nGC_26452 = 1435
  integer, parameter :: nGC_13199 = 1436
  integer, parameter :: nGC_26454 = 1437
  integer, parameter :: nGC_23801 = 1438
  integer, parameter :: nGC_23802 = 1439
  integer, parameter :: nGC_23803 = 1440
  integer, parameter :: nGC_13380 = 1441
  integer, parameter :: nGC_23294 = 1442
  integer, parameter :: nGC_23297 = 1443
  integer, parameter :: nGC_13198 = 1444
  integer, parameter :: nGC_22946 = 1445
  integer, parameter :: nGC_22947 = 1446
  integer, parameter :: nGC_13030 = 1447
  integer, parameter :: nGC_22945 = 1448
  integer, parameter :: nGC_22948 = 1449
  integer, parameter :: nGC_13038 = 1450
  integer, parameter :: nGC_TS_GC_119_Hh = 1451
  integer, parameter :: nGC_24355 = 1452
  integer, parameter :: nGC_19639 = 1453
  integer, parameter :: nGC_19180 = 1454
  integer, parameter :: nGC_19181 = 1455
  integer, parameter :: nGC_19182 = 1456
  integer, parameter :: nGC_19148 = 1457
  integer, parameter :: nGC_13013 = 1458
  integer, parameter :: nGC_TS_GC_151_Hh = 1459
  integer, parameter :: nGC_21932 = 1460
  integer, parameter :: nGC_21933 = 1461
  integer, parameter :: nGC_20882 = 1462
  integer, parameter :: nGC_13485 = 1463
  integer, parameter :: nGC_19340 = 1464
  integer, parameter :: nGC_19341 = 1465
  integer, parameter :: nGC_12981 = 1466
  integer, parameter :: nGC_12980 = 1467
  integer, parameter :: nGC_13108 = 1468
  integer, parameter :: nGC_20150 = 1469
  integer, parameter :: nGC_13282 = 1470
  integer, parameter :: nGC_13450 = 1471
  integer, parameter :: nGC_13103 = 1472
  integer, parameter :: nGC_13100 = 1473
  integer, parameter :: nGC_13101 = 1474
  integer, parameter :: nGC_13106 = 1475
  integer, parameter :: nGC_13107 = 1476
  integer, parameter :: nGC_21753 = 1477
  integer, parameter :: nGC_13480 = 1478
  integer, parameter :: nGC_21161 = 1479
  integer, parameter :: nGC_21160 = 1480
  integer, parameter :: nGC_21163 = 1481
  integer, parameter :: nGC_21162 = 1482
  integer, parameter :: nGC_19707 = 1483
  integer, parameter :: nGC_20474 = 1484
  integer, parameter :: nGC_19379 = 1485
  integer, parameter :: nGC_13007 = 1486
  integer, parameter :: nGC_13428 = 1487
  integer, parameter :: nGC_13424 = 1488
  integer, parameter :: nGC_13427 = 1489
  integer, parameter :: nGC_13420 = 1490
  integer, parameter :: nGC_20475 = 1491
  integer, parameter :: nGC_20265 = 1492
  integer, parameter :: nGC_20266 = 1493
  integer, parameter :: nGC_13356 = 1494
  integer, parameter :: nGC_13355 = 1495
  integer, parameter :: nGC_13354 = 1496
  integer, parameter :: nGC_13353 = 1497
  integer, parameter :: nGC_13352 = 1498
  integer, parameter :: nGC_13219 = 1499
  integer, parameter :: nGC_13216 = 1500
  integer, parameter :: nGC_13217 = 1501
  integer, parameter :: nGC_13359 = 1502
  integer, parameter :: nGC_20417 = 1503
  integer, parameter :: nGC_20418 = 1504
  integer, parameter :: nGC_20419 = 1505
  integer, parameter :: nGC_TS_GC_100_Hl = 1506
  integer, parameter :: nGC_20198 = 1507
  integer, parameter :: nGC_23791 = 1508
  integer, parameter :: nGC_13149 = 1509
  integer, parameter :: nGC_19807 = 1510
  integer, parameter :: nGC_21271 = 1511
  integer, parameter :: nGC_21272 = 1512
  integer, parameter :: nGC_21072 = 1513
  integer, parameter :: nGC_19613 = 1514
  integer, parameter :: nGC_13506 = 1515
  integer, parameter :: nGC_24454 = 1516
  integer, parameter :: nGC_24455 = 1517
  integer, parameter :: nGC_25477 = 1518
  integer, parameter :: nGC_25476 = 1519
  integer, parameter :: nGC_25479 = 1520
  integer, parameter :: nGC_25478 = 1521
  integer, parameter :: nGC_22773 = 1522
  integer, parameter :: nGC_13164 = 1523
  integer, parameter :: nGC_19830 = 1524
  integer, parameter :: nGC_21203 = 1525
  integer, parameter :: nGC_19303 = 1526
  integer, parameter :: nGC_21847 = 1527
  integer, parameter :: nGC_19307 = 1528
  integer, parameter :: nGC_19265 = 1529
  integer, parameter :: nGC_21249 = 1530
  integer, parameter :: nGC_13414 = 1531
  integer, parameter :: nGC_13415 = 1532
  integer, parameter :: nGC_13416 = 1533
  integer, parameter :: nGC_13417 = 1534
  integer, parameter :: nGC_13410 = 1535
  integer, parameter :: nGC_13411 = 1536
  integer, parameter :: nGC_13412 = 1537
  integer, parameter :: nGC_13413 = 1538
  integer, parameter :: nGC_26808 = 1539
  integer, parameter :: nGC_13419 = 1540
  integer, parameter :: nGC_13159 = 1541
  integer, parameter :: nGC_7879 = 1542
  integer, parameter :: nGC_2353 = 1543
  integer, parameter :: nGC_13186 = 1544
  integer, parameter :: nGC_19545 = 1545
  integer, parameter :: nGC_12957 = 1546
  integer, parameter :: nGC_12958 = 1547
  integer, parameter :: nGC_12959 = 1548
  integer, parameter :: nGC_21483 = 1549
  integer, parameter :: nGC_13072 = 1550
  integer, parameter :: nGC_13073 = 1551
  integer, parameter :: nGC_13070 = 1552
  integer, parameter :: nGC_26637 = 1553
  integer, parameter :: nGC_13076 = 1554
  integer, parameter :: nGC_13077 = 1555
  integer, parameter :: nGC_13074 = 1556
  integer, parameter :: nGC_13075 = 1557
  integer, parameter :: nGC_21292 = 1558
  integer, parameter :: nGC_13078 = 1559
  integer, parameter :: nGC_13079 = 1560
  integer, parameter :: nGC_19159 = 1561
  integer, parameter :: nGC_13258 = 1562
  integer, parameter :: nGC_13259 = 1563
  integer, parameter :: nGC_13252 = 1564
  integer, parameter :: nGC_13253 = 1565
  integer, parameter :: nGC_13250 = 1566
  integer, parameter :: nGC_13251 = 1567
  integer, parameter :: nGC_13256 = 1568
  integer, parameter :: nGC_13257 = 1569
  integer, parameter :: nGC_13254 = 1570
  integer, parameter :: nGC_13255 = 1571
  integer, parameter :: nGC_13098 = 1572
  integer, parameter :: nGC_13099 = 1573
  integer, parameter :: nGC_13153 = 1574
  integer, parameter :: nGC_19406 = 1575
  integer, parameter :: nGC_13154 = 1576
  integer, parameter :: nGC_13157 = 1577
  integer, parameter :: nGC_TS_GC_195_Hl = 1578
  integer, parameter :: nGC_13090 = 1579
  integer, parameter :: nGC_13091 = 1580
  integer, parameter :: nGC_13092 = 1581
  integer, parameter :: nGC_13093 = 1582
  integer, parameter :: nGC_13094 = 1583
  integer, parameter :: nGC_13095 = 1584
  integer, parameter :: nGC_13096 = 1585
  integer, parameter :: nGC_13097 = 1586
  integer, parameter :: nGC_22038 = 1587
  integer, parameter :: nGC_22403 = 1588
  integer, parameter :: nGC_13012 = 1589
  integer, parameter :: nGC_13059 = 1590
  integer, parameter :: nGC_13006 = 1591
  integer, parameter :: nGC_22628 = 1592
  integer, parameter :: nGC_13011 = 1593
  integer, parameter :: nGC_22625 = 1594
  integer, parameter :: nGC_21988 = 1595
  integer, parameter :: nGC_13328 = 1596
  integer, parameter :: nGC_13329 = 1597
  integer, parameter :: nGC_13326 = 1598
  integer, parameter :: nGC_13327 = 1599
  integer, parameter :: nGC_13324 = 1600
  integer, parameter :: nGC_13325 = 1601
  integer, parameter :: nGC_13322 = 1602
  integer, parameter :: nGC_13323 = 1603
  integer, parameter :: nGC_13320 = 1604
  integer, parameter :: nGC_13321 = 1605
  integer, parameter :: nGC_19475 = 1606
  integer, parameter :: nGC_13018 = 1607
  integer, parameter :: nGC_22284 = 1608
  integer, parameter :: nGC_21479 = 1609
  integer, parameter :: nGC_TS_GC_27_Hh = 1610
  integer, parameter :: nGC_19100 = 1611
  integer, parameter :: nGC_19832 = 1612
  integer, parameter :: nGC_19833 = 1613
  integer, parameter :: nGC_19834 = 1614
  integer, parameter :: nGC_19835 = 1615
  integer, parameter :: nGC_19836 = 1616
  integer, parameter :: nGC_20004 = 1617
  integer, parameter :: nGC_21089 = 1618
  integer, parameter :: nGC_21087 = 1619
  integer, parameter :: nGC_13189 = 1620
  integer, parameter :: nGC_12975 = 1621
  integer, parameter :: nGC_20402 = 1622
  integer, parameter :: nGC_12976 = 1623
  integer, parameter :: nGC_21088 = 1624
  integer, parameter :: nGC_22950 = 1625
  integer, parameter :: nGC_22563 = 1626
  integer, parameter :: nGC_22812 = 1627
  integer, parameter :: nGC_22813 = 1628
  integer, parameter :: nGC_19785 = 1629
  integer, parameter :: nGC_13223 = 1630
  integer, parameter :: nGC_13222 = 1631
  integer, parameter :: nGC_13221 = 1632
  integer, parameter :: nGC_13220 = 1633
  integer, parameter :: nGC_19192 = 1634
  integer, parameter :: nGC_19214 = 1635
  integer, parameter :: nGC_19195 = 1636
  integer, parameter :: nGC_19218 = 1637
  integer, parameter :: nGC_19199 = 1638
  integer, parameter :: nGC_20075 = 1639
  integer, parameter :: nGC_20076 = 1640
  integer, parameter :: nGC_20077 = 1641
  integer, parameter :: nGC_19359 = 1642
  integer, parameter :: nGC_19291 = 1643
  integer, parameter :: nGC_19598 = 1644
  integer, parameter :: nGC_13297 = 1645
  integer, parameter :: nGC_13294 = 1646
  integer, parameter :: nGC_21562 = 1647
  integer, parameter :: nGC_13119 = 1648
  integer, parameter :: nGC_13293 = 1649
  integer, parameter :: nGC_19793 = 1650
  integer, parameter :: nGC_13299 = 1651
  integer, parameter :: nGC_19816 = 1652
  integer, parameter :: nGC_19815 = 1653
  integer, parameter :: nGC_19942 = 1654
  integer, parameter :: nGC_13214 = 1655
  integer, parameter :: nGC_19442 = 1656
  integer, parameter :: nGC_19444 = 1657
  integer, parameter :: nGC_22448 = 1658
  integer, parameter :: nGC_22447 = 1659
  integer, parameter :: nGC_23246 = 1660
  integer, parameter :: nGC_13182 = 1661
  integer, parameter :: nGC_31005 = 1662
  integer, parameter :: nGC_13181 = 1663
  integer, parameter :: nGC_31003 = 1664
  integer, parameter :: nGC_19321 = 1665
  integer, parameter :: nGC_13184 = 1666
  integer, parameter :: nGC_13185 = 1667
  integer, parameter :: nGC_13021 = 1668
  integer, parameter :: nGC_13020 = 1669
  integer, parameter :: nGC_13023 = 1670
  integer, parameter :: nGC_13024 = 1671
  integer, parameter :: nGC_13292 = 1672
  integer, parameter :: nGC_20352 = 1673
  integer, parameter :: nGC_20211 = 1674
  integer, parameter :: nGC_13201 = 1675
  integer, parameter :: nGC_13202 = 1676
  integer, parameter :: nGC_19769 = 1677
  integer, parameter :: nGC_13207 = 1678
  integer, parameter :: nGC_13206 = 1679
  integer, parameter :: nGC_13104 = 1680
  integer, parameter :: nGC_20405 = 1681
  integer, parameter :: nGC_20117 = 1682
  integer, parameter :: nGC_20814 = 1683
  integer, parameter :: nGC_13180 = 1684
  integer, parameter :: nGC_13195 = 1685
  integer, parameter :: nGC_23160 = 1686
  integer, parameter :: nGC_13193 = 1687
  integer, parameter :: nGC_13054 = 1688
  integer, parameter :: nGC_19320 = 1689
  integer, parameter :: nGC_19322 = 1690
  integer, parameter :: nGC_13179 = 1691
  integer, parameter :: nGC_13277 = 1692
  integer, parameter :: nGC_19387 = 1693
  integer, parameter :: nGC_19222 = 1694
  integer, parameter :: nGC_13177 = 1695
  integer, parameter :: nGC_13279 = 1696
  integer, parameter :: nGC_20772 = 1697
  integer, parameter :: nGC_21044 = 1698
  integer, parameter :: nGC_20770 = 1699
  integer, parameter :: nGC_19771 = 1700
  integer, parameter :: nGC_21041 = 1701
  integer, parameter :: nGC_22983 = 1702
  integer, parameter :: nGC_22981 = 1703
  integer, parameter :: nGC_13289 = 1704
  integer, parameter :: nGC_13288 = 1705
  integer, parameter :: nGC_23304 = 1706
  integer, parameter :: nGC_23303 = 1707
  integer, parameter :: nGC_13048 = 1708
  integer, parameter :: nGC_13047 = 1709
  integer, parameter :: nGC_20189 = 1710
  integer, parameter :: nGC_13271 = 1711
  integer, parameter :: nGC_19869 = 1712
  integer, parameter :: nGC_19868 = 1713
  integer, parameter :: nGC_20971 = 1714
  integer, parameter :: nGC_19903 = 1715
  integer, parameter :: nGC_13261 = 1716
  integer, parameter :: nGC_20135 = 1717
  integer, parameter :: nGC_21468 = 1718
  integer, parameter :: nGC_20137 = 1719
  integer, parameter :: nGC_13305 = 1720
  integer, parameter :: nGC_13306 = 1721
  integer, parameter :: nGC_24535 = 1722
  integer, parameter :: nGC_24534 = 1723
  integer, parameter :: nGC_19498 = 1724
  integer, parameter :: nGC_19319 = 1725
  integer, parameter :: nGC_19492 = 1726
  integer, parameter :: nGC_21641 = 1727
  integer, parameter :: nGC_21642 = 1728
  integer, parameter :: nGC_13235 = 1729
  integer, parameter :: nGC_13236 = 1730
  integer, parameter :: nGC_19926 = 1731
  integer, parameter :: nGC_13237 = 1732
  integer, parameter :: nGC_13010 = 1733
  integer, parameter :: nGC_21989 = 1734
  integer, parameter :: nGC_21467 = 1735
  integer, parameter :: nGC_13014 = 1736
  integer, parameter :: nGC_13015 = 1737
  integer, parameter :: nGC_21983 = 1738
  integer, parameter :: nGC_21982 = 1739
  integer, parameter :: nGC_20228 = 1740
  integer, parameter :: nGC_21417 = 1741
  integer, parameter :: nGC_21416 = 1742
  integer, parameter :: nGC_19290 = 1743
  integer, parameter :: nGC_19535 = 1744
  integer, parameter :: nGC_19612 = 1745
  integer, parameter :: nGC_19927 = 1746
  integer, parameter :: nGC_19993 = 1747
  integer, parameter :: nGC_19992 = 1748
  integer, parameter :: nGC_19770 = 1749
  integer, parameter :: nGC_19165 = 1750
  integer, parameter :: nGC_19536 = 1751
  integer, parameter :: nGC_13060 = 1752
  integer, parameter :: nGC_13069 = 1753
  integer, parameter :: nGC_25533 = 1754
  integer, parameter :: nGC_13249 = 1755
  integer, parameter :: nGC_21273 = 1756
  integer, parameter :: nGC_19688 = 1757
  integer, parameter :: nGC_13245 = 1758
  integer, parameter :: nGC_21310 = 1759
  integer, parameter :: nGC_13124 = 1760
  integer, parameter :: nGC_13083 = 1761
  integer, parameter :: nGC_13088 = 1762
  integer, parameter :: nGC_13121 = 1763
  integer, parameter :: nGC_19274 = 1764
  integer, parameter :: nGC_20725 = 1765
  integer, parameter :: nGC_20724 = 1766
  integer, parameter :: nGC_13082 = 1767
  integer, parameter :: nGC_13087 = 1768
  integer, parameter :: nGC_13086 = 1769
  integer, parameter :: nGC_13085 = 1770
  integer, parameter :: nGC_13084 = 1771
  integer, parameter :: nGC_19600 = 1772
  integer, parameter :: nGC_23126 = 1773
  integer, parameter :: nGC_20151 = 1774
  integer, parameter :: nGC_13037 = 1775
  integer, parameter :: nGC_19422 = 1776
  integer, parameter :: nGC_22949 = 1777
  integer, parameter :: nGC_19264 = 1778
  integer, parameter :: nGC_13332 = 1779
  integer, parameter :: nGC_19124 = 1780
  integer, parameter :: nGC_20534 = 1781
  integer, parameter :: nGC_13139 = 1782
  integer, parameter :: nGC_19503 = 1783
  integer, parameter :: nGC_21309 = 1784
  integer, parameter :: nGC_20432 = 1785
  integer, parameter :: nGC_20433 = 1786
  integer, parameter :: nGC_20434 = 1787
  integer, parameter :: nGC_19404 = 1788
  integer, parameter :: nGC_20842 = 1789
  integer, parameter :: nGC_30547 = 1790
  integer, parameter :: nGC_22043 = 1791
  integer, parameter :: nGC_19347 = 1792
  integer, parameter :: nGC_23194 = 1793
  integer, parameter :: nGC_23195 = 1794
  integer, parameter :: nGC_20078 = 1795
  integer, parameter :: nGC_20773 = 1796
  integer, parameter :: nGC_31827 = 1797
  integer, parameter :: nGC_21043 = 1798
  integer, parameter :: nGC_21418 = 1799
  integer, parameter :: nGC_22814 = 1800
  integer, parameter :: nGC_19166 = 1801
  integer, parameter :: nGC_20229 = 1802
  integer, parameter :: nGC_19817 = 1803
  integer, parameter :: nGC_19537 = 1804
  integer, parameter :: nGC_20138 = 1805
  integer, parameter :: nGC_19275 = 1806
  integer, parameter :: nGC_19292 = 1807
  integer, parameter :: nGC_19443 = 1808
  integer, parameter :: nGC_19599 = 1809
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
