!******************************************************************************!
!                                                                              !
!    currents_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info3
  implicit none
  contains
  subroutine fill_current_3(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GMinus, P_t, P_bAnti, 81, check)
    call createCurrent(P_ghAAnti, P_A, P_WPlus, P_ghWm, 4232, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 1653, check)
    call createCurrent(P_AQ, P_sAnti, P_s, 231, check)
    call createCurrent(P_g, P_ghGAnti, P_g, P_ghG, 55, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghWmAnti, P_ghZ, 3955, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HlQ, 595, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_Z, 2035, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_GQ0, 2984, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hh, 3692, check)
    call createCurrent(P_GQ0, P_A, P_GPlus, P_WQMinus, 1329, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWp, P_GMinus, 2865, check)
    call createCurrent(P_gQ, P_ghG, P_ghGAnti, 2949, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_GQ0, 3860, check)
    call createCurrent(P_Hh, P_ghWm, P_Hl, P_ghWmAnti, 777, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 2015, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, P_G0, 3542, check)
    call createCurrent(P_HlQ, P_ePlus, P_eMinus, 843, check)
    call createCurrent(P_WQMinus, P_ghZ, P_Z, P_ghWmAnti, 3761, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_GMinus, P_ghZ, 1240, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_GQ0, 105, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 3605, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_Hl, P_ghWp, 2815, check)
    call createCurrent(P_A, P_dAnti, P_d, 1407, check)
    call createCurrent(P_A, P_bAnti, P_b, 3311, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hl, P_AQ, 95, check)
    call createCurrent(P_gQ, P_ghGAnti, P_ghG, 2523, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hh, 259, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWm, P_ghAAnti, 2212, check)
    call createCurrent(P_sAnti, P_s, 5074, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_A, P_WPlus, 1121, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, P_AQ, 4365, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWp, P_WMinus, 1542, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_Hl, 508, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 3969, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WQPlus, 711, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, P_GQ0, 1762, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, 4946, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_HlQ, 1595, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1148, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_HhQ, 1000, check)
    call createCurrent(P_GQPlus, P_Hl, P_GMinus, P_GQ0, 1101, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, 3340, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghZ, 802, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 3145, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_GPlus, 940, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_GMinus, 2300, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_AQ, 3801, check)
    call createCurrent(P_GQPlus, P_Hh, P_Z, P_WQMinus, 811, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_G0, 1799, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWp, P_ghZAnti, 1280, check)
    call createCurrent(P_GQMinus, P_G0, P_ghA, P_ghWmAnti, 3073, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_HhQ, 2103, check)
    call createCurrent(P_Z, P_Z, P_ghWp, P_ghWpAnti, 2216, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghAAnti, P_WPlus, 3608, check)
    call createCurrent(P_AQ, P_Hl, P_WPlus, P_GQMinus, 3948, check)
    call createCurrent(P_d, P_dAnti, P_Hl, 2178, check)
    call createCurrent(P_Z, P_Z, P_Hl, 2157, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_HlQ, 4705, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 5144, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_Hh, P_ghWm, 4092, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_Z, P_ghWp, 4764, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghAAnti, 699, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_ghWp, P_GPlus, 1934, check)
    call createCurrent(P_A, P_ghZ, P_WPlus, P_ghWpAnti, 4792, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_ZQ, 2788, check)
    call createCurrent(P_ZQ, P_cAnti, P_c, 3489, check)
    call createCurrent(P_HlQ, P_Z, P_WMinus, P_GQPlus, 641, check)
    call createCurrent(P_sAnti, P_s, P_Hl, 1625, check)
    call createCurrent(P_G0, P_ghZ, P_GPlus, P_ghWpAnti, 363, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_Z, 1507, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghZ, 2238, check)
    call createCurrent(P_Z, P_ghAAnti, P_ghWm, P_WPlus, 1917, check)
    call createCurrent(P_u, P_uAnti, P_G0, 1176, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghZ, P_G0, 3070, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hl, 4871, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_G0, P_GQMinus, 1503, check)
    call createCurrent(P_HlQ, P_GPlus, P_GMinus, P_HlQ, 1528, check)
    call createCurrent(P_HlQ, P_muMinus, P_muPlus, 958, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_GPlus, 1979, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_HhQ, 2121, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZAnti, P_ghA, 3763, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghAAnti, 4244, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_Z, 1215, check)
    call createCurrent(P_t, P_G0, P_tAnti, 3688, check)
    call createCurrent(P_g, P_Hl, P_g, 5161, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 3622, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghWmAnti, P_ghWm, 1904, check)
    call createCurrent(P_ZQ, P_GPlus, P_WQMinus, 2543, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_HlQ, 4664, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_GPlus, 201, check)
    call createCurrent(P_Hl, P_GMinus, P_ghA, P_ghWmAnti, 2385, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 2960, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_GMinus, P_ghA, 2803, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_GMinus, 4089, check)
    call createCurrent(P_ghZ, P_A, P_ghWmAnti, P_WQMinus, 2743, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WPlus, 3325, check)
    call createCurrent(P_G0, P_GPlus, P_ghZAnti, P_ghWm, 284, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, P_Hh, 3766, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Hl, 3537, check)
    call createCurrent(P_GMinus, P_Hl, P_ghZ, P_ghWmAnti, 189, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WQPlus, 4164, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, P_Hl, 35, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hh, P_ghAAnti, 4708, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 2313, check)
    call createCurrent(P_ghA, P_GPlus, P_GMinus, P_ghZAnti, 1112, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1074, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghZ, 4682, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_Hh, 3628, check)
    call createCurrent(P_GQ0, P_Hh, P_WMinus, P_WQPlus, 2388, check)
    call createCurrent(P_GQ0, P_G0, P_GPlus, P_GQMinus, 3909, check)
    call createCurrent(P_ghA, P_Hl, P_GMinus, P_ghWmAnti, 4571, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_GPlus, 3657, check)
    call createCurrent(P_GQMinus, P_t, P_bAnti, 3406, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 2235, check)
    call createCurrent(P_Z, P_A, P_Hh, 5095, check)
    call createCurrent(P_uAnti, P_u, P_GQ0, 2070, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_ZQ, 1622, check)
    call createCurrent(P_GQ0, P_t, P_tAnti, 4366, check)
    call createCurrent(P_WQPlus, P_WMinus, P_A, P_ZQ, 1957, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_HhQ, 1189, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWp, P_WMinus, 3604, check)
    call createCurrent(P_WPlus, P_ghA, P_ghAAnti, P_WMinus, 556, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 2951, check)
    call createCurrent(P_d, P_dAnti, P_ZQ, 1346, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, P_Z, 4214, check)
    call createCurrent(P_ghWp, P_GPlus, P_GMinus, P_ghWpAnti, 4876, check)
    call createCurrent(P_HlQ, P_ghWm, P_G0, P_ghWmAnti, 2870, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GPlus, P_GMinus, 4944, check)
    call createCurrent(P_ghZ, P_Hh, P_GPlus, P_ghWpAnti, 1911, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hh, P_ghA, 514, check)
    call createCurrent(P_ZQ, P_Hl, P_Hh, P_ZQ, 3717, check)
    call createCurrent(P_GQMinus, P_ghA, P_G0, P_ghWmAnti, 3276, check)
    call createCurrent(P_A, P_ghZAnti, P_WMinus, P_ghWp, 546, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_GQMinus, 2197, check)
    call createCurrent(P_ZQ, P_GPlus, P_A, P_GQMinus, 551, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_ZQ, 946, check)
    call createCurrent(P_Hl, P_ghWm, P_ghAAnti, P_GPlus, 4568, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 3890, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_G0, P_GPlus, 4300, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 144, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_GMinus, 2136, check)
    call createCurrent(P_WQPlus, P_GMinus, P_ZQ, 4786, check)
    call createCurrent(P_ghA, P_WPlus, P_ghZAnti, P_WMinus, 2914, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 2961, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 5108, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWpAnti, P_ghZ, 235, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_Hl, 1067, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 485, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_ghWp, 671, check)
    call createCurrent(P_cAnti, P_A, P_c, 3185, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 4688, check)
    call createCurrent(P_HlQ, P_ghWp, P_G0, P_ghWpAnti, 4835, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 1338, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1485, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_HlQ, 4896, check)
    call createCurrent(P_HlQ, P_Hl, P_Hl, P_HhQ, 4516, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_GPlus, P_ghZ, 672, check)
    call createCurrent(P_cAnti, P_c, P_G0, 4295, check)
    call createCurrent(P_HlQ, P_Hl, P_HhQ, 71, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_GQ0, 3609, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 4989, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 1726, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_AQ, 4538, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWm, P_ghAAnti, 2328, check)
    call createCurrent(P_GQPlus, P_Hh, P_Hh, P_GQMinus, 955, check)
    call createCurrent(P_Hh, P_ghWp, P_GMinus, P_ghZAnti, 4051, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWp, P_ghWmAnti, 1712, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 3904, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_GPlus, P_ghWm, 1246, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 884, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 4348, check)
    call createCurrent(P_Hl, P_Hh, 5051, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 3868, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_AQ, 462, check)
    call createCurrent(P_GQ0, P_G0, P_ghZAnti, P_ghZ, 301, check)
    call createCurrent(P_tAnti, P_t, P_GQ0, 1750, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hl, P_ghZ, 2334, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 1971, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_GPlus, P_ghWp, 2151, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghZ, 2062, check)
    call createCurrent(P_HlQ, P_Z, P_GPlus, P_WQMinus, 4713, check)
    call createCurrent(P_u, P_A, P_uAnti, 916, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 653, check)
    call createCurrent(P_GMinus, P_Hh, P_Z, P_WPlus, 4212, check)
    call createCurrent(P_gQ, P_bAnti, P_b, 3784, check)
    call createCurrent(P_G0, P_ghWm, P_G0, P_ghWmAnti, 3158, check)
    call createCurrent(P_GPlus, P_G0, P_ghWm, P_ghAAnti, 4912, check)
    call createCurrent(P_A, P_u, P_uAnti, 1960, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_A, 1550, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_A, P_WMinus, 4003, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hh, P_AQ, 2617, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_Hh, P_ghWp, 2431, check)
    call createCurrent(P_ZQ, P_Z, P_ghWp, P_ghWpAnti, 2630, check)
    call createCurrent(P_GQ0, P_G0, P_ghWpAnti, P_ghWp, 1811, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 4342, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hh, 2734, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_HlQ, 3892, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 4917, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 4083, check)
    call createCurrent(P_ghWpAnti, P_Z, P_A, P_ghWp, 589, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1536, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hl, 327, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 1251, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 1231, check)
    call createCurrent(P_WQPlus, P_A, P_WMinus, P_AQ, 3945, check)
    call createCurrent(P_gQ, P_g, P_ghGAnti, P_ghG, 794, check)
    call createCurrent(P_HlQ, P_Hl, P_G0, P_GQ0, 4623, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 4260, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, 4888, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 54, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_GQ0, 780, check)
    call createCurrent(P_GQPlus, P_G0, P_WMinus, P_AQ, 4577, check)
    call createCurrent(P_GQ0, P_ghWm, P_G0, P_ghWmAnti, 1213, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghA, 1707, check)
    call createCurrent(P_Hl, P_ghZAnti, P_GPlus, P_ghWm, 972, check)
    call createCurrent(P_bAnti, P_Hl, P_b, 2597, check)
    call createCurrent(P_Hl, P_GMinus, P_ghWmAnti, P_ghZ, 2772, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WQPlus, 3170, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 826, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_ZQ, 4394, check)
    call createCurrent(P_g, P_A, P_g, P_g, 5216, check)
    call createCurrent(P_GQ0, P_Hl, P_WMinus, P_WQPlus, 2666, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_A, 564, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_A, P_WMinus, 2758, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hh, 1380, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 254, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1285, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWpAnti, P_ghA, 3711, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZAnti, P_ghWp, 214, check)
    call createCurrent(P_GQMinus, P_bAnti, P_t, 961, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_A, 5090, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghWpAnti, P_ghA, 1166, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_HlQ, 3843, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hl, 2107, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 4263, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1533, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, P_Z, 4728, check)
    call createCurrent(P_HlQ, P_Hl, P_GPlus, P_GQMinus, 3606, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_Hh, 3996, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, P_A, 3349, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_GMinus, P_ghZ, 1586, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghZAnti, 769, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 2463, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 554, check)
    call createCurrent(P_Hl, P_ghWp, P_GMinus, P_ghAAnti, 4450, check)
    call createCurrent(P_g, P_g, P_ghGAnti, P_ghG, 13, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hh, 4109, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_GQMinus, 3415, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 4293, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WPlus, 3456, check)
    call createCurrent(P_Hl, P_G0, P_Z, 4315, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_GQ0, 4116, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 5080, check)
    call createCurrent(P_GQMinus, P_Hl, P_GPlus, P_HlQ, 838, check)
    call createCurrent(P_Hh, P_ghAAnti, P_ghWm, P_GPlus, 2165, check)
    call createCurrent(P_ghZ, P_WPlus, P_A, P_ghWpAnti, 3379, check)
    call createCurrent(P_ghWp, P_G0, P_ghZAnti, P_GQMinus, 840, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_Hh, 4933, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_A, 3079, check)
    call createCurrent(P_GQMinus, P_Hl, P_WPlus, P_ZQ, 2501, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 3066, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghAAnti, 365, check)
    call createCurrent(P_ghAAnti, P_Hh, P_GMinus, P_ghWp, 971, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_ZQ, 3866, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghA, 744, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hh, 5177, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hl, 1614, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 1228, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GPlus, 1401, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_HlQ, 120, check)
    call createCurrent(P_G0, P_ghAAnti, P_GMinus, P_ghWp, 1273, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_Z, 4662, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_G0, 3503, check)
    call createCurrent(P_GQ0, P_cAnti, P_c, 3752, check)
    call createCurrent(P_AQ, P_GPlus, P_Hh, P_WQMinus, 1097, check)
    call createCurrent(P_Hh, P_tauPlus, P_tauMinus, 2917, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1617, check)
    call createCurrent(P_WPlus, P_A, P_ghAAnti, P_ghWm, 2889, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GQPlus, 3863, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_GPlus, P_ghWm, 1823, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_A, 569, check)
    call createCurrent(P_c, P_sAnti, P_GQMinus, 491, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 4036, check)
    call createCurrent(P_A, P_WMinus, P_ghA, P_ghWmAnti, 343, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Hl, 2763, check)
    call createCurrent(P_HhQ, P_Hl, P_HlQ, 3893, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_G0, P_GPlus, 3848, check)
    call createCurrent(P_GQMinus, P_u, P_dAnti, 836, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_GQMinus, 913, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghZ, 1597, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_G0, P_ghWm, 17, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_Hh, 461, check)
    call createCurrent(P_HlQ, P_GPlus, P_WQMinus, 1131, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_HhQ, 317, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 261, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 156, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, P_Z, 4047, check)
    call createCurrent(P_ZQ, P_WPlus, P_WMinus, P_ZQ, 4166, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 5205, check)
    call createCurrent(P_HlQ, P_ghWp, P_ghWpAnti, 2720, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_HlQ, 2193, check)
    call createCurrent(P_GQ0, P_Hh, P_G0, P_HhQ, 4382, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghZAnti, P_WMinus, 106, check)
    call createCurrent(P_Hl, P_Hl, P_g, P_g, 5195, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 2595, check)
    call createCurrent(P_ghA, P_GMinus, P_Hl, P_ghWmAnti, 260, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 440, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1474, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_Hl, 2355, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghAAnti, P_ghWm, 2246, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 5181, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_GQ0, 209, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1055, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 467, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZAnti, P_ghZ, 574, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 2091, check)
    call createCurrent(P_muPlus, P_muMinus, P_AQ, 1442, check)
    call createCurrent(P_Z, P_GPlus, P_Hh, P_WMinus, 1797, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_ZQ, 532, check)
    call createCurrent(P_ZQ, P_ghZAnti, P_WPlus, P_ghWm, 4672, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 3008, check)
    call createCurrent(P_Hl, P_Hl, P_ghWm, P_ghWmAnti, 4791, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghZAnti, 1197, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_GMinus, P_ghZ, 2396, check)
    call createCurrent(P_WQPlus, P_Hl, P_WMinus, P_GQ0, 2982, check)
    call createCurrent(P_GMinus, P_Hh, P_ghZ, P_ghWmAnti, 85, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_Z, 4562, check)
    call createCurrent(P_Hl, P_Hl, P_ghWp, P_ghWpAnti, 3083, check)
    call createCurrent(P_ghZAnti, P_Hl, P_GPlus, P_ghWm, 2468, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 4514, check)
    call createCurrent(P_GQMinus, P_Hh, P_WPlus, P_ZQ, 425, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hl, P_AQ, 4163, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 2919, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, P_Hh, 4753, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 4256, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_GQPlus, 2860, check)
    call createCurrent(P_cAnti, P_c, P_HlQ, 2120, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghAAnti, 3483, check)
    call createCurrent(P_ZQ, P_GMinus, P_GQPlus, 1815, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, 2075, check)
    call createCurrent(P_AQ, P_A, P_WPlus, P_WQMinus, 4019, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_A, 3462, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 1771, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1342, check)
    call createCurrent(P_t, P_tAnti, P_AQ, 104, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_Z, 823, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 138, check)
    call createCurrent(P_d, P_dAnti, 5084, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ZQ, 3123, check)
    call createCurrent(P_ghZAnti, P_Hh, P_GPlus, P_ghWm, 2981, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_HlQ, 58, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_G0, 1736, check)
    call createCurrent(P_GMinus, P_ghZ, P_G0, P_ghWmAnti, 4321, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 2679, check)
    call createCurrent(P_AQ, P_bAnti, P_b, 4584, check)
    call createCurrent(P_ghWp, P_WMinus, P_WMinus, P_ghWmAnti, 1376, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_G0, 676, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 2405, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_GPlus, 1940, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_Hh, 190, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghZAnti, 524, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_Z, 2946, check)
    call createCurrent(P_ZQ, P_WPlus, P_GQMinus, 3923, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 516, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Z, P_WQMinus, 1159, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWm, P_GPlus, 3539, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 2430, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HlQ, 2472, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghAAnti, P_ghWp, 4152, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_Hl, 3383, check)
    call createCurrent(P_Z, P_cAnti, P_c, 2156, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_Hh, 1836, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, 2392, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HhQ, 2180, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghA, 4545, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_GPlus, 825, check)
    call createCurrent(P_t, P_tAnti, P_GQ0, 3022, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hh, P_GQPlus, 2859, check)
    call createCurrent(P_HlQ, P_GMinus, P_GPlus, P_HhQ, 210, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 4984, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWmAnti, P_WMinus, 2036, check)
    call createCurrent(P_cAnti, P_Hh, P_c, 298, check)
    call createCurrent(P_Hl, P_GPlus, P_ghA, P_ghWpAnti, 44, check)
    call createCurrent(P_HlQ, P_Z, P_WPlus, P_GQMinus, 2030, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_GQ0, 543, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, P_Hl, 4832, check)
    call createCurrent(P_AQ, P_Hl, P_GPlus, P_WQMinus, 409, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 4057, check)
    call createCurrent(P_GQ0, P_WPlus, P_G0, P_WQMinus, 1578, check)
    call createCurrent(P_ghWm, P_Hl, P_Hl, P_ghWmAnti, 615, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghAAnti, P_ghA, 1704, check)
    call createCurrent(P_A, P_Hl, P_GPlus, P_WMinus, 3, check)
    call createCurrent(P_HhQ, P_Z, P_GPlus, P_WQMinus, 1526, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghAAnti, 2346, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 5123, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ZQ, 1201, check)
    call createCurrent(P_b, P_tAnti, P_GQPlus, 4224, check)
    call createCurrent(P_Hl, P_Hl, P_WMinus, P_WPlus, 3362, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 4596, check)
    call createCurrent(P_GQ0, P_Hl, P_Hh, P_GQ0, 370, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_ZQ, 464, check)
    call createCurrent(P_A, P_ghZ, P_WMinus, P_ghWmAnti, 2343, check)
    call createCurrent(P_WPlus, P_A, P_ghA, P_ghWpAnti, 4406, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghA, 2704, check)
    call createCurrent(P_ghWm, P_Z, P_ghAAnti, P_WPlus, 3714, check)
    call createCurrent(P_c, P_g, P_cAnti, 1150, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghA, P_ghAAnti, 3677, check)
    call createCurrent(P_HhQ, P_A, P_GPlus, P_WQMinus, 1768, check)
    call createCurrent(P_WQPlus, P_Z, P_G0, P_GQMinus, 1949, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghZ, P_ghWmAnti, 879, check)
    call createCurrent(P_HhQ, P_uAnti, P_u, 413, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghAAnti, 786, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghA, P_ghWpAnti, 3142, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 4601, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWpAnti, P_GPlus, 1504, check)
    call createCurrent(P_WMinus, P_ghZ, P_A, P_ghWmAnti, 2800, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hh, 3377, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1824, check)
    call createCurrent(P_muMinus, P_muPlus, P_AQ, 2645, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_GQ0, 3235, check)
    call createCurrent(P_WQPlus, P_WMinus, P_GQ0, 1643, check)
    call createCurrent(P_WQMinus, P_tauPlus, P_nu_tau, 701, check)
    call createCurrent(P_GMinus, P_Hh, P_ghWp, P_ghAAnti, 572, check)
    call createCurrent(P_G0, P_GMinus, P_ghZAnti, P_ghWp, 578, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_ghZ, 3246, check)
    call createCurrent(P_ZQ, P_GPlus, P_Z, P_GQMinus, 2682, check)
    call createCurrent(P_ghA, P_Z, P_WMinus, P_ghWmAnti, 3175, check)
    call createCurrent(P_GQPlus, P_muMinus, P_nu_muAnti, 1060, check)
    call createCurrent(P_A, P_WMinus, P_ghZAnti, P_ghWp, 2561, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_A, 1369, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghZAnti, P_ghWp, 2652, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_GQ0, 4953, check)
    call createCurrent(P_HlQ, P_WMinus, P_WPlus, P_HlQ, 3374, check)
    call createCurrent(P_dAnti, P_Z, P_d, 295, check)
    call createCurrent(P_AQ, P_GMinus, P_WQPlus, 747, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 224, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_GPlus, P_ghA, 561, check)
    call createCurrent(P_HlQ, P_GMinus, P_WPlus, P_ZQ, 1171, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WQMinus, 3654, check)
    call createCurrent(P_WQMinus, P_bAnti, P_t, 2643, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghA, 1499, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 1928, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_Z, P_ghWm, 3836, check)
    call createCurrent(P_ZQ, P_GMinus, P_Hh, P_WQPlus, 348, check)
    call createCurrent(P_Hh, P_ghWm, P_Hh, P_ghWmAnti, 3230, check)
    call createCurrent(P_A, P_ghWpAnti, P_A, P_ghWp, 4936, check)
    call createCurrent(P_GQPlus, P_ghA, P_Hl, P_ghWpAnti, 4880, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWm, P_ghZAnti, 1454, check)
    call createCurrent(P_ghA, P_A, P_ghWmAnti, P_WMinus, 2014, check)
    call createCurrent(P_GQ0, P_muMinus, P_muPlus, 3391, check)
    call createCurrent(P_ZQ, P_ghWp, P_A, P_ghWpAnti, 4850, check)
    call createCurrent(P_GQ0, P_G0, P_Hl, P_HlQ, 1135, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 1910, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 402, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 131, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_GMinus, 3326, check)
    call createCurrent(P_dAnti, P_d, P_AQ, 3440, check)
    call createCurrent(P_uAnti, P_u, P_G0, 4388, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_G0, P_ghA, 3635, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 4884, check)
    call createCurrent(P_HlQ, P_Hh, P_Hl, P_HlQ, 1876, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWmAnti, P_ghWm, 1229, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_A, 4638, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hl, P_GQPlus, 2128, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 4, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 3410, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghAAnti, 1413, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghZ, 2627, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hl, 724, check)
    call createCurrent(P_Hh, P_ghWm, P_GPlus, P_ghZAnti, 1254, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghZAnti, 2045, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 2304, check)
    call createCurrent(P_GPlus, P_G0, P_ghZAnti, P_ghWm, 751, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_WPlus, P_ghWm, 1357, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_AQ, 1355, check)
    call createCurrent(P_WQMinus, P_nu_mu, P_muPlus, 3478, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_A, 4564, check)
    call createCurrent(P_G0, P_Hh, P_Z, 316, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWp, P_ghWpAnti, 2681, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_A, 2515, check)
    call createCurrent(P_ghWmAnti, P_ghWp, P_WMinus, P_WMinus, 1300, check)
    call createCurrent(P_ghWm, P_Hl, P_Hh, P_ghWmAnti, 3052, check)
    call createCurrent(P_ghA, P_Hh, P_GPlus, P_ghWpAnti, 2065, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 2525, check)
    call createCurrent(P_Hl, P_b, P_bAnti, 952, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghWp, P_Hh, 2209, check)
    call createCurrent(P_AQ, P_ghWp, P_ghWpAnti, 640, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_GQ0, 3916, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_A, 2866, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 147, check)
    call createCurrent(P_WQMinus, P_GPlus, P_HlQ, 1765, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_ZQ, 442, check)
    call createCurrent(P_ghZ, P_G0, P_GPlus, P_ghWpAnti, 2194, check)
    call createCurrent(P_AQ, P_ghZAnti, P_WPlus, P_ghWm, 187, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, P_Hh, 1158, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghAAnti, P_WMinus, 1004, check)
    call createCurrent(P_HlQ, P_Hl, P_ghZ, P_ghZAnti, 56, check)
    call createCurrent(P_ghA, P_ghAAnti, P_GMinus, P_GQPlus, 606, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 4994, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_GMinus, 1, check)
    call createCurrent(P_WMinus, P_ghZ, P_WPlus, P_ghZAnti, 2792, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Z, P_WPlus, 3857, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_G0, P_GQ0, 2314, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghZAnti, 172, check)
    call createCurrent(P_G0, P_G0, P_ghWp, P_ghWpAnti, 4442, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hh, 5116, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_Hh, 2522, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_Hl, P_ghZ, 3358, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghZ, 4270, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_GQ0, 4494, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWpAnti, P_ghA, 818, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 993, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 2931, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 4699, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_GQ0, 3021, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_GPlus, 3135, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_HhQ, 2352, check)
    call createCurrent(P_HhQ, P_GMinus, P_GQPlus, 2072, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_GPlus, 1673, check)
    call createCurrent(P_GQMinus, P_ghA, P_GPlus, P_ghZAnti, 743, check)
    call createCurrent(P_GQPlus, P_Z, P_GQMinus, 1190, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hl, 4591, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WQMinus, 1343, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_Hh, P_ghWm, 3100, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_GPlus, P_ghWm, 2496, check)
    call createCurrent(P_WQMinus, P_Hh, P_WPlus, P_HlQ, 1897, check)
    call createCurrent(P_GQPlus, P_G0, P_ghZ, P_ghWpAnti, 4731, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_Z, 5020, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 5248, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_GPlus, 3457, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWm, P_WPlus, 966, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_HhQ, 3200, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WMinus, 4024, check)
    call createCurrent(P_WQMinus, P_A, P_GPlus, P_GQ0, 4097, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GMinus, P_GQPlus, 4341, check)
    call createCurrent(P_ghZ, P_Hh, P_Hl, P_ghZAnti, 643, check)
    call createCurrent(P_uAnti, P_u, P_ZQ, 1924, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 3305, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_HlQ, 3532, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HlQ, 2224, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HlQ, 4804, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 5131, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZAnti, P_ghA, 3274, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_ZQ, 3920, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 5221, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 2000, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 5234, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GQMinus, 3113, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_ZQ, 1445, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 3865, check)
    call createCurrent(P_s, P_sAnti, P_Hl, 4096, check)
    call createCurrent(P_ZQ, P_GPlus, P_WMinus, P_HlQ, 2581, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghAAnti, 4110, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, 2695, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_A, 4910, check)
    call createCurrent(P_G0, P_ghWp, P_ghAAnti, P_GMinus, 3527, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghA, 4667, check)
    call createCurrent(P_s, P_Hl, P_sAnti, 1216, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 354, check)
    call createCurrent(P_cAnti, P_s, P_GQPlus, 4221, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 5256, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 3927, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GQPlus, 2920, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hl, P_ghA, 3600, check)
    call createCurrent(P_AQ, P_Hh, P_GPlus, P_WQMinus, 4272, check)
    call createCurrent(P_ghZ, P_A, P_ghWmAnti, P_WMinus, 1981, check)
    call createCurrent(P_HlQ, P_t, P_tAnti, 39, check)
    call createCurrent(P_ghWp, P_G0, P_ghAAnti, P_GMinus, 1553, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WQMinus, 3568, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hl, P_GMinus, 1091, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_Hh, 540, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_GQ0, 3181, check)
    call createCurrent(P_Hh, P_GMinus, P_ghAAnti, P_ghWp, 4139, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_GQ0, 207, check)
    call createCurrent(P_Z, P_Z, 4982, check)
    call createCurrent(P_Hl, P_tAnti, P_t, 1085, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 2638, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWmAnti, P_ghA, 3965, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWpAnti, P_ghWp, 73, check)
    call createCurrent(P_GQ0, P_Hl, P_GQ0, 3547, check)
    call createCurrent(P_AQ, P_GPlus, P_G0, P_WQMinus, 3399, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWmAnti, P_ghZ, 3612, check)
    call createCurrent(P_Hh, P_muPlus, P_muMinus, 1641, check)
    call createCurrent(P_Hh, P_Hl, P_ghZAnti, P_ghZ, 1817, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 444, check)
    call createCurrent(P_WQPlus, P_muMinus, P_nu_muAnti, 3047, check)
    call createCurrent(P_GQPlus, P_ghZ, P_GMinus, P_ghAAnti, 4829, check)
    call createCurrent(P_HlQ, P_Hl, P_Z, P_ZQ, 3928, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_Z, 3345, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, P_Hl, 3009, check)
    call createCurrent(P_GPlus, P_ghA, P_Hl, P_ghWpAnti, 2526, check)
    call createCurrent(P_Hh, P_Z, P_WPlus, P_GMinus, 4357, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WMinus, 374, check)
    call createCurrent(P_Hl, P_ghWm, P_ghZAnti, P_GPlus, 2658, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 2117, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_A, 895, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 5242, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghAAnti, P_GPlus, 4883, check)
    call createCurrent(P_Z, P_sAnti, P_s, 2918, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 657, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_G0, 3943, check)
    call createCurrent(P_GQPlus, P_ghWmAnti, P_GMinus, P_ghWm, 3683, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_G0, P_GQMinus, 1086, check)
    call createCurrent(P_GQPlus, P_A, P_GQMinus, 2584, check)
    call createCurrent(P_GQMinus, P_nu_tau, P_tauPlus, 4398, check)
    call createCurrent(P_GQ0, P_Hl, P_ZQ, 3764, check)
    call createCurrent(P_G0, P_G0, P_ghWmAnti, P_ghWm, 1132, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WQPlus, 2587, check)
    call createCurrent(P_WQMinus, P_WMinus, P_ghWmAnti, P_ghWp, 987, check)
    call createCurrent(P_GMinus, P_ghA, P_ghAAnti, P_GPlus, 4393, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghA, 1813, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HlQ, 3596, check)
    call createCurrent(P_ZQ, P_Hh, P_GMinus, P_WQPlus, 1666, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_GPlus, 594, check)
    call createCurrent(P_WMinus, P_ghWp, P_WMinus, P_ghWmAnti, 216, check)
    call createCurrent(P_HhQ, P_Z, P_Z, P_HhQ, 185, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 3611, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 660, check)
    call createCurrent(P_GQPlus, P_ghA, P_G0, P_ghWpAnti, 721, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 2506, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hh, P_ghZ, 774, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWmAnti, P_ghWm, 2723, check)
    call createCurrent(P_ghWp, P_Z, P_A, P_ghWpAnti, 4009, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GQMinus, 2836, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hl, P_HhQ, 4633, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_Z, 1990, check)
    call createCurrent(P_AQ, P_muMinus, P_muPlus, 3028, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, P_Z, 377, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hl, 2716, check)
    call createCurrent(P_HhQ, P_ghWp, P_Hh, P_ghWpAnti, 4898, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Z, P_ZQ, 3029, check)
    call createCurrent(P_GMinus, P_Hl, P_Z, P_WPlus, 3447, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWpAnti, P_ghZ, 1592, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_AQ, 2890, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghA, P_GQPlus, 2869, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 64, check)
    call createCurrent(P_Hl, P_ghWp, P_Hh, P_ghWpAnti, 938, check)
    call createCurrent(P_A, P_Hl, P_WMinus, P_GPlus, 3106, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_Z, 3968, check)
    call createCurrent(P_Hh, P_tauMinus, P_tauPlus, 3024, check)
    call createCurrent(P_WPlus, P_Hl, P_A, P_GMinus, 1630, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 477, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWmAnti, P_WMinus, 2544, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 5147, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_WMinus, P_ghZ, 2032, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_ZQ, 4034, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghZ, P_WPlus, 1105, check)
    call createCurrent(P_HhQ, P_Hl, P_G0, P_GQ0, 406, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_AQ, 60, check)
    call createCurrent(P_GQPlus, P_A, P_Z, P_GQMinus, 1724, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_Hh, P_ghWp, 4502, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hh, 276, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hl, 5241, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hl, 3291, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghZ, P_GQPlus, 4691, check)
    call createCurrent(P_HlQ, P_WPlus, P_Hh, P_WQMinus, 237, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_HhQ, 4878, check)
    call createCurrent(P_WQPlus, P_WPlus, P_ghWm, P_ghWpAnti, 1584, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 2400, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WQMinus, 3180, check)
    call createCurrent(P_HhQ, P_t, P_tAnti, 762, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 5245, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 2541, check)
    call createCurrent(P_HhQ, P_eMinus, P_ePlus, 2508, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghZ, 4137, check)
    call createCurrent(P_tAnti, P_t, P_HlQ, 3494, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_WPlus, P_ghA, 2345, check)
    call createCurrent(P_Hl, P_GPlus, P_ghAAnti, P_ghWm, 2950, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1795, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghZ, 4694, check)
    call createCurrent(P_ePlus, P_eMinus, P_HlQ, 3373, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWp, P_ghWpAnti, 3445, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 380, check)
    call createCurrent(P_sAnti, P_s, P_AQ, 2329, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 1642, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 4387, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_AQ, 842, check)
    call createCurrent(P_WQPlus, P_WPlus, P_WMinus, P_WQMinus, 3461, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_WPlus, P_ghZ, 2445, check)
    call createCurrent(P_AQ, P_A, P_ghWmAnti, P_ghWm, 1994, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WMinus, P_WQPlus, 4447, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWm, P_WPlus, 4620, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_A, 5184, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 616, check)
    call createCurrent(P_WQPlus, P_Hh, P_GMinus, P_AQ, 4099, check)
    call createCurrent(P_u, P_uAnti, P_A, 4663, check)
    call createCurrent(P_WQPlus, P_ghWmAnti, P_WMinus, P_ghWm, 307, check)
    call createCurrent(P_ghWp, P_A, P_ghZAnti, P_WMinus, 950, check)
    call createCurrent(P_GQ0, P_ghZAnti, P_GPlus, P_ghWm, 2293, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_GQ0, 3719, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 3020, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_GMinus, P_ghWp, 1916, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_Z, 5113, check)
    call createCurrent(P_WMinus, P_WPlus, 5046, check)
    call createCurrent(P_HhQ, P_WPlus, P_GMinus, P_ZQ, 197, check)
    call createCurrent(P_Hh, P_ghZ, P_Hl, P_ghZAnti, 4490, check)
    call createCurrent(P_GMinus, P_Hh, P_ghA, P_ghWmAnti, 2478, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, 2320, check)
    call createCurrent(P_GQMinus, P_ghZ, P_Hh, P_ghWmAnti, 32, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 4277, check)
    call createCurrent(P_Z, P_ghWp, P_A, P_ghWpAnti, 2349, check)
    call createCurrent(P_WPlus, P_Hh, P_Hl, P_WMinus, 2393, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hh, P_GQPlus, 2380, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, 869, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_GMinus, 2558, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_G0, P_GMinus, 1142, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 3319, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_Hl, P_ghWp, 1523, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_ZQ, 4149, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_GQ0, 1612, check)
    call createCurrent(P_ghWp, P_GMinus, P_G0, P_ghAAnti, 3998, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghA, P_WPlus, 4178, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_AQ, 3509, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 2858, check)
    call createCurrent(P_nu_e, P_ePlus, P_GQMinus, 4332, check)
    call createCurrent(P_bAnti, P_A, P_b, 3573, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghA, 920, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_HlQ, 2265, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 568, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 2319, check)
    call createCurrent(P_g, P_s, P_sAnti, 1207, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Hh, 4033, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_GQPlus, 607, check)
    call createCurrent(P_Hl, P_ghA, P_ghWpAnti, P_GPlus, 2906, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghZ, P_WPlus, 763, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghAAnti, P_ghWm, 1738, check)
    call createCurrent(P_ghZ, P_GMinus, P_G0, P_ghWmAnti, 1104, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1572, check)
    call createCurrent(P_HhQ, P_GMinus, P_Z, P_WQPlus, 4907, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_GQMinus, 4579, check)
    call createCurrent(P_ghWm, P_Hl, P_ghAAnti, P_GPlus, 358, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_Z, 3206, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hh, P_ghAAnti, 3641, check)
    call createCurrent(P_HlQ, P_Hl, P_WPlus, P_WQMinus, 3101, check)
    call createCurrent(P_GMinus, P_G0, P_ghZAnti, P_ghWp, 1436, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Hl, P_GPlus, 2671, check)
    call createCurrent(P_uAnti, P_G0, P_u, 2634, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 359, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 2780, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_Z, 1865, check)
    call createCurrent(P_c, P_A, P_cAnti, 1134, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GQMinus, 1199, check)
    call createCurrent(P_ghZAnti, P_G0, P_GMinus, P_ghWp, 2050, check)
    call createCurrent(P_AQ, P_WMinus, P_ghWp, P_ghZAnti, 575, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 558, check)
    call createCurrent(P_ghA, P_WMinus, P_ghZAnti, P_WPlus, 4037, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_G0, P_ghA, 2644, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WQPlus, 321, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_Hl, P_ghWp, 4142, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 4847, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_HlQ, 4750, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WQPlus, 2051, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 42, check)
    call createCurrent(P_ghWm, P_G0, P_ghAAnti, P_GPlus, 157, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_A, P_WPlus, 4587, check)
    call createCurrent(P_GQMinus, P_ghWp, P_Hh, P_ghZAnti, 4157, check)
    call createCurrent(P_HhQ, P_Hl, P_HhQ, 1524, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_G0, P_ghZ, 3093, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 228, check)
    call createCurrent(P_A, P_GMinus, P_Hl, P_WPlus, 1384, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 490, check)
    call createCurrent(P_GQPlus, P_Z, P_Z, P_GQMinus, 3366, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1611, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 3498, check)
    call createCurrent(P_A, P_WPlus, P_ghZ, P_ghWpAnti, 3226, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghZ, 1543, check)
    call createCurrent(P_bAnti, P_b, 5025, check)
    call createCurrent(P_g, P_g, P_g, 334, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 2529, check)
    call createCurrent(P_A, P_Hh, P_GMinus, P_WPlus, 3190, check)
    call createCurrent(P_GQPlus, P_s, P_cAnti, 346, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, 4861, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghZ, P_WMinus, 3062, check)
    call createCurrent(P_GQPlus, P_A, P_WMinus, P_HhQ, 2993, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 5261, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_HhQ, 3055, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GQPlus, 3590, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1962, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_HlQ, 988, check)
    call createCurrent(P_cAnti, P_c, P_GQ0, 395, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 349, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghA, 1177, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_Z, 1032, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Hh, 4031, check)
    call createCurrent(P_GQ0, P_G0, P_HhQ, 2994, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghAAnti, 3301, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 5028, check)
    call createCurrent(P_Hh, P_G0, P_Hl, P_G0, 1746, check)
    call createCurrent(P_t, P_tAnti, P_Z, 2204, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_ZQ, 2831, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWm, P_GPlus, 3097, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_GMinus, P_ghZ, 203, check)
    call createCurrent(P_A, P_WMinus, P_ghWmAnti, P_ghZ, 1680, check)
    call createCurrent(P_G0, P_GPlus, P_ghA, P_ghWpAnti, 3258, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_A, P_WQMinus, 3136, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hl, 4127, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghAAnti, P_ghWp, 4838, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 812, check)
    call createCurrent(P_HhQ, P_Hl, P_Hh, P_HhQ, 1278, check)
    call createCurrent(P_Hl, P_GMinus, P_ghWp, P_ghZAnti, 4064, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, P_Hl, 3405, check)
    call createCurrent(P_GMinus, P_Hl, P_ghAAnti, P_ghWp, 4207, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 2214, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WMinus, 3658, check)
    call createCurrent(P_A, P_Hh, P_Z, 5081, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, P_HhQ, 1363, check)
    call createCurrent(P_d, P_A, P_dAnti, 3459, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_Hh, P_ghWm, 4488, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_GQ0, 1039, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 4042, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 4416, check)
    call createCurrent(P_GQ0, P_Hh, P_GQ0, 650, check)
    call createCurrent(P_b, P_bAnti, P_Z, 4673, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 2257, check)
    call createCurrent(P_tAnti, P_Hh, P_t, 438, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_ZQ, 1888, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 2410, check)
    call createCurrent(P_HlQ, P_WPlus, P_GMinus, P_ZQ, 4695, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_ZQ, 883, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghA, P_ghZAnti, 2421, check)
    call createCurrent(P_ghWp, P_Hl, P_GMinus, P_ghZAnti, 1368, check)
    call createCurrent(P_Hh, P_ghA, P_ghWpAnti, P_GPlus, 618, check)
    call createCurrent(P_HhQ, P_ghWp, P_ghWpAnti, 3356, check)
    call createCurrent(P_ePlus, P_eMinus, P_AQ, 1287, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 2615, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWpAnti, P_ghA, 1354, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_A, 3594, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WPlus, 1020, check)
    call createCurrent(P_WQPlus, P_A, P_A, P_WQMinus, 4035, check)
    call createCurrent(P_GPlus, P_Hh, P_ghZ, P_ghWpAnti, 1735, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hl, 5187, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Z, P_HhQ, 1082, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 5178, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 2848, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 158, check)
    call createCurrent(P_ZQ, P_b, P_bAnti, 1519, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWpAnti, P_ghWp, 1556, check)
    call createCurrent(P_WPlus, P_ghZ, P_WMinus, P_ghAAnti, 4952, check)
    call createCurrent(P_ghA, P_G0, P_GMinus, P_ghWmAnti, 4396, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 5124, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GMinus, 2260, check)
    call createCurrent(P_Z, P_WPlus, P_ghWpAnti, P_ghA, 3529, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, P_g, 267, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghZ, P_GMinus, 1983, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hh, 5266, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_Hl, 2153, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GQPlus, 3041, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_A, P_ghWp, 973, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GQMinus, 941, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 79, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_HhQ, 3869, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hl, P_GPlus, 2426, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_GMinus, 3951, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_GQ0, 1310, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_Hl, P_ghWm, 4228, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 2933, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, P_G0, 287, check)
    call createCurrent(P_b, P_bAnti, P_GQ0, 65, check)
    call createCurrent(P_gQ, P_cAnti, P_c, 4463, check)
    call createCurrent(P_Z, P_ghWm, P_WPlus, P_ghAAnti, 208, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_GPlus, P_ghZ, 1409, check)
    call createCurrent(P_WPlus, P_ghWm, P_WMinus, P_ghWmAnti, 2711, check)
    call createCurrent(P_A, P_A, P_Hh, 5199, check)
    call createCurrent(P_HhQ, P_WMinus, P_Z, P_GQPlus, 4453, check)
    call createCurrent(P_Hl, P_tauPlus, P_tauMinus, 403, check)
    call createCurrent(P_AQ, P_Z, P_WMinus, P_WQPlus, 4725, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_Hl, 48, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWp, P_ghWpAnti, 4904, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WPlus, P_WMinus, 2694, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_Hh, 3284, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 4466, check)
    call createCurrent(P_G0, P_Hh, P_A, 5102, check)
    call createCurrent(P_A, P_ghAAnti, P_WMinus, P_ghWp, 251, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hl, 2913, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 3859, check)
    call createCurrent(P_g, P_t, P_tAnti, 4211, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 1648, check)
    call createCurrent(P_s, P_sAnti, P_G0, 1721, check)
    call createCurrent(P_Hl, P_Z, P_GPlus, P_WMinus, 3742, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 5220, check)
    call createCurrent(P_u, P_uAnti, P_Hl, 1779, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghAAnti, P_ghWp, 2422, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WMinus, P_WQPlus, 80, check)
    call createCurrent(P_HlQ, P_GMinus, P_G0, P_GQPlus, 340, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HhQ, 4140, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1210, check)
    call createCurrent(P_HhQ, P_Z, P_ZQ, 1728, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, 3883, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_Z, 1686, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 239, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_G0, P_ghA, 1963, check)
    call createCurrent(P_WQPlus, P_ghA, P_WMinus, P_ghAAnti, 2849, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 809, check)
    call createCurrent(P_ZQ, P_G0, P_GMinus, P_WQPlus, 2336, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 868, check)
    call createCurrent(P_WQMinus, P_G0, P_WPlus, P_GQ0, 3266, check)
    call createCurrent(P_b, P_bAnti, 5050, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_HhQ, 3834, check)
    call createCurrent(P_G0, P_ghWmAnti, P_GMinus, P_ghZ, 3993, check)
    call createCurrent(P_HhQ, P_ghWp, P_GMinus, P_ghAAnti, 1639, check)
    call createCurrent(P_Z, P_ghZ, P_ghWmAnti, P_WMinus, 4643, check)
    call createCurrent(P_HhQ, P_Hl, P_ghZAnti, P_ghZ, 3755, check)
    call createCurrent(P_G0, P_G0, P_ghWpAnti, P_ghWp, 1026, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_ZQ, 815, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, P_HhQ, 1263, check)
    call createCurrent(P_HhQ, P_WMinus, P_WPlus, P_HhQ, 2571, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_Hh, P_ghWm, 4923, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghA, P_GPlus, 639, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HhQ, 4644, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 1317, check)
    call createCurrent(P_Z, P_G0, P_Hh, 2879, check)
    call createCurrent(P_GQ0, P_Hh, P_ghWmAnti, P_ghWm, 1927, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_G0, P_ghZ, 2805, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_Z, P_ghWm, 2789, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hl, 5009, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WMinus, P_ghWmAnti, 1492, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghA, P_ghZAnti, 2601, check)
    call createCurrent(P_WQMinus, P_G0, P_GPlus, P_ZQ, 4041, check)
    call createCurrent(P_Z, P_Z, P_ghWm, P_ghWmAnti, 1281, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hh, 4459, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWp, P_ghAAnti, 3493, check)
    call createCurrent(P_Hh, P_Hl, P_WMinus, P_WPlus, 4449, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWmAnti, P_ghWm, 866, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hh, P_GPlus, 3687, check)
    call createCurrent(P_WQMinus, P_ghWp, P_WMinus, P_ghWmAnti, 2736, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 2034, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 1656, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_AQ, 1398, check)
    call createCurrent(P_GMinus, P_G0, P_ghA, P_ghWmAnti, 2594, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, 1716, check)
    call createCurrent(P_G0, P_A, P_Hl, 5004, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hl, 4216, check)
    call createCurrent(P_WQPlus, P_ghZ, P_A, P_ghWpAnti, 220, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hh, 4029, check)
    call createCurrent(P_gQ, P_t, P_tAnti, 3852, check)
    call createCurrent(P_ghWp, P_Hh, P_ghZAnti, P_GMinus, 2750, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 3838, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Hl, 1931, check)
    call createCurrent(P_Hh, P_ghWp, P_GMinus, P_ghAAnti, 1692, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 3538, check)
    call createCurrent(P_b, P_g, P_bAnti, 1976, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_AQ, 4833, check)
    call createCurrent(P_Hl, P_Hh, P_WMinus, P_WPlus, 3548, check)
    call createCurrent(P_tAnti, P_b, P_GQPlus, 1425, check)
    call createCurrent(P_gQ, P_g, P_ghG, P_ghGAnti, 1304, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_HlQ, 4687, check)
    call createCurrent(P_GQ0, P_A, P_GMinus, P_WQPlus, 3837, check)
    call createCurrent(P_ghA, P_GPlus, P_Hh, P_ghWpAnti, 1778, check)
    call createCurrent(P_WQMinus, P_Z, P_WPlus, P_AQ, 3941, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 2956, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_GQ0, 2417, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 1416, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HlQ, 3526, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, P_gQ, 697, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 1620, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HlQ, 2473, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_A, 4299, check)
    call createCurrent(P_GQ0, P_WMinus, P_Z, P_GQPlus, 199, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghA, 3911, check)
    call createCurrent(P_GMinus, P_G0, P_ghAAnti, P_ghWp, 4585, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghZAnti, P_ghWp, 599, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 3143, check)
    call createCurrent(P_GQMinus, P_ghA, P_GPlus, P_ghAAnti, 1794, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_G0, 67, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 4844, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 1016, check)
    call createCurrent(P_WQPlus, P_d, P_uAnti, 2807, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 4893, check)
    call createCurrent(P_GMinus, P_ghWp, P_GPlus, P_ghWpAnti, 2026, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_Hh, 3899, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_Hh, 3332, check)
    call createCurrent(P_G0, P_ghWm, P_GPlus, P_ghZAnti, 3639, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 8, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_HhQ, 771, check)
    call createCurrent(P_HhQ, P_G0, P_WMinus, P_WQPlus, 4049, check)
    call createCurrent(P_ZQ, P_WMinus, P_GQPlus, 20, check)
    call createCurrent(P_WQMinus, P_Hh, P_GQPlus, 3686, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_Hh, P_ghWp, 4586, check)
    call createCurrent(P_GQMinus, P_Hl, P_Hh, P_GQPlus, 103, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_HlQ, 835, check)
    call createCurrent(P_GQPlus, P_Z, P_Hh, P_WQMinus, 4891, check)
    call createCurrent(P_GQPlus, P_ghZ, P_Hl, P_ghWpAnti, 4547, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 246, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_G0, P_ghWp, 4852, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Hh, 300, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_Hl, P_ghWm, 4658, check)
    call createCurrent(P_GQ0, P_ghWp, P_G0, P_ghWpAnti, 810, check)
    call createCurrent(P_HhQ, P_Hl, P_Hh, P_HlQ, 1025, check)
    call createCurrent(P_AQ, P_dAnti, P_d, 4107, check)
    call createCurrent(P_Hl, P_Hl, P_WPlus, P_WMinus, 1245, check)
    call createCurrent(P_GMinus, P_ghA, P_Hh, P_ghWmAnti, 3511, check)
    call createCurrent(P_ghWp, P_Hh, P_GMinus, P_ghAAnti, 3759, check)
    call createCurrent(P_tAnti, P_t, P_gQ, 2768, check)
    call createCurrent(P_ghWp, P_A, P_A, P_ghWpAnti, 2066, check)
    call createCurrent(P_WQMinus, P_Hh, P_WQPlus, 2172, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_Hl, 2470, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 142, check)
    call createCurrent(P_GQPlus, P_WMinus, P_GQ0, 4301, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_GMinus, P_ghWp, 610, check)
    call createCurrent(P_Hh, P_ghAAnti, P_GMinus, P_ghWp, 2312, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghA, 799, check)
    call createCurrent(P_ZQ, P_Z, P_Hl, P_HlQ, 2271, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghZ, P_GMinus, 4192, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_GPlus, P_ghA, 3261, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_Z, 2654, check)
    call createCurrent(P_ZQ, P_WPlus, P_WQMinus, 1603, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WPlus, P_WQMinus, 382, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_HlQ, 4544, check)
    call createCurrent(P_AQ, P_A, P_GPlus, P_GQMinus, 765, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 206, check)
    call createCurrent(P_WQPlus, P_uAnti, P_d, 2249, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWmAnti, P_GMinus, 4423, check)
    call createCurrent(P_G0, P_ghZ, P_GMinus, P_ghWmAnti, 1565, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 5045, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghAAnti, 2225, check)
    call createCurrent(P_HhQ, P_WPlus, P_Hl, P_WQMinus, 2119, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghA, P_WPlus, 4513, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_GMinus, 4154, check)
    call createCurrent(P_G0, P_ghZ, P_ghZAnti, P_G0, 404, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HlQ, 4537, check)
    call createCurrent(P_HlQ, P_ghZ, P_Hh, P_ghZAnti, 4030, check)
    call createCurrent(P_GQ0, P_dAnti, P_d, 4242, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GQMinus, 4766, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_GQ0, 4613, check)
    call createCurrent(P_ghWm, P_WMinus, P_ghWmAnti, P_WQPlus, 886, check)
    call createCurrent(P_A, P_WMinus, P_ghWp, P_ghAAnti, 4458, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 3273, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghWpAnti, P_ghWp, 4554, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_GQMinus, 4386, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WMinus, P_ghWp, 2904, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 5183, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WQMinus, 49, check)
    call createCurrent(P_AQ, P_WPlus, P_GQMinus, 47, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_WPlus, P_ghWp, 4013, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWmAnti, P_ghWm, 320, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hl, 588, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 4903, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 4215, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghAAnti, 1403, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWm, P_ghWmAnti, 1875, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_Hh, P_ghWm, 3655, check)
    call createCurrent(P_GQMinus, P_A, P_GPlus, P_AQ, 3882, check)
    call createCurrent(P_ZQ, P_Hh, P_Hl, P_ZQ, 123, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hh, 4949, check)
    call createCurrent(P_Hh, P_GMinus, P_ghZAnti, P_ghWp, 3182, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_Z, 1518, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GQMinus, 1434, check)
    call createCurrent(P_Hl, P_Z, P_A, 5057, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_G0, P_ghWm, 673, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_ghWm, P_WMinus, 2769, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_GQPlus, 528, check)
    call createCurrent(P_g, P_dAnti, P_d, 4078, check)
    call createCurrent(P_WQPlus, P_tauMinus, P_nu_tauAnti, 1909, check)
    call createCurrent(P_ghAAnti, P_Hl, P_GPlus, P_ghWm, 6, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GQ0, 2631, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 1191, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghZ, P_ghWpAnti, 4091, check)
    call createCurrent(P_HhQ, P_b, P_bAnti, 2609, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 899, check)
    call createCurrent(P_A, P_Hh, P_A, 5233, check)
    call createCurrent(P_d, P_Z, P_dAnti, 2267, check)
    call createCurrent(P_HhQ, P_GPlus, P_G0, P_GQMinus, 1071, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_GMinus, 2648, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghA, 1890, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 1520, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 1038, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_ghWp, P_WPlus, 3961, check)
    call createCurrent(P_A, P_WPlus, P_ghWm, P_ghZAnti, 3486, check)
    call createCurrent(P_t, P_A, P_tAnti, 4392, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_GQMinus, 779, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, P_HhQ, 4226, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghZAnti, 3063, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_Hh, 3549, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 5055, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hh, 4858, check)
    call createCurrent(P_A, P_Hl, P_G0, 5054, check)
    call createCurrent(P_WQMinus, P_ghZ, P_A, P_ghWmAnti, 2672, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghA, P_ghZAnti, 2556, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghAAnti, 3240, check)
    call createCurrent(P_HhQ, P_Hl, P_ghZ, P_ghZAnti, 1029, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_GQ0, 2980, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_A, 567, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghA, P_ghAAnti, 3841, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hl, 2261, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HhQ, 3199, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hl, 2907, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_A, 3317, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_GQMinus, 476, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_G0, 4432, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 2183, check)
    call createCurrent(P_c, P_cAnti, P_g, 3886, check)
    call createCurrent(P_GQ0, P_Hl, P_Hl, P_GQ0, 2709, check)
    call createCurrent(P_HhQ, P_GMinus, P_WPlus, P_ZQ, 1487, check)
    call createCurrent(P_HlQ, P_GPlus, P_G0, P_GQMinus, 3765, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_GQ0, 2253, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_Hl, P_ghWm, 856, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WQMinus, 3846, check)
    call createCurrent(P_GQPlus, P_GMinus, P_GPlus, P_GQMinus, 4077, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 1804, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_Hl, P_ghWm, 2048, check)
    call createCurrent(P_HhQ, P_ghWm, P_GPlus, P_ghZAnti, 3799, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_HlQ, 3152, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghA, P_GMinus, 1998, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 3271, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GPlus, 3051, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghAAnti, 4400, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 4840, check)
    call createCurrent(P_WMinus, P_ghZ, P_Z, P_ghWmAnti, 258, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_A, 3464, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hh, P_GQPlus, 1819, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_G0, P_ghWm, 1812, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 3992, check)
    call createCurrent(P_WPlus, P_Z, P_ghAAnti, P_ghWm, 4717, check)
    call createCurrent(P_ghZAnti, P_A, P_ghWm, P_WPlus, 2474, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWm, P_ghWmAnti, 3976, check)
    call createCurrent(P_d, P_dAnti, P_g, 2715, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZ, P_ghZAnti, 4359, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_AQ, 1164, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 2744, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_GQ0, 3789, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWp, P_ghWpAnti, 2125, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghZAnti, P_GPlus, 4680, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 5056, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWmAnti, P_WMinus, 2052, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_HlQ, 965, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWmAnti, P_ghWm, 3404, check)
    call createCurrent(P_HhQ, P_Z, P_Hl, P_ZQ, 2317, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_GPlus, 553, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_HhQ, 2325, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 4229, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWm, P_WQPlus, 1774, check)
    call createCurrent(P_GQMinus, P_ghZ, P_G0, P_ghWmAnti, 3926, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 2760, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_A, P_WPlus, 837, check)
    call createCurrent(P_WQMinus, P_A, P_ghWmAnti, P_ghA, 3497, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_HhQ, 2414, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_HlQ, 4752, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, P_Z, 2159, check)
    call createCurrent(P_ZQ, P_ghWm, P_Z, P_ghWmAnti, 2832, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 5061, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_ZQ, 2915, check)
    call createCurrent(P_GQPlus, P_b, P_tAnti, 2924, check)
    call createCurrent(P_GQPlus, P_WMinus, P_AQ, 1141, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_Hh, P_ghWm, 1286, check)
    call createCurrent(P_dAnti, P_G0, P_d, 2406, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, P_Z, 2205, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 4588, check)
    call createCurrent(P_A, P_GPlus, P_Hl, P_WMinus, 2562, check)
    call createCurrent(P_ghZAnti, P_Hh, P_GMinus, P_ghWp, 3091, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghZ, 4771, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 2043, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HlQ, 2798, check)
    call createCurrent(P_ghWm, P_WPlus, P_A, P_ghAAnti, 191, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWmAnti, P_ghA, 1491, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 694, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 4869, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_G0, P_ghWp, 4546, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hh, P_GMinus, 2428, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghA, P_ghWpAnti, 1757, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_AQ, 4259, check)
    call createCurrent(P_GQPlus, P_WPlus, P_GMinus, P_WQMinus, 434, check)
    call createCurrent(P_HlQ, P_WPlus, P_WMinus, P_HlQ, 3854, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_AQ, 2910, check)
    call createCurrent(P_GQPlus, P_Hl, P_GQMinus, 541, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 964, check)
    call createCurrent(P_HlQ, P_GPlus, P_WMinus, P_ZQ, 2840, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WQMinus, 3309, check)
    call createCurrent(P_GQPlus, P_A, P_GMinus, P_AQ, 1671, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_HhQ, 3967, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_Z, 4448, check)
    call createCurrent(P_ghWp, P_WMinus, P_WPlus, P_ghWpAnti, 662, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 2861, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_G0, 3582, check)
    call createCurrent(P_ZQ, P_muPlus, P_muMinus, 4219, check)
    call createCurrent(P_HlQ, P_Z, P_Z, P_HlQ, 1344, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 1899, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WQPlus, 1103, check)
    call createCurrent(P_tAnti, P_g, P_t, 2669, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1303, check)
    call createCurrent(P_ZQ, P_A, P_GPlus, P_GQMinus, 1431, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Hl, 3858, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZ, P_ghWpAnti, 1866, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_Hh, P_ghWp, 3627, check)
    call createCurrent(P_ePlus, P_nu_e, P_GQMinus, 150, check)
    call createCurrent(P_AQ, P_WMinus, P_WPlus, P_AQ, 1846, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZ, P_ghZAnti, 1138, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WQPlus, 1650, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghZ, P_GPlus, 3652, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_Z, P_ghWp, 3306, check)
    call createCurrent(P_Hh, P_muMinus, P_muPlus, 2797, check)
    call createCurrent(P_GQPlus, P_Z, P_Hl, P_WQMinus, 3064, check)
    call createCurrent(P_GQMinus, P_GPlus, P_AQ, 4602, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 1749, check)
    call createCurrent(P_g, P_Hl, P_Hl, P_g, 5125, check)
    call createCurrent(P_b, P_bAnti, P_ZQ, 1841, check)
    call createCurrent(P_tAnti, P_t, P_Hh, 2614, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_Hl, 3705, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 3054, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_Z, 3204, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 1872, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, P_HhQ, 1321, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghAAnti, 458, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_ZQ, 2746, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 2375, check)
    call createCurrent(P_HhQ, P_Hl, P_ghWm, P_ghWmAnti, 4156, check)
    call createCurrent(P_c, P_cAnti, P_ZQ, 2590, check)
    call createCurrent(P_HhQ, P_c, P_cAnti, 1084, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GQMinus, 4777, check)
    call createCurrent(P_GQPlus, P_Hh, P_GMinus, P_HlQ, 4795, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hl, P_ghZ, 2596, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1571, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 4603, check)
    call createCurrent(P_WQPlus, P_ghA, P_A, P_ghWpAnti, 3615, check)
    call createCurrent(P_Hl, P_s, P_sAnti, 545, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 4193, check)
    call createCurrent(P_GQ0, P_GPlus, P_GMinus, P_GQ0, 1045, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 4801, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_GPlus, 2557, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_G0, 3336, check)
    call createCurrent(P_GMinus, P_ghWm, P_GPlus, P_ghWmAnti, 4065, check)
    call createCurrent(P_ghA, P_WMinus, P_Z, P_ghWmAnti, 2857, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_G0, 1430, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 3321, check)
    call createCurrent(P_G0, P_ghWpAnti, P_GPlus, P_ghZ, 3575, check)
    call createCurrent(P_GPlus, P_ghZ, P_G0, P_ghWpAnti, 3207, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_Hh, 1679, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WQMinus, 2988, check)
    call createCurrent(P_Hl, P_Hl, P_ghWpAnti, P_ghWp, 1328, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hl, P_GQPlus, 1646, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, 3448, check)
    call createCurrent(P_sAnti, P_s, P_GQ0, 2698, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghZAnti, 2130, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hl, P_GQPlus, 2646, check)
    call createCurrent(P_HhQ, P_ghWp, P_G0, P_ghWpAnti, 2868, check)
    call createCurrent(P_g, P_Hh, P_Hh, P_g, 5208, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghZ, P_ghWmAnti, 2324, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghZ, 2855, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_Z, 3783, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_ZQ, 3713, check)
    call createCurrent(P_WQPlus, P_GMinus, P_A, P_HhQ, 4569, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 3214, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 4901, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghZ, 2227, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghZ, P_GMinus, 3985, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 3649, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_A, P_ghWm, 4504, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 5243, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Hh, 2234, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 4273, check)
    call createCurrent(P_t, P_bAnti, P_WQMinus, 1942, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_ZQ, 427, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_ghWp, 3371, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_GMinus, 429, check)
    call createCurrent(P_muMinus, P_muPlus, P_HlQ, 3589, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hh, P_GQMinus, 728, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 186, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 5231, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_Hl, 3418, check)
    call createCurrent(P_AQ, P_GMinus, P_GPlus, P_AQ, 984, check)
    call createCurrent(P_Hh, P_Hh, P_WMinus, P_WPlus, 4374, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 4734, check)
    call createCurrent(P_GQ0, P_GMinus, P_Z, P_WQPlus, 3270, check)
    call createCurrent(P_GQPlus, P_Z, P_GMinus, P_ZQ, 3855, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 34, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghZ, 2487, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_A, P_WMinus, 3171, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 151, check)
  end subroutine fill_current_3
end module currents_info3
