!******************************************************************************!
!                                                                              !
!    currents_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 14:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info2
  implicit none
  contains
  subroutine fill_current_2(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghAAnti, P_GMinus, P_GPlus, P_ghZ, 3384, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 3269, check)
    call createCurrent(P_WQPlus, P_WMinus, P_WPlus, P_WQMinus, 1717, check)
    call createCurrent(P_Hh, P_ghZAnti, P_Hl, P_ghZ, 1552, check)
    call createCurrent(P_G0, P_Hl, P_Z, 3567, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, P_Hl, 1056, check)
    call createCurrent(P_WQPlus, P_ghZAnti, P_WMinus, P_ghA, 2144, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 2958, check)
    call createCurrent(P_Hl, P_g, P_Hh, P_g, 5228, check)
    call createCurrent(P_GQ0, P_WMinus, P_A, P_GQPlus, 3283, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_A, 4701, check)
    call createCurrent(P_HhQ, P_G0, P_ghWm, P_ghWmAnti, 3807, check)
    call createCurrent(P_HhQ, P_G0, P_WPlus, P_WQMinus, 2229, check)
    call createCurrent(P_HlQ, P_G0, P_ZQ, 4517, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, P_Z, 2851, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_Z, 278, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_Hl, 4180, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_ghWm, 2735, check)
    call createCurrent(P_cAnti, P_c, P_Hh, 2830, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 1276, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_Z, 2295, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Z, P_WPlus, 1652, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 337, check)
    call createCurrent(P_GQ0, P_tauMinus, P_tauPlus, 3161, check)
    call createCurrent(P_HhQ, P_ePlus, P_eMinus, 4659, check)
    call createCurrent(P_AQ, P_c, P_cAnti, 4732, check)
    call createCurrent(P_WQPlus, P_Hl, P_WQMinus, 192, check)
    call createCurrent(P_ZQ, P_nu_tau, P_nu_tauAnti, 4841, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_GPlus, P_ghZ, 4172, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, P_Z, 1681, check)
    call createCurrent(P_ghWmAnti, P_A, P_A, P_ghWm, 1295, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_Z, P_ghA, 3347, check)
    call createCurrent(P_ghZ, P_Z, P_ghWmAnti, P_WQMinus, 2353, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_HhQ, 2109, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 3477, check)
    call createCurrent(P_HhQ, P_Hh, P_Hh, P_HlQ, 3184, check)
    call createCurrent(P_GQMinus, P_Hl, P_GQPlus, 352, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_GQPlus, 4476, check)
    call createCurrent(P_WQMinus, P_Hh, P_WPlus, P_HhQ, 336, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_HlQ, 3839, check)
    call createCurrent(P_GQ0, P_Z, P_WMinus, P_GQPlus, 2111, check)
    call createCurrent(P_A, P_A, P_Hl, 5226, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1108, check)
    call createCurrent(P_GQPlus, P_nu_muAnti, P_muMinus, 4105, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghA, 212, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_HlQ, 1314, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_HhQ, 3396, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GQMinus, 3754, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_WPlus, P_ghZ, 2068, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, P_Z, 2633, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghA, 2781, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWm, P_ghAAnti, 552, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghA, P_GMinus, 4895, check)
    call createCurrent(P_muMinus, P_muPlus, P_ZQ, 2028, check)
    call createCurrent(P_s, P_sAnti, P_gQ, 4607, check)
    call createCurrent(P_G0, P_GMinus, P_ghWp, P_ghZAnti, 456, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WPlus, 4826, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GQMinus, 4210, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hh, 5202, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWpAnti, P_ghWp, 675, check)
    call createCurrent(P_ghA, P_WPlus, P_ghZAnti, P_WQMinus, 2106, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_Z, P_ghZ, 4927, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GPlus, P_GQMinus, 1770, check)
    call createCurrent(P_AQ, P_ghAAnti, P_WPlus, P_ghWm, 4929, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_GPlus, 525, check)
    call createCurrent(P_gQ, P_ghG, P_g, P_ghGAnti, 4629, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hh, P_AQ, 547, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, P_A, 3903, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_Hl, 63, check)
    call createCurrent(P_GPlus, P_G0, P_ghWpAnti, P_ghA, 4611, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_G0, P_ghZ, 2534, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghZAnti, P_ghWm, 1814, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_A, 3005, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_GQMinus, 3395, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HhQ, 1792, check)
    call createCurrent(P_ghZ, P_A, P_WMinus, P_ghWmAnti, 892, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WQMinus, 3844, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_HhQ, 4650, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 5041, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, 4361, check)
    call createCurrent(P_Hl, P_ghZ, P_Hl, P_ghZAnti, 4760, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hl, P_GQPlus, 4046, check)
    call createCurrent(P_AQ, P_G0, P_GPlus, P_WQMinus, 2370, check)
    call createCurrent(P_WQMinus, P_Z, P_G0, P_GQPlus, 4559, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_HlQ, 3026, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWm, P_ghZAnti, 4565, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 122, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 1482, check)
    call createCurrent(P_WQPlus, P_Hl, P_WMinus, P_HlQ, 3793, check)
    call createCurrent(P_GQ0, P_ghWm, P_GPlus, P_ghZAnti, 2794, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWmAnti, P_ghZ, 4430, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 766, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Hh, 1835, check)
    call createCurrent(P_WQPlus, P_Hh, P_Hh, P_WQMinus, 764, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, 4184, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_GMinus, 233, check)
    call createCurrent(P_Z, P_WPlus, P_ghAAnti, P_ghWm, 3162, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, P_Z, 495, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_GQMinus, 4265, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WMinus, 4735, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_HhQ, 4520, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWp, P_GMinus, 2419, check)
    call createCurrent(P_ghWp, P_WPlus, P_ghWpAnti, P_WQMinus, 16, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 3571, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WPlus, 4067, check)
    call createCurrent(P_eMinus, P_ePlus, 5023, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1370, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 1480, check)
    call createCurrent(P_bAnti, P_t, P_GQMinus, 2361, check)
    call createCurrent(P_ZQ, P_ghWp, P_Z, P_ghWpAnti, 3068, check)
    call createCurrent(P_WQPlus, P_ghWm, P_ghZAnti, 730, check)
    call createCurrent(P_ghWp, P_ghWmAnti, P_WMinus, P_WMinus, 3115, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_ZQ, 1845, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_GPlus, 2725, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_GQPlus, 4000, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 2223, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_HhQ, 3616, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HlQ, 2728, check)
    call createCurrent(P_AQ, P_ghWm, P_ghWmAnti, 2845, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 2275, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_HlQ, 3004, check)
    call createCurrent(P_A, P_ghWp, P_ghAAnti, P_WMinus, 513, check)
    call createCurrent(P_ghZAnti, P_A, P_WMinus, P_ghWp, 1139, check)
    call createCurrent(P_AQ, P_GPlus, P_Z, P_GQMinus, 2881, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Hl, 4011, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_Hh, 2280, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_GQ0, 1798, check)
    call createCurrent(P_A, P_ghWmAnti, P_A, P_ghWm, 4474, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GMinus, 2230, check)
    call createCurrent(P_A, P_ghWm, P_ghZAnti, P_WPlus, 1640, check)
    call createCurrent(P_HlQ, P_ghWm, P_ghWmAnti, 1146, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_Z, 2423, check)
    call createCurrent(P_A, P_tAnti, P_t, 1610, check)
    call createCurrent(P_WMinus, P_ghA, P_ghZAnti, P_WPlus, 4635, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_HlQ, 125, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_Hl, P_ghWm, 4324, check)
    call createCurrent(P_ghWm, P_GPlus, P_G0, P_ghAAnti, 2722, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, 3050, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 3202, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghWm, P_ghZAnti, 31, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 3487, check)
    call createCurrent(P_GQPlus, P_ghZ, P_G0, P_ghWpAnti, 4352, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghWp, P_ghWpAnti, 1669, check)
    call createCurrent(P_ghZAnti, P_ghA, P_WPlus, P_WQMinus, 1878, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WMinus, P_WPlus, 3564, check)
    call createCurrent(P_ZQ, P_WPlus, P_WMinus, P_AQ, 4481, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghWp, P_GQMinus, 632, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hh, P_ghA, 2938, check)
    call createCurrent(P_GQMinus, P_Hl, P_Hl, P_GQPlus, 33, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 3424, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, 1099, check)
    call createCurrent(P_WQPlus, P_Hl, P_Z, P_GQMinus, 1260, check)
    call createCurrent(P_ZQ, P_Hl, P_Hl, P_ZQ, 1742, check)
    call createCurrent(P_ghA, P_ghAAnti, P_GPlus, P_GQMinus, 1110, check)
    call createCurrent(P_Z, P_d, P_dAnti, 3011, check)
    call createCurrent(P_HlQ, P_GPlus, P_Hl, P_GQMinus, 4094, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWp, P_ghWpAnti, 3913, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_GQMinus, 4176, check)
    call createCurrent(P_WQMinus, P_Hl, P_Hh, P_WQPlus, 2636, check)
    call createCurrent(P_GMinus, P_Hl, P_ghA, P_ghWmAnti, 3701, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WQMinus, 3872, check)
    call createCurrent(P_ghWm, P_Hh, P_Hh, P_ghWmAnti, 4267, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WPlus, 4415, check)
    call createCurrent(P_Hh, P_ghWp, P_ghAAnti, P_GMinus, 1570, check)
    call createCurrent(P_ZQ, P_GMinus, P_A, P_GQPlus, 4820, check)
    call createCurrent(P_AQ, P_GPlus, P_GQMinus, 2453, check)
    call createCurrent(P_AQ, P_WPlus, P_Z, P_WQMinus, 3546, check)
    call createCurrent(P_muPlus, P_muMinus, P_HlQ, 1113, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWm, P_ghZAnti, 2531, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hl, 5201, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 5175, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghWp, P_ghAAnti, 4198, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_Hl, 4136, check)
    call createCurrent(P_A, P_WMinus, P_ghZ, P_ghWmAnti, 637, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_HhQ, 3435, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_GMinus, P_ghA, 592, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_Z, P_ghWp, 2621, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_G0, P_ghWp, 2145, check)
    call createCurrent(P_HlQ, P_ghWp, P_Hh, P_ghWpAnti, 2527, check)
    call createCurrent(P_WQPlus, P_WMinus, P_A, P_AQ, 1226, check)
    call createCurrent(P_ghA, P_WPlus, P_A, P_ghWpAnti, 3986, check)
    call createCurrent(P_b, P_A, P_bAnti, 1365, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_G0, 1350, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 4534, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 918, check)
    call createCurrent(P_GQMinus, P_Z, P_G0, P_WQPlus, 4919, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_GQ0, 4082, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_Z, 767, check)
    call createCurrent(P_GQ0, P_Hl, P_WPlus, P_WQMinus, 4625, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghAAnti, P_WQPlus, 2719, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_GQ0, 328, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 1083, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GMinus, 3360, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, P_A, 2202, check)
    call createCurrent(P_Hh, P_Z, P_A, 5014, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, 782, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_ZQ, 596, check)
    call createCurrent(P_GQMinus, P_nu_mu, P_muPlus, 2185, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 1133, check)
    call createCurrent(P_ZQ, P_Hh, P_Z, P_HlQ, 3691, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_G0, P_GPlus, 1325, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, P_G0, 582, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 2232, check)
    call createCurrent(P_WQMinus, P_WPlus, P_A, P_ZQ, 597, check)
    call createCurrent(P_GQ0, P_Z, P_Z, P_GQ0, 1475, check)
    call createCurrent(P_Z, P_ghWp, P_Z, P_ghWpAnti, 904, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_WPlus, P_ghZ, 3431, check)
    call createCurrent(P_G0, P_GMinus, P_ghA, P_ghWmAnti, 3295, check)
    call createCurrent(P_HlQ, P_G0, P_GPlus, P_GQMinus, 2467, check)
    call createCurrent(P_GQPlus, P_WMinus, P_G0, P_ZQ, 1165, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_A, P_WMinus, 3994, check)
    call createCurrent(P_ghWp, P_GPlus, P_ghWpAnti, P_GMinus, 4335, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, 3434, check)
    call createCurrent(P_HlQ, P_Hl, P_WMinus, P_WQPlus, 3617, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 27, check)
    call createCurrent(P_dAnti, P_d, P_ZQ, 4104, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 3871, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hl, 4651, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 1241, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Z, P_ZQ, 1896, check)
    call createCurrent(P_ZQ, P_GPlus, P_WMinus, P_GQ0, 173, check)
    call createCurrent(P_HlQ, P_G0, P_ghWm, P_ghWmAnti, 3599, check)
    call createCurrent(P_s, P_Hh, P_sAnti, 4712, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWp, P_GMinus, 4436, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZAnti, P_ghWm, 1567, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 2158, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_Hh, 4194, check)
    call createCurrent(P_ghZ, P_Hh, P_Hh, P_ghZAnti, 4845, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 3788, check)
    call createCurrent(P_HlQ, P_G0, P_WPlus, P_WQMinus, 654, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 3781, check)
    call createCurrent(P_WMinus, P_GPlus, 5058, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_GQMinus, 1609, check)
    call createCurrent(P_GQPlus, P_Hh, P_GQMinus, 2087, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, 859, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_A, 1862, check)
    call createCurrent(P_HhQ, P_ghWm, P_ghWmAnti, 2127, check)
    call createCurrent(P_ZQ, P_GPlus, P_Hh, P_WQMinus, 3121, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_A, 5088, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_A, P_ghWp, 627, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 1255, check)
    call createCurrent(P_GMinus, P_WPlus, 4977, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 5036, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_G0, P_GPlus, 706, check)
    call createCurrent(P_Hh, P_Hl, P_ghZ, P_ghZAnti, 4622, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WPlus, P_ghWm, 2785, check)
    call createCurrent(P_A, P_t, P_tAnti, 4248, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghA, P_GQPlus, 831, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_Hh, 4744, check)
    call createCurrent(P_b, P_G0, P_bAnti, 3566, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 3260, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_Z, 3154, check)
    call createCurrent(P_ghZAnti, P_A, P_ghWp, P_WMinus, 2483, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_A, 3015, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1847, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 3499, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 2593, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 668, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_WMinus, P_WPlus, 2767, check)
    call createCurrent(P_G0, P_Hl, P_Hh, P_G0, 957, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghZ, P_WQPlus, 4702, check)
    call createCurrent(P_WQMinus, P_Hh, P_Hh, P_WQPlus, 642, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghZ, P_GQPlus, 2677, check)
    call createCurrent(P_Z, P_s, P_sAnti, 932, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWp, P_GQMinus, 338, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_GPlus, P_ghA, 3767, check)
    call createCurrent(P_HhQ, P_WPlus, P_WMinus, P_HhQ, 3296, check)
    call createCurrent(P_HhQ, P_WMinus, P_Hh, P_WQPlus, 2660, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 1624, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 4855, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, 4343, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GQPlus, 4316, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 604, check)
    call createCurrent(P_Hl, P_A, P_A, P_Hh, 5259, check)
    call createCurrent(P_ghWm, P_WPlus, P_Z, P_ghAAnti, 907, check)
    call createCurrent(P_sAnti, P_s, P_g, 2436, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hh, 1057, check)
    call createCurrent(P_A, P_sAnti, P_s, 3738, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_Hh, 2092, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HhQ, 3265, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_GQ0, 3906, check)
    call createCurrent(P_Hh, P_ghAAnti, P_GPlus, P_ghWm, 4294, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_A, P_ghWm, 2721, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 5254, check)
    call createCurrent(P_Z, P_GMinus, P_Hh, P_WPlus, 4905, check)
    call createCurrent(P_AQ, P_ghWm, P_WPlus, P_ghAAnti, 11, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 1040, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 3243, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HlQ, 3069, check)
    call createCurrent(P_AQ, P_Z, P_ghWmAnti, P_ghWm, 1154, check)
    call createCurrent(P_ghZ, P_GPlus, P_GMinus, P_ghZAnti, 3680, check)
    call createCurrent(P_eMinus, P_ePlus, P_HhQ, 1907, check)
    call createCurrent(P_Hh, P_GPlus, P_ghZ, P_ghWpAnti, 367, check)
    call createCurrent(P_AQ, P_ghWm, P_Z, P_ghWmAnti, 2978, check)
    call createCurrent(P_ePlus, P_Hl, P_eMinus, 1243, check)
    call createCurrent(P_HhQ, P_ghZ, P_ghZAnti, 3116, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_AQ, 3466, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghZ, P_GPlus, 1892, check)
    call createCurrent(P_ghA, P_GPlus, P_Hl, P_ghWpAnti, 2250, check)
    call createCurrent(P_tAnti, P_t, P_g, 690, check)
    call createCurrent(P_ghZAnti, P_Z, P_WMinus, P_ghWp, 4837, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_Hh, 3122, check)
    call createCurrent(P_A, P_A, P_g, P_g, 5172, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_HhQ, 4408, check)
    call createCurrent(P_HlQ, P_WMinus, P_Hh, P_WQPlus, 3690, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HlQ, 2701, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Hh, 962, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 394, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, 1035, check)
    call createCurrent(P_GQ0, P_GPlus, P_A, P_WQMinus, 3035, check)
    call createCurrent(P_WPlus, P_ghWm, P_WPlus, P_ghWpAnti, 989, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_G0, 2580, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_GPlus, P_ghZ, 4657, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hl, P_ghZ, 1358, check)
    call createCurrent(P_t, P_tAnti, P_Hl, 4063, check)
    call createCurrent(P_HhQ, P_GMinus, P_WQPlus, 4769, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_AQ, 188, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_A, 4437, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_ZQ, 1339, check)
    call createCurrent(P_nu_e, P_ePlus, P_WQMinus, 1014, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghAAnti, P_ghWm, 3915, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_AQ, 1747, check)
    call createCurrent(P_WPlus, P_A, P_ghWpAnti, P_ghZ, 2607, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 5244, check)
    call createCurrent(P_ZQ, P_WPlus, P_Hl, P_GQMinus, 3323, check)
    call createCurrent(P_HlQ, P_WPlus, P_GQMinus, 2877, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_G0, 3429, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 350, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 3706, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 1541, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZAnti, P_ghA, 2967, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 2206, check)
    call createCurrent(P_A, P_WPlus, P_Hh, P_GMinus, 2747, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_GPlus, P_ghA, 584, check)
    call createCurrent(P_s, P_sAnti, P_HlQ, 2289, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_ghA, 1178, check)
    call createCurrent(P_Hl, P_GMinus, P_Z, P_WPlus, 1678, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWm, P_ghZAnti, 4851, check)
    call createCurrent(P_WPlus, P_A, P_ghWpAnti, P_ghA, 3422, check)
    call createCurrent(P_GQPlus, P_WPlus, P_WMinus, P_GQMinus, 894, check)
    call createCurrent(P_tAnti, P_b, P_WQPlus, 140, check)
    call createCurrent(P_ghZAnti, P_Hl, P_Hl, P_ghZ, 2801, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_HhQ, 4637, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GQ0, 3407, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_A, 1968, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_GQPlus, 1661, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 933, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, 3333, check)
    call createCurrent(P_ZQ, P_dAnti, P_d, 3018, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_A, 2612, check)
    call createCurrent(P_Z, P_ghWp, P_ghZAnti, P_WMinus, 3469, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_A, P_ghZ, 852, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_ZQ, 4056, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hl, P_ghAAnti, 2897, check)
    call createCurrent(P_Hh, P_GPlus, P_ghAAnti, P_ghWm, 2787, check)
    call createCurrent(P_GQ0, P_G0, P_Hh, P_HhQ, 1711, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_ghZ, 2215, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 5109, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 2688, check)
    call createCurrent(P_WPlus, P_Z, P_ghZ, P_ghWpAnti, 1119, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghZ, P_GPlus, 2438, check)
    call createCurrent(P_GQ0, P_GMinus, P_GQPlus, 2892, check)
    call createCurrent(P_HhQ, P_bAnti, P_b, 1889, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 3679, check)
    call createCurrent(P_ZQ, P_WPlus, P_Hh, P_GQMinus, 2498, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWm, P_ghZAnti, 1011, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 1514, check)
    call createCurrent(P_Hh, P_Hl, P_ghWmAnti, P_ghWm, 3671, check)
    call createCurrent(P_WQPlus, P_ghA, P_ghWpAnti, 2383, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_HlQ, 2502, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 739, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghA, P_WMinus, 3468, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_GQ0, 738, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_Hh, 4289, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_G0, 3659, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghZ, P_GMinus, 2389, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 2099, check)
    call createCurrent(P_GQ0, P_WMinus, P_WQPlus, 177, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_Hl, 1058, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_GQ0, 2930, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghA, P_GMinus, 1013, check)
    call createCurrent(P_ZQ, P_GMinus, P_G0, P_WQPlus, 948, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 4848, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_HhQ, 3387, check)
    call createCurrent(P_WPlus, P_ghZ, P_A, P_ghWpAnti, 753, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 4018, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 1353, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Hh, 4196, check)
    call createCurrent(P_WQMinus, P_Hl, P_WPlus, P_GQ0, 3408, check)
    call createCurrent(P_WQPlus, P_Hl, P_Hh, P_WQMinus, 3689, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 2663, check)
    call createCurrent(P_ghWpAnti, P_WMinus, P_ghWp, P_WPlus, 2399, check)
    call createCurrent(P_WQPlus, P_nu_muAnti, P_muMinus, 1023, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_Hl, 871, check)
    call createCurrent(P_t, P_tAnti, P_ZQ, 4380, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_AQ, 3187, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hh, P_GQ0, 3425, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWp, P_WMinus, 3342, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Hl, 3057, check)
    call createCurrent(P_Hl, P_uAnti, P_u, 649, check)
    call createCurrent(P_ZQ, P_d, P_dAnti, 3132, check)
    call createCurrent(P_HlQ, P_c, P_cAnti, 4756, check)
    call createCurrent(P_Hh, P_Hh, P_ghZ, P_ghZAnti, 3436, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_AQ, 511, check)
    call createCurrent(P_tauPlus, P_Hh, P_tauMinus, 313, check)
    call createCurrent(P_sAnti, P_s, P_HhQ, 2078, check)
    call createCurrent(P_Z, P_ghWm, P_ghZAnti, P_WPlus, 691, check)
    call createCurrent(P_GQ0, P_bAnti, P_b, 4426, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_A, 297, check)
    call createCurrent(P_Hh, P_A, P_WMinus, P_GPlus, 3560, check)
    call createCurrent(P_WQMinus, P_c, P_sAnti, 687, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_GMinus, 3229, check)
    call createCurrent(P_WQPlus, P_Hh, P_WQMinus, 3444, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWpAnti, P_ghZ, 1331, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 4404, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 1185, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 4649, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghAAnti, P_ghA, 2366, check)
    call createCurrent(P_Z, P_ghA, P_ghWmAnti, P_WMinus, 326, check)
    call createCurrent(P_ghZAnti, P_Z, P_WPlus, P_ghWm, 3282, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, 1921, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_GPlus, 881, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Hh, 2149, check)
    call createCurrent(P_ghGAnti, P_g, P_g, P_ghG, 1470, check)
    call createCurrent(P_ghWpAnti, P_WMinus, P_WPlus, P_ghWp, 2714, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 4979, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hl, 1256, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 5204, check)
    call createCurrent(P_ePlus, P_eMinus, 5042, check)
    call createCurrent(P_AQ, P_G0, P_GMinus, P_WQPlus, 897, check)
    call createCurrent(P_HlQ, P_Hh, P_Z, P_ZQ, 4284, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 3299, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 113, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 3279, check)
    call createCurrent(P_GQMinus, P_A, P_A, P_GQPlus, 4124, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_Z, 447, check)
    call createCurrent(P_Hh, P_s, P_sAnti, 3808, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_G0, P_GQPlus, 1458, check)
    call createCurrent(P_WQMinus, P_GMinus, P_GPlus, P_WQPlus, 4074, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_A, 3734, check)
    call createCurrent(P_Hl, P_tauMinus, P_tauPlus, 526, check)
    call createCurrent(P_A, P_Z, P_Hh, 5103, check)
    call createCurrent(P_GQ0, P_d, P_dAnti, 4119, check)
    call createCurrent(P_A, P_WMinus, P_ghAAnti, P_ghWp, 3918, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_A, 590, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 2730, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 4002, check)
    call createCurrent(P_Hh, P_b, P_bAnti, 3935, check)
    call createCurrent(P_ghWp, P_Hl, P_Hl, P_ghWpAnti, 3877, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, P_Hl, 4383, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 1596, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 5126, check)
    call createCurrent(P_ghA, P_A, P_ghWmAnti, P_WQMinus, 2911, check)
    call createCurrent(P_ghZ, P_WMinus, P_Z, P_ghWmAnti, 2844, check)
    call createCurrent(P_tAnti, P_t, P_HhQ, 1950, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZ, P_ghAAnti, 2321, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghA, P_WQMinus, 3531, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_HhQ, 1538, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWmAnti, P_GQMinus, 2332, check)
    call createCurrent(P_ghWm, P_Hh, P_GPlus, P_ghAAnti, 1068, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_ZQ, 5, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 4495, check)
    call createCurrent(P_ZQ, P_Hl, P_ZQ, 536, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GPlus, P_GMinus, 1965, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 3244, check)
    call createCurrent(P_G0, P_ghZ, P_ghWpAnti, P_GPlus, 3048, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_WMinus, P_ghWp, 2038, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 3355, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_Z, 1244, check)
    call createCurrent(P_WPlus, P_GMinus, 5121, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_GPlus, P_ghZ, 559, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_G0, P_ghZ, 2018, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hh, P_GMinus, 3579, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_GPlus, P_ghZ, 2985, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 5191, check)
    call createCurrent(P_HlQ, P_GMinus, P_Hl, P_GQPlus, 145, check)
    call createCurrent(P_GPlus, P_ghZ, P_GMinus, P_ghAAnti, 605, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghZAnti, 3523, check)
    call createCurrent(P_Z, P_ghWm, P_Z, P_ghWmAnti, 3193, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, P_A, 4287, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WQPlus, 2344, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 5143, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Z, P_WMinus, 1955, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, 448, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 1313, check)
    call createCurrent(P_ghA, P_GPlus, P_ghZAnti, P_GMinus, 3661, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, P_Hh, 2966, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1877, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WMinus, 872, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWp, P_WQMinus, 3307, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, P_A, 1345, check)
    call createCurrent(P_GQ0, P_ghZ, P_GPlus, P_ghWpAnti, 816, check)
    call createCurrent(P_A, P_ghA, P_WMinus, P_ghWmAnti, 2305, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_A, P_WQPlus, 4223, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_Z, P_ghWp, 4500, check)
    call createCurrent(P_ZQ, P_ghWmAnti, P_ghWm, 432, check)
    call createCurrent(P_bAnti, P_b, P_Hl, 3921, check)
    call createCurrent(P_WQMinus, P_Z, P_ghZ, P_ghWmAnti, 3827, check)
    call createCurrent(P_ZQ, P_G0, P_Z, P_GQ0, 109, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWpAnti, P_ghZ, 1605, check)
    call createCurrent(P_GQPlus, P_G0, P_G0, P_GQMinus, 1289, check)
    call createCurrent(P_WQMinus, P_Hh, P_GPlus, P_ZQ, 2975, check)
    call createCurrent(P_HhQ, P_GPlus, P_GMinus, P_HhQ, 829, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WQMinus, 3555, check)
    call createCurrent(P_GMinus, P_ghA, P_Hl, P_ghWmAnti, 1140, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hl, 1490, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 1250, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Hl, 4266, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 5210, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_GQPlus, 2288, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghZ, 3543, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghZ, P_WMinus, 357, check)
    call createCurrent(P_GQ0, P_G0, P_GMinus, P_GQPlus, 2969, check)
    call createCurrent(P_WPlus, P_ghA, P_ghZAnti, P_WMinus, 1535, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 4345, check)
    call createCurrent(P_tAnti, P_t, P_G0, 773, check)
    call createCurrent(P_HhQ, P_G0, P_GMinus, P_GQPlus, 3795, check)
    call createCurrent(P_uAnti, P_Hh, P_u, 1887, check)
    call createCurrent(P_AQ, P_A, P_ghWm, P_ghWmAnti, 443, check)
    call createCurrent(P_ghA, P_GMinus, P_GPlus, P_ghZAnti, 243, check)
    call createCurrent(P_HlQ, P_G0, P_Hh, P_GQ0, 3000, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_G0, 4675, check)
    call createCurrent(P_Hh, P_G0, P_G0, P_Hh, 4479, check)
    call createCurrent(P_ghWm, P_Z, P_Z, P_ghWmAnti, 2412, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_HhQ, 804, check)
    call createCurrent(P_b, P_bAnti, P_Hh, 2546, check)
    call createCurrent(P_s, P_G0, P_sAnti, 4686, check)
    call createCurrent(P_HhQ, P_muMinus, P_muPlus, 3328, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_AQ, 2154, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 3607, check)
    call createCurrent(P_GQ0, P_Hl, P_G0, P_HhQ, 3884, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 1828, check)
    call createCurrent(P_A, P_Hl, P_A, 5217, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hh, 3414, check)
    call createCurrent(P_A, P_ghWm, P_ghAAnti, P_WPlus, 795, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 115, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_GQ0, 3163, check)
    call createCurrent(P_GQ0, P_G0, P_Hh, P_HlQ, 3505, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, P_A, 238, check)
    call createCurrent(P_GQ0, P_Hh, P_ZQ, 2166, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 2667, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 5032, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_HlQ, 1428, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hl, P_HlQ, 3117, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_HlQ, 3129, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 1996, check)
    call createCurrent(P_Hl, P_Hh, P_ghWp, P_ghWpAnti, 1109, check)
    call createCurrent(P_HhQ, P_WMinus, P_Hl, P_WQPlus, 2482, check)
    call createCurrent(P_WQMinus, P_G0, P_WPlus, P_HhQ, 2442, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hh, 5193, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, P_Z, 3656, check)
    call createCurrent(P_HhQ, P_G0, P_ghWpAnti, P_ghWp, 1933, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_Hl, P_ghWp, 3166, check)
    call createCurrent(P_AQ, P_eMinus, P_ePlus, 3739, check)
    call createCurrent(P_GQPlus, P_A, P_GMinus, P_ZQ, 388, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 4208, check)
    call createCurrent(P_AQ, P_GMinus, P_Hh, P_WQPlus, 4102, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_Hh, 94, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_ZQ, 3105, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hh, 5267, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_Z, 893, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 949, check)
    call createCurrent(P_GQ0, P_Z, P_G0, P_ZQ, 3417, check)
    call createCurrent(P_ghWp, P_Hh, P_Hh, P_ghWpAnti, 2935, check)
    call createCurrent(P_GQPlus, P_Z, P_WQMinus, 4159, check)
    call createCurrent(P_Hl, P_GMinus, P_ghZAnti, P_ghWp, 3254, check)
    call createCurrent(P_c, P_cAnti, P_AQ, 3212, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hh, P_GQMinus, 3452, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, P_Z, 2465, check)
    call createCurrent(P_ghWm, P_WPlus, P_WPlus, P_ghWpAnti, 3168, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_Z, 5029, check)
    call createCurrent(P_ZQ, P_Hh, P_WPlus, P_GQMinus, 1459, check)
    call createCurrent(P_ghZ, P_A, P_WPlus, P_ghWpAnti, 4866, check)
    call createCurrent(P_WQPlus, P_Z, P_WQMinus, 3491, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 4050, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_GQPlus, 959, check)
    call createCurrent(P_ZQ, P_ePlus, P_eMinus, 4460, check)
    call createCurrent(P_HhQ, P_Hh, P_Hl, P_HhQ, 4001, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghA, P_WMinus, 792, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 882, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, 785, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Hh, 975, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 5034, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, 281, check)
    call createCurrent(P_ghWp, P_Z, P_Z, P_ghWpAnti, 635, check)
    call createCurrent(P_Z, P_Z, P_Hl, P_Hh, 3280, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 3533, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 2455, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 3146, check)
    call createCurrent(P_WQPlus, P_G0, P_GQMinus, 680, check)
    call createCurrent(P_GQ0, P_tauPlus, P_tauMinus, 3277, check)
    call createCurrent(P_A, P_WMinus, P_Hh, P_GPlus, 379, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 4162, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hl, P_GQMinus, 3938, check)
    call createCurrent(P_ghWm, P_Hl, P_GPlus, P_ghZAnti, 1856, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_Hh, 2828, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_Hh, 128, check)
    call createCurrent(P_AQ, P_Hh, P_WMinus, P_GQPlus, 1347, check)
    call createCurrent(P_G0, P_ghWpAnti, P_G0, P_ghWp, 1851, check)
    call createCurrent(P_A, P_A, P_ghWp, P_ghWpAnti, 968, check)
    call createCurrent(P_GQMinus, P_muPlus, P_nu_mu, 4593, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 5078, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_GPlus, 1205, check)
    call createCurrent(P_HhQ, P_ghZ, P_Hl, P_ghZAnti, 315, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 4976, check)
    call createCurrent(P_ghWmAnti, P_A, P_WMinus, P_ghZ, 1030, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hl, P_GQMinus, 664, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, P_A, 3944, check)
    call createCurrent(P_ZQ, P_tauPlus, P_tauMinus, 3975, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HhQ, 4072, check)
    call createCurrent(P_d, P_dAnti, P_HlQ, 4358, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 2251, check)
    call createCurrent(P_ghWm, P_WPlus, P_A, P_ghZAnti, 169, check)
    call createCurrent(P_Z, P_A, P_Hl, P_Hl, 5030, check)
    call createCurrent(P_WPlus, P_Z, P_ghZAnti, P_ghWm, 4084, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_ghWp, 3472, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghZ, 4306, check)
    call createCurrent(P_Hh, P_GMinus, P_Z, P_WPlus, 1563, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, P_A, 59, check)
    call createCurrent(P_s, P_sAnti, P_A, 4025, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_HlQ, 2551, check)
    call createCurrent(P_GQMinus, P_A, P_GQPlus, 4378, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_G0, 2008, check)
    call createCurrent(P_Z, P_A, P_ghWm, P_ghWmAnti, 318, check)
    call createCurrent(P_HhQ, P_Hh, P_GMinus, P_GQPlus, 3894, check)
    call createCurrent(P_t, P_tAnti, P_g, 887, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 2706, check)
    call createCurrent(P_WMinus, P_Hh, P_Hl, P_WPlus, 4529, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_G0, 4120, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 4085, check)
    call createCurrent(P_AQ, P_WPlus, P_WQMinus, 2819, check)
    call createCurrent(P_WQMinus, P_A, P_WPlus, P_ZQ, 472, check)
    call createCurrent(P_Hl, P_Z, P_Z, 2479, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_WMinus, P_ghWm, 2588, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 4098, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_WMinus, P_ghZ, 1674, check)
    call createCurrent(P_AQ, P_t, P_tAnti, 3987, check)
    call createCurrent(P_HlQ, P_GMinus, P_WQPlus, 90, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 4789, check)
    call createCurrent(P_Z, P_bAnti, P_b, 2357, check)
    call createCurrent(P_GQ0, P_G0, P_WMinus, P_WQPlus, 319, check)
    call createCurrent(P_ghA, P_GMinus, P_ghZAnti, P_GPlus, 422, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 5214, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1467, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 2774, check)
    call createCurrent(P_GQPlus, P_A, P_A, P_GQMinus, 269, check)
    call createCurrent(P_GQMinus, P_ghZ, P_GPlus, P_ghAAnti, 629, check)
    call createCurrent(P_Hh, P_Z, P_GPlus, P_WMinus, 3281, check)
    call createCurrent(P_A, P_ghWp, P_A, P_ghWpAnti, 137, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWpAnti, P_WPlus, 249, check)
    call createCurrent(P_HlQ, P_Hh, P_WPlus, P_WQMinus, 362, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 5188, check)
    call createCurrent(P_WPlus, P_Z, P_ghA, P_ghWpAnti, 3297, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, 3572, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 3183, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, 4247, check)
    call createCurrent(P_Hl, P_GMinus, P_Hl, P_GPlus, 1755, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_Z, 1092, check)
    call createCurrent(P_bAnti, P_b, P_Z, 168, check)
    call createCurrent(P_sAnti, P_Hh, P_s, 390, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 2916, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_GQPlus, 1753, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWm, P_ghAAnti, 2765, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWp, P_ghWpAnti, 381, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_Z, 1265, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_HlQ, 3159, check)
    call createCurrent(P_A, P_c, P_cAnti, 1731, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hh, 5169, check)
    call createCurrent(P_WMinus, P_ghWm, P_WPlus, P_ghWmAnti, 566, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WQPlus, 3668, check)
    call createCurrent(P_Z, P_Hh, P_G0, 4054, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GMinus, P_GQPlus, 1498, check)
    call createCurrent(P_HlQ, P_A, P_WMinus, P_GQPlus, 2738, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 3966, check)
    call createCurrent(P_ZQ, P_Z, P_ghWmAnti, P_ghWm, 3797, check)
    call createCurrent(P_GQPlus, P_GPlus, P_GMinus, P_GQMinus, 82, check)
    call createCurrent(P_A, P_uAnti, P_u, 2073, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 1034, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 3995, check)
    call createCurrent(P_GQMinus, P_WPlus, P_AQ, 2200, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_GQPlus, 4439, check)
    call createCurrent(P_muPlus, P_muMinus, P_GQ0, 4269, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HhQ, 1849, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghZAnti, 1922, check)
    call createCurrent(P_HhQ, P_Z, P_Z, P_HlQ, 1123, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 1248, check)
    call createCurrent(P_Hl, P_Hl, 5077, check)
    call createCurrent(P_ZQ, P_Hh, P_ZQ, 2100, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Z, P_WMinus, 755, check)
    call createCurrent(P_uAnti, P_u, 5011, check)
    call createCurrent(P_WQPlus, P_ghWm, P_ghAAnti, 102, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HhQ, 3796, check)
    call createCurrent(P_GPlus, P_ghZ, P_Hh, P_ghWpAnti, 2301, check)
    call createCurrent(P_GQPlus, P_tAnti, P_b, 512, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_HhQ, 1975, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 798, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WMinus, P_WQPlus, 1392, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 5138, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_ZQ, 586, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hl, 2297, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_GMinus, 1012, check)
    call createCurrent(P_GMinus, P_G0, P_ghZ, P_ghWmAnti, 3167, check)
    call createCurrent(P_Hl, P_G0, P_G0, 4079, check)
    call createCurrent(P_HhQ, P_WPlus, P_WQMinus, 2569, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghA, 3375, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, P_Hl, 2074, check)
    call createCurrent(P_GQ0, P_Z, P_HlQ, 4199, check)
    call createCurrent(P_HhQ, P_Hl, P_WMinus, P_WQPlus, 3651, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_GQ0, 733, check)
    call createCurrent(P_ZQ, P_A, P_ghWmAnti, P_ghWm, 1764, check)
    call createCurrent(P_ZQ, P_Z, P_G0, P_GQ0, 4590, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 4048, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghA, 2184, check)
    call createCurrent(P_Z, P_GMinus, P_Hl, P_WPlus, 3421, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 5265, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_GQ0, 4106, check)
    call createCurrent(P_GQPlus, P_G0, P_ghZAnti, P_ghWm, 4397, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_Z, P_ghA, 2382, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_Hh, P_ghWm, 4331, check)
    call createCurrent(P_A, P_g, P_g, P_g, 5156, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_GPlus, P_ghA, 2816, check)
    call createCurrent(P_g, P_c, P_cAnti, 3482, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 12, check)
    call createCurrent(P_s, P_cAnti, P_GQPlus, 3674, check)
    call createCurrent(P_WQPlus, P_A, P_ghA, P_ghWpAnti, 410, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_Hh, 3749, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, 3521, check)
    call createCurrent(P_b, P_Hh, P_bAnti, 1761, check)
    call createCurrent(P_Z, P_WPlus, P_ghZ, P_ghWpAnti, 2629, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_Hl, 4864, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 3887, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_G0, 4909, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_Z, 1144, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghZ, 4790, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghA, P_WQPlus, 3151, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_Z, 754, check)
    call createCurrent(P_ZQ, P_Hl, P_Z, P_HlQ, 2203, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_G0, P_ghA, 4482, check)
    call createCurrent(P_A, P_ghZ, P_ghWpAnti, P_WPlus, 2565, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZ, P_ghAAnti, 2520, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_G0, 1334, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_GQ0, 1809, check)
    call createCurrent(P_ghWp, P_Hl, P_ghAAnti, P_GMinus, 1788, check)
    call createCurrent(P_dAnti, P_d, 5035, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWpAnti, P_WPlus, 3960, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 4678, check)
    call createCurrent(P_GQ0, P_WPlus, P_WQMinus, 593, check)
    call createCurrent(P_GPlus, P_Hl, P_ghZAnti, P_ghWm, 3242, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_GMinus, 4969, check)
    call createCurrent(P_Hh, P_A, P_A, 5148, check)
    call createCurrent(P_HhQ, P_Hh, P_Hl, P_HlQ, 375, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 3552, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WQMinus, 4487, check)
    call createCurrent(P_A, P_WPlus, P_Hl, P_GMinus, 3744, check)
    call createCurrent(P_HhQ, P_GPlus, P_A, P_WQMinus, 4414, check)
    call createCurrent(P_ZQ, P_GMinus, P_Z, P_GQPlus, 4727, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWm, P_WPlus, 3660, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_G0, P_ghZ, 1831, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hl, 3867, check)
    call createCurrent(P_Z, P_G0, P_Hl, 549, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghZ, 1116, check)
    call createCurrent(P_Z, P_Hh, P_WMinus, P_GPlus, 1391, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_G0, 2900, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WQPlus, 3140, check)
    call createCurrent(P_ghAAnti, P_A, P_ghWm, P_WPlus, 2786, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 4279, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_Z, 5072, check)
    call createCurrent(P_HhQ, P_WMinus, P_GPlus, P_ZQ, 4113, check)
    call createCurrent(P_WQMinus, P_Z, P_ghA, P_ghWmAnti, 4874, check)
    call createCurrent(P_cAnti, P_g, P_c, 3197, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_HhQ, 2885, check)
    call createCurrent(P_A, P_cAnti, P_c, 1843, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HlQ, 2941, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghZAnti, P_GMinus, 3623, check)
    call createCurrent(P_u, P_dAnti, P_GQMinus, 1462, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_GQ0, 1282, check)
    call createCurrent(P_WQPlus, P_GMinus, P_AQ, 474, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 2057, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WQPlus, 68, check)
    call createCurrent(P_AQ, P_GPlus, P_Hl, P_WQMinus, 2113, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hl, P_ghAAnti, 2133, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_GQPlus, 3165, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_GMinus, P_ghWp, 4169, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 1900, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 1898, check)
    call createCurrent(P_HhQ, P_Hh, P_ghZAnti, P_ghZ, 294, check)
    call createCurrent(P_HlQ, P_GMinus, P_GPlus, P_HlQ, 1306, check)
    call createCurrent(P_AQ, P_tauMinus, P_tauPlus, 3272, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWp, P_GMinus, 906, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghZAnti, 1743, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghA, 2552, check)
    call createCurrent(P_HlQ, P_WMinus, P_Hl, P_WQPlus, 2181, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, P_Hh, 2729, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 4918, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghZAnti, 937, check)
    call createCurrent(P_cAnti, P_Hl, P_c, 905, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hh, 1549, check)
    call createCurrent(P_A, P_Z, P_ghWp, P_ghWpAnti, 4253, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_A, P_ghZ, 3728, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hh, P_GQMinus, 3085, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, 3642, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 1870, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HhQ, 2061, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 5194, check)
    call createCurrent(P_GQ0, P_ghWp, P_ghWpAnti, 4825, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_Z, 5114, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghA, P_GPlus, 2067, check)
    call createCurrent(P_AQ, P_Z, P_WPlus, P_WQMinus, 1751, check)
    call createCurrent(P_ZQ, P_Hl, P_GQ0, 1987, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 5132, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 5182, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GQ0, 2965, check)
    call createCurrent(P_WMinus, P_ghZ, P_WPlus, P_ghAAnti, 366, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 4809, check)
    call createCurrent(P_Hh, P_WPlus, P_Hh, P_WMinus, 2854, check)
    call createCurrent(P_t, P_g, P_tAnti, 1439, check)
    call createCurrent(P_AQ, P_WPlus, P_Hl, P_GQMinus, 3034, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hl, 4685, check)
    call createCurrent(P_Hl, P_ghWm, P_Hl, P_ghWmAnti, 4642, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_Hl, P_ghWm, 4960, check)
    call createCurrent(P_GQPlus, P_ghA, P_GMinus, P_ghAAnti, 1478, check)
    call createCurrent(P_ghWm, P_Hh, P_ghAAnti, P_GPlus, 4469, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_HhQ, 420, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_Z, 3460, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_HlQ, 75, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 1733, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Hh, P_ghWm, 4419, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWpAnti, P_WPlus, 252, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghA, P_ghAAnti, 149, check)
    call createCurrent(P_GQMinus, P_A, P_Z, P_GQPlus, 421, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 776, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_Z, 1569, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 4243, check)
    call createCurrent(P_GMinus, P_G0, P_ghWmAnti, P_ghZ, 1397, check)
    call createCurrent(P_GMinus, P_G0, P_ghWmAnti, P_ghA, 4101, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_A, P_ghZ, 2755, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_Z, P_ghWm, 3179, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_GQ0, 1427, check)
    call createCurrent(P_ghWmAnti, P_ghWp, P_WMinus, P_WQMinus, 482, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 2599, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 5094, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WQMinus, 2656, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 2276, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, P_Z, 3621, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZ, P_ghZAnti, 1517, check)
    call createCurrent(P_G0, P_u, P_uAnti, 174, check)
    call createCurrent(P_GQ0, P_Hl, P_GPlus, P_GQMinus, 4959, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hh, 5152, check)
    call createCurrent(P_Hl, P_d, P_dAnti, 1438, check)
    call createCurrent(P_ZQ, P_WPlus, P_G0, P_GQMinus, 1954, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_HhQ, 4131, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_Hl, 1560, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_HhQ, 2441, check)
    call createCurrent(P_muPlus, P_muMinus, 5096, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_GQ0, 2733, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 290, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 2331, check)
    call createCurrent(P_Hh, P_ghZAnti, P_Hh, P_ghZ, 1791, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 5133, check)
    call createCurrent(P_HlQ, P_G0, P_Hl, P_GQ0, 2041, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghZAnti, 1548, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghWm, P_Hh, 4519, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Hl, 3221, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hl, 2233, check)
    call createCurrent(P_GQPlus, P_ghWm, P_Hl, P_ghZAnti, 725, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_Z, 4069, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 373, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_GMinus, 4886, check)
    call createCurrent(P_WQMinus, P_WPlus, P_WMinus, P_WQPlus, 3963, check)
    call createCurrent(P_GQPlus, P_Hh, P_WMinus, P_ZQ, 1424, check)
    call createCurrent(P_dAnti, P_d, P_Z, 1951, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WQPlus, 3820, check)
    call createCurrent(P_HlQ, P_WPlus, P_Hl, P_WQMinus, 4813, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghZAnti, 2759, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 538, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hl, 5033, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, 4292, check)
    call createCurrent(P_Hh, P_dAnti, P_d, 2401, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_GPlus, P_ghA, 3829, check)
    call createCurrent(P_ZQ, P_GMinus, P_Hl, P_WQPlus, 4737, check)
    call createCurrent(P_GQ0, P_GMinus, P_WPlus, P_ZQ, 667, check)
    call createCurrent(P_uAnti, P_d, P_GQPlus, 2047, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_GPlus, 3130, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WMinus, 4451, check)
    call createCurrent(P_GQ0, P_G0, P_Z, P_ZQ, 4785, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, 3463, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 741, check)
    call createCurrent(P_ghZ, P_Z, P_ghWmAnti, P_WMinus, 3164, check)
    call createCurrent(P_d, P_Hl, P_dAnti, 28, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 5212, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 756, check)
    call createCurrent(P_ghWmAnti, P_G0, P_G0, P_ghWm, 2856, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_HlQ, 2064, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Hl, 2510, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_AQ, 3758, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1209, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, 3822, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_GQ0, 3825, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HhQ, 4882, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghA, P_WPlus, 2945, check)
    call createCurrent(P_AQ, P_GMinus, P_GQPlus, 2922, check)
    call createCurrent(P_u, P_G0, P_uAnti, 4038, check)
    call createCurrent(P_Z, P_b, P_bAnti, 3698, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 2174, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_A, P_WPlus, 268, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Z, P_AQ, 4197, check)
    call createCurrent(P_muMinus, P_Hl, P_muPlus, 2871, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 2322, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 3353, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hh, 5257, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 361, check)
    call createCurrent(P_GQPlus, P_WMinus, P_A, P_HhQ, 481, check)
    call createCurrent(P_WMinus, P_A, P_ghA, P_ghWmAnti, 1446, check)
    call createCurrent(P_ZQ, P_ghWm, P_A, P_ghWmAnti, 1766, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 3128, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 4856, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_AQ, 2533, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 2842, check)
    call createCurrent(P_g, P_u, P_uAnti, 3720, check)
    call createCurrent(P_Z, P_ghWp, P_WMinus, P_ghZAnti, 2500, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_A, 4264, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 2499, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_ZQ, 1632, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 4068, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hl, 2691, check)
    call createCurrent(P_AQ, P_GMinus, P_A, P_GQPlus, 3250, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 3501, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_Hl, 3924, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GMinus, 1267, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_AQ, 4721, check)
    call createCurrent(P_ghAAnti, P_G0, P_GMinus, P_ghWp, 3919, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 3427, check)
    call createCurrent(P_WQPlus, P_GMinus, P_HhQ, 580, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_GQPlus, 855, check)
    call createCurrent(P_A, P_G0, P_Hl, 5031, check)
    call createCurrent(P_WQPlus, P_Hl, P_GMinus, P_ZQ, 4181, check)
    call createCurrent(P_GMinus, P_ghWp, P_G0, P_ghZAnti, 2572, check)
    call createCurrent(P_ghZ, P_WPlus, P_Z, P_ghWpAnti, 1292, check)
    call createCurrent(P_WQPlus, P_Z, P_A, P_WQMinus, 2112, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWp, P_GMinus, 4465, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 4782, check)
    call createCurrent(P_WQPlus, P_Z, P_ghZ, P_ghWpAnti, 817, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hh, P_ZQ, 4372, check)
    call createCurrent(P_HlQ, P_Hh, P_Hh, P_HlQ, 4310, check)
    call createCurrent(P_AQ, P_Hl, P_GMinus, P_WQPlus, 1719, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghA, P_WMinus, 939, check)
    call createCurrent(P_ghZ, P_GMinus, P_Hh, P_ghWmAnti, 1561, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_GQ0, 1129, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GPlus, P_GQMinus, 1167, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_HhQ, 3776, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 3962, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 534, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWp, P_ghZAnti, 2198, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hh, 3290, check)
    call createCurrent(P_WQPlus, P_Z, P_Hl, P_GQMinus, 834, check)
    call createCurrent(P_sAnti, P_s, P_A, 1359, check)
    call createCurrent(P_ghZ, P_Hl, P_GPlus, P_ghWpAnti, 2337, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZ, P_ghZAnti, 2367, check)
    call createCurrent(P_GQMinus, P_Z, P_Hh, P_WQPlus, 2456, check)
    call createCurrent(P_WQPlus, P_A, P_ghWpAnti, P_ghA, 69, check)
    call createCurrent(P_HlQ, P_A, P_GPlus, P_WQMinus, 1352, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_G0, 4740, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWmAnti, P_GMinus, 4058, check)
    call createCurrent(P_HhQ, P_A, P_GMinus, P_WQPlus, 3074, check)
    call createCurrent(P_Z, P_WMinus, P_ghZ, P_ghWmAnti, 3080, check)
    call createCurrent(P_u, P_uAnti, P_GQ0, 800, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 4773, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GQMinus, 3150, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 1883, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_G0, P_ghWp, 3695, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_HlQ, 2579, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, 2137, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_Hl, 4313, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 431, check)
    call createCurrent(P_g, P_sAnti, P_s, 1540, check)
    call createCurrent(P_WQPlus, P_Hl, P_GQMinus, 889, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_A, P_ghA, 3570, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 1288, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 1448, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 4498, check)
    call createCurrent(P_sAnti, P_G0, P_s, 4080, check)
    call createCurrent(P_WMinus, P_ghA, P_WPlus, P_ghAAnti, 3785, check)
    call createCurrent(P_AQ, P_WMinus, P_ghAAnti, P_ghWp, 1224, check)
    call createCurrent(P_WQPlus, P_A, P_GMinus, P_HhQ, 2177, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_GMinus, 97, check)
    call createCurrent(P_g, P_g, P_ghG, P_ghGAnti, 2740, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_A, P_WQMinus, 1839, check)
    call createCurrent(P_GPlus, P_Hl, P_ghAAnti, P_ghWm, 3067, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1722, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghA, P_GPlus, 1623, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_GQ0, 1264, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hh, 5237, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_G0, 1079, check)
    call createCurrent(P_A, P_WPlus, P_ghWpAnti, P_ghA, 888, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 3278, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 232, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WQMinus, 935, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghZ, 4200, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Hh, P_ghWm, 160, check)
    call createCurrent(P_cAnti, P_c, P_g, 531, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 915, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWmAnti, P_ghA, 4743, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GPlus, 2934, check)
    call createCurrent(P_dAnti, P_Hh, P_d, 451, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_Hh, 2434, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 677, check)
    call createCurrent(P_ghWm, P_G0, P_ghZAnti, P_GPlus, 4805, check)
    call createCurrent(P_bAnti, P_b, P_GQ0, 550, check)
    call createCurrent(P_HhQ, P_Z, P_GMinus, P_WQPlus, 2475, check)
    call createCurrent(P_t, P_tAnti, P_HhQ, 3662, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_ZQ, 4401, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 5227, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HhQ, 1249, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hh, P_GMinus, 1208, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_ZQ, 4621, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_HhQ, 1472, check)
    call createCurrent(P_AQ, P_ghWm, P_A, P_ghWmAnti, 4802, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GQPlus, 3268, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_GMinus, P_ghZ, 1054, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hl, 5160, check)
    call createCurrent(P_GQ0, P_WPlus, P_A, P_GQMinus, 2339, check)
    call createCurrent(P_GQ0, P_Hh, P_Hh, P_GQ0, 565, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_HhQ, 4867, check)
    call createCurrent(P_ghWm, P_G0, P_ghZAnti, P_GQPlus, 4831, check)
    call createCurrent(P_WQPlus, P_GPlus, P_GMinus, P_WQMinus, 3647, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WQPlus, 571, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghA, P_GQPlus, 2090, check)
    call createCurrent(P_GPlus, P_Hl, P_Hh, P_GMinus, 4147, check)
    call createCurrent(P_ZQ, P_Hh, P_GQ0, 1155, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_GMinus, 2390, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_Hh, P_ghZ, 4052, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hh, P_AQ, 3119, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZ, P_ghAAnti, 264, check)
    call createCurrent(P_Hl, P_ghWp, P_Hl, P_ghWpAnti, 305, check)
    call createCurrent(P_WPlus, P_ghWp, P_WMinus, P_ghWpAnti, 24, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 3853, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_GMinus, 3559, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hl, 5145, check)
    call createCurrent(P_cAnti, P_c, P_Z, 3228, check)
    call createCurrent(P_GPlus, P_ghA, P_Hh, P_ghWpAnti, 3745, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_Z, P_ghA, 934, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Hl, 2377, check)
    call createCurrent(P_ghWm, P_A, P_A, P_ghWmAnti, 1631, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hh, P_ghA, 1568, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 2226, check)
    call createCurrent(P_G0, P_GPlus, P_ghAAnti, P_ghWm, 4639, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 4129, check)
    call createCurrent(P_ZQ, P_muMinus, P_muPlus, 4821, check)
    call createCurrent(P_ghWm, P_Hl, P_ghZAnti, P_GQPlus, 1396, check)
    call createCurrent(P_ZQ, P_Hh, P_Hh, P_ZQ, 101, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_GQMinus, 3850, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghZAnti, 1557, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghZAnti, 3209, check)
    call createCurrent(P_AQ, P_GMinus, P_Z, P_GQPlus, 2262, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_Z, 3580, check)
    call createCurrent(P_gQ, P_sAnti, P_s, 2218, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 5209, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Z, P_WMinus, 3298, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 2122, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_G0, P_ghWm, 4150, check)
    call createCurrent(P_AQ, P_GMinus, P_G0, P_WQPlus, 3803, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_HhQ, 4261, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_Hh, 4276, check)
    call createCurrent(P_AQ, P_A, P_ghWpAnti, P_ghWp, 2591, check)
    call createCurrent(P_A, P_Z, P_ghWmAnti, P_ghWm, 4834, check)
    call createCurrent(P_WQMinus, P_ghWpAnti, P_WPlus, P_ghWp, 3288, check)
    call createCurrent(P_ghWp, P_A, P_Z, P_ghWpAnti, 1773, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Hh, 803, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 1257, check)
    call createCurrent(P_g, P_g, P_g, P_A, 5150, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_GQMinus, 862, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Hh, 4797, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 3196, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 4661, check)
    call createCurrent(P_Z, P_Hl, P_GMinus, P_WPlus, 3974, check)
    call createCurrent(P_u, P_Hl, P_uAnti, 1529, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_Z, 4530, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_Z, P_ghWm, 4510, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, P_Z, 980, check)
    call createCurrent(P_ZQ, P_G0, P_HhQ, 163, check)
    call createCurrent(P_GQPlus, P_WMinus, P_HlQ, 2373, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 2576, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 4970, check)
    call createCurrent(P_ghA, P_A, P_WPlus, P_ghWpAnti, 1825, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_G0, 2977, check)
    call createCurrent(P_Hh, P_WPlus, P_Hl, P_WMinus, 393, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_Z, 2307, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghZ, P_WPlus, 3811, check)
    call createCurrent(P_b, P_bAnti, P_A, 3991, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghAAnti, 3156, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 770, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_A, 2874, check)
    call createCurrent(P_ZQ, P_Z, P_WMinus, P_WQPlus, 1235, check)
    call createCurrent(P_Z, P_A, P_ghWmAnti, P_ghWm, 4071, check)
    call createCurrent(P_GPlus, P_G0, P_ghAAnti, P_ghWm, 977, check)
    call createCurrent(P_A, P_Z, P_Hl, 5100, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 1758, check)
    call createCurrent(P_GQPlus, P_G0, P_WQMinus, 563, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hh, 3947, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GQ0, 1852, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_HhQ, 1170, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, 3800, check)
    call createCurrent(P_ZQ, P_G0, P_WMinus, P_GQPlus, 2279, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghAAnti, P_ghZ, 2516, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 3874, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hl, 4995, check)
    call createCurrent(P_HlQ, P_G0, P_G0, P_HhQ, 114, check)
    call createCurrent(P_A, P_G0, 5038, check)
    call createCurrent(P_Hh, P_G0, P_Z, 4128, check)
    call createCurrent(P_AQ, P_uAnti, P_u, 4353, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WQMinus, 1202, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 1072, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_Z, 121, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 4921, check)
    call createCurrent(P_GQ0, P_WPlus, P_WMinus, P_GQ0, 1594, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_G0, 4542, check)
    call createCurrent(P_HlQ, P_Z, P_ZQ, 1554, check)
    call createCurrent(P_ghWm, P_Hl, P_GPlus, P_ghAAnti, 4325, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_ZQ, 3814, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_HlQ, 2952, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1351, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_GQ0, 1496, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 1420, check)
    call createCurrent(P_AQ, P_ghWp, P_A, P_ghWpAnti, 1195, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_GMinus, 3513, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_A, P_ghWp, 4975, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_ZQ, 2359, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_Hh, 2886, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 1615, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hh, 5040, check)
    call createCurrent(P_HhQ, P_Z, P_Hh, P_ZQ, 1299, check)
    call createCurrent(P_ghZAnti, P_G0, P_G0, P_ghZ, 4144, check)
    call createCurrent(P_WMinus, P_A, P_ghAAnti, P_ghWp, 119, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GMinus, 1626, check)
    call createCurrent(P_GQMinus, P_Hl, P_WPlus, P_AQ, 1685, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WQPlus, 111, check)
    call createCurrent(P_ZQ, P_tauMinus, P_tauPlus, 4088, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GQMinus, 469, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 4560, check)
    call createCurrent(P_A, P_A, P_ghWpAnti, P_ghWp, 658, check)
    call createCurrent(P_WMinus, P_ghA, P_ghAAnti, P_WPlus, 4870, check)
    call createCurrent(P_GQ0, P_WMinus, P_Hl, P_WQPlus, 1796, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WPlus, 1706, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_WPlus, P_ghWm, 325, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_G0, 1739, check)
    call createCurrent(P_g, P_g, P_g, P_g, 1247, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghWmAnti, P_GMinus, 4913, check)
    call createCurrent(P_Hl, P_Hl, P_ghWmAnti, P_ghWm, 520, check)
    call createCurrent(P_A, P_Hh, P_GPlus, P_WMinus, 2853, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 768, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hl, 1576, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_Hl, P_ghWp, 813, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_Hl, P_ghWp, 1457, check)
    call createCurrent(P_HhQ, P_A, P_WPlus, P_GQMinus, 4431, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WQPlus, 736, check)
    call createCurrent(P_ghWp, P_GMinus, P_Hh, P_ghAAnti, 3672, check)
    call createCurrent(P_GMinus, P_ghA, P_GPlus, P_ghAAnti, 1582, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 707, check)
    call createCurrent(P_HlQ, P_G0, P_WMinus, P_WQPlus, 136, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_Hh, 2577, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghZAnti, P_ghWm, 3126, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghWpAnti, P_WPlus, 3840, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 1441, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_G0, P_ghA, 1730, check)
    call createCurrent(P_GQPlus, P_Hl, P_WQMinus, 171, check)
    call createCurrent(P_HlQ, P_u, P_uAnti, 4499, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 2169, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_Hh, 2484, check)
    call createCurrent(P_ePlus, P_eMinus, P_GQ0, 1633, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hh, 466, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 1271, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 3439, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 154, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_G0, P_GMinus, 3743, check)
    call createCurrent(P_WQMinus, P_G0, P_G0, P_WQPlus, 2285, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_HhQ, 2542, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 3397, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hh, 3155, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 4318, check)
    call createCurrent(P_Hl, P_c, P_cAnti, 974, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_AQ, 1505, check)
    call createCurrent(P_u, P_Hh, P_uAnti, 4906, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hl, 2025, check)
    call createCurrent(P_b, P_bAnti, P_gQ, 4793, check)
    call createCurrent(P_b, P_bAnti, P_Hl, 78, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hl, P_AQ, 1036, check)
    call createCurrent(P_c, P_G0, P_cAnti, 3348, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, P_Z, 885, check)
    call createCurrent(P_ghWp, P_GMinus, P_Hl, P_ghAAnti, 2535, check)
    call createCurrent(P_bAnti, P_b, P_HhQ, 4865, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_GQ0, 4377, check)
    call createCurrent(P_gQ, P_b, P_bAnti, 3831, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 979, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_G0, P_ghWp, 748, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_Z, 502, check)
    call createCurrent(P_GPlus, P_Hh, P_A, P_WMinus, 2713, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghZ, 3694, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 3017, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, P_Hh, 23, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 5255, check)
    call createCurrent(P_G0, P_G0, P_ghZ, P_ghZAnti, 2616, check)
    call createCurrent(P_ghWp, P_WMinus, P_A, P_ghAAnti, 1501, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghZAnti, P_GQMinus, 1290, check)
    call createCurrent(P_AQ, P_Z, P_ghWpAnti, P_ghWp, 1638, check)
    call createCurrent(P_WQMinus, P_ghA, P_ghWmAnti, 3118, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 57, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghA, P_GPlus, 1239, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_GQ0, 3685, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_HlQ, 285, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 4125, check)
    call createCurrent(P_GMinus, P_ghZ, P_Hl, P_ghWmAnti, 3110, check)
    call createCurrent(P_Hh, P_ghZ, P_Hh, P_ghZAnti, 3419, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghAAnti, 903, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_Z, 1075, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghAAnti, 2846, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 5222, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_ZQ, 419, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_GMinus, P_ghA, 1006, check)
    call createCurrent(P_G0, P_t, P_tAnti, 634, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghA, 1120, check)
    call createCurrent(P_WQPlus, P_nu_eAnti, P_eMinus, 2040, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWpAnti, P_ghWp, 3264, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_G0, 1033, check)
    call createCurrent(P_tAnti, P_Hl, P_t, 3703, check)
    call createCurrent(P_Hl, P_ghWp, P_GMinus, P_ghZAnti, 2887, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWpAnti, P_ghZ, 4595, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 3618, check)
    call createCurrent(P_WQPlus, P_Z, P_WMinus, P_AQ, 2286, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WPlus, P_WMinus, 4483, check)
    call createCurrent(P_A, P_ghWmAnti, P_WMinus, P_ghZ, 3644, check)
    call createCurrent(P_A, P_ghWpAnti, P_WPlus, P_ghA, 2684, check)
    call createCurrent(P_bAnti, P_g, P_b, 4209, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_Hl, 839, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Z, P_HlQ, 4389, check)
    call createCurrent(P_HhQ, P_WPlus, P_Z, P_GQMinus, 1449, check)
    call createCurrent(P_ghZ, P_A, P_ghWpAnti, P_WPlus, 1932, check)
    call createCurrent(P_GQMinus, P_WPlus, P_HlQ, 1333, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWm, P_ghWpAnti, 1502, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, P_Z, 2632, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 2497, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 3413, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_ZQ, 3907, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 3259, check)
    call createCurrent(P_tAnti, P_t, P_AQ, 25, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 4312, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghWpAnti, P_ghZ, 4965, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 1361, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWm, P_GPlus, 3833, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghA, P_GMinus, 1655, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 1218, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_AQ, 1672, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWm, P_GPlus, 3314, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, 1389, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_HhQ, 2998, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hh, P_HlQ, 3731, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_Hh, 1801, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WPlus, P_WMinus, 542, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_A, P_ghA, 29, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 727, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, 221, check)
    call createCurrent(P_GQMinus, P_tauPlus, P_nu_tau, 4245, check)
    call createCurrent(P_HlQ, P_tAnti, P_t, 164, check)
    call createCurrent(P_GQ0, P_ePlus, P_eMinus, 2813, check)
    call createCurrent(P_d, P_dAnti, P_G0, 1562, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, P_G0, 2540, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_GPlus, P_ghWm, 2737, check)
    call createCurrent(P_Z, P_ghAAnti, P_WPlus, P_ghWm, 83, check)
    call createCurrent(P_ZQ, P_ghWp, P_WMinus, P_ghAAnti, 4926, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_G0, 914, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, 1183, check)
    call createCurrent(P_gQ, P_d, P_dAnti, 4093, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GPlus, 1415, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 4008, check)
    call createCurrent(P_G0, P_Hl, P_A, 5006, check)
    call createCurrent(P_A, P_Hl, P_Z, 4987, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 2033, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hl, 2081, check)
    call createCurrent(P_GQ0, P_uAnti, P_u, 3999, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_Hl, 2491, check)
    call createCurrent(P_HlQ, P_sAnti, P_s, 2884, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 5190, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 3253, check)
    call createCurrent(P_HlQ, P_Hl, P_ghZAnti, P_ghZ, 2756, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZ, P_ghWmAnti, 368, check)
    call createCurrent(P_sAnti, P_s, P_HlQ, 4509, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 1160, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghAAnti, P_GQMinus, 2693, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWmAnti, P_ghZ, 3922, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghZ, P_GQMinus, 2823, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hl, 3925, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 2749, check)
    call createCurrent(P_tauMinus, P_Hl, P_tauPlus, 3222, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 3889, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 1912, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 2379, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghAAnti, 1237, check)
    call createCurrent(P_HlQ, P_G0, P_G0, P_HlQ, 1469, check)
    call createCurrent(P_ghWmAnti, P_A, P_WMinus, P_ghA, 225, check)
    call createCurrent(P_bAnti, P_b, P_Hh, 1414, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, P_Z, 4186, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_ghWp, 4842, check)
    call createCurrent(P_ghWm, P_A, P_WPlus, P_ghZAnti, 1147, check)
    call createCurrent(P_HhQ, P_GPlus, P_WMinus, P_ZQ, 21, check)
    call createCurrent(P_Hl, P_ghZAnti, P_Hl, P_ghZ, 1322, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 5167, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1821, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Hh, 4741, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghAAnti, 4461, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 969, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 518, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, P_Z, 4692, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 5229, check)
    call createCurrent(P_GPlus, P_Z, P_Hh, P_WMinus, 4501, check)
    call createCurrent(P_ghZAnti, P_Hl, P_GMinus, P_ghWp, 954, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WPlus, 4421, check)
    call createCurrent(P_G0, P_ghA, P_ghWpAnti, P_GPlus, 3403, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_Hl, 3211, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_WPlus, P_ghA, 1203, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_GPlus, P_ghWm, 1192, check)
    call createCurrent(P_d, P_Hh, P_dAnti, 3287, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_HhQ, 2221, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_ZQ, 180, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, P_Z, 4053, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 1694, check)
    call createCurrent(P_ZQ, P_A, P_ghWm, P_ghWmAnti, 4889, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_A, 5262, check)
    call createCurrent(P_Hh, P_Hh, P_ghWmAnti, P_ghWm, 100, check)
    call createCurrent(P_ZQ, P_Hh, P_Z, P_HhQ, 1727, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hl, 5154, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_GPlus, 4230, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 5158, check)
    call createCurrent(P_GMinus, P_GPlus, 5059, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghZAnti, P_GPlus, 3049, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HhQ, 4963, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 3213, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 1820, check)
    call createCurrent(P_WPlus, P_Z, P_ghWpAnti, P_ghA, 860, check)
    call createCurrent(P_GQ0, P_G0, P_WPlus, P_WQMinus, 833, check)
    call createCurrent(P_A, P_ghA, P_ghWmAnti, P_WMinus, 2925, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 3700, check)
    call createCurrent(P_GQMinus, P_Z, P_GQPlus, 4778, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghZAnti, P_ghWm, 1223, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_A, 4757, check)
    call createCurrent(P_Hl, P_ghZ, P_ghZAnti, 3576, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZAnti, P_ghZ, 1174, check)
    call createCurrent(P_GQPlus, P_Z, P_G0, P_WQMinus, 2566, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghZ, 107, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 2739, check)
    call createCurrent(P_AQ, P_WMinus, P_ghZAnti, P_ghWp, 2001, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1551, check)
    call createCurrent(P_GQ0, P_G0, P_ghWmAnti, P_ghWm, 4956, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, 1274, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hh, 3636, check)
    call createCurrent(P_Z, P_ghWmAnti, P_Z, P_ghWm, 2058, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_GPlus, 3929, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_GMinus, 1997, check)
    call createCurrent(P_Hl, P_Z, P_A, P_Hh, 4983, check)
    call createCurrent(P_Hh, P_GPlus, P_ghA, P_ghWpAnti, 3061, check)
    call createCurrent(P_Z, P_ghA, P_ghWpAnti, P_WPlus, 953, check)
    call createCurrent(P_ghZAnti, P_A, P_WPlus, P_ghWm, 312, check)
    call createCurrent(P_g, P_A, P_g, P_A, 5236, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_HhQ, 1948, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 372, check)
    call createCurrent(P_ghAAnti, P_Z, P_WMinus, P_ghWp, 3933, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_GMinus, P_ghZ, 2692, check)
    call createCurrent(P_ghWm, P_WMinus, P_ghWmAnti, P_WPlus, 1665, check)
    call createCurrent(P_Z, P_Z, P_Hh, 4754, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Hl, P_ghWm, 4117, check)
    call createCurrent(P_Hh, P_ghWp, P_Hl, P_ghWpAnti, 1558, check)
    call createCurrent(P_cAnti, P_c, P_A, 3732, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 369, check)
    call createCurrent(P_GPlus, P_ghWm, P_GMinus, P_ghWmAnti, 2829, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWp, P_ghZAnti, 2675, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_Z, P_ghA, 3040, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 3216, check)
    call createCurrent(P_Hh, P_WMinus, P_Hh, P_WPlus, 2602, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GQPlus, 682, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 1790, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 1895, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 5163, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_WPlus, P_ghA, 4553, check)
    call createCurrent(P_A, P_A, P_A, P_A, 5151, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 2243, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_Z, 1697, check)
    call createCurrent(P_AQ, P_b, P_bAnti, 3329, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 2817, check)
    call createCurrent(P_s, P_A, P_sAnti, 2060, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_AQ, 3721, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_HhQ, 1473, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Hh, 1297, check)
    call createCurrent(P_s, P_cAnti, P_WQPlus, 2315, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghZAnti, 1018, check)
    call createCurrent(P_Z, P_ghWpAnti, P_A, P_ghWp, 1090, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_ghWp, 2825, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_G0, 689, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghA, 3983, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hh, P_ZQ, 3980, check)
    call createCurrent(P_GQ0, P_b, P_bAnti, 4384, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWp, P_GMinus, 2241, check)
    call createCurrent(P_GPlus, P_Hh, P_ghZAnti, P_ghWm, 1451, check)
    call createCurrent(P_g, P_A, P_A, P_g, 5135, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hl, 1406, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_Hh, P_ghWp, 3172, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hh, 2775, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghWm, P_ghZAnti, 2811, check)
    call createCurrent(P_ghAAnti, P_Z, P_ghWp, P_WMinus, 1107, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WPlus, 3114, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 2662, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghZ, 2009, check)
    call createCurrent(P_GQPlus, P_WMinus, P_ZQ, 523, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hh, 851, check)
    call createCurrent(P_t, P_tAnti, 5083, check)
    call createCurrent(P_Hl, P_GMinus, P_ghZ, P_ghWmAnti, 3201, check)
    call createCurrent(P_Hh, P_Z, P_GMinus, P_WPlus, 3718, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_ghWp, 4962, check)
    call createCurrent(P_WQPlus, P_ghA, P_Z, P_ghWpAnti, 3810, check)
    call createCurrent(P_HlQ, P_GPlus, P_A, P_WQMinus, 503, check)
    call createCurrent(P_eMinus, P_ePlus, P_AQ, 4718, check)
    call createCurrent(P_HhQ, P_Hl, P_ghWpAnti, P_ghWp, 4839, check)
    call createCurrent(P_Z, P_ghAAnti, P_WMinus, P_ghWp, 3178, check)
    call createCurrent(P_ZQ, P_nu_tauAnti, P_nu_tau, 3896, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_Z, 1785, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WPlus, P_WMinus, 2411, check)
    call createCurrent(P_WQMinus, P_Hl, P_WPlus, P_HhQ, 3338, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_HhQ, 2188, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_GQ0, 355, check)
    call createCurrent(P_Hl, P_ghWm, P_GPlus, P_ghZAnti, 4932, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_AQ, 2284, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_GMinus, 1188, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghA, 1915, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HhQ, 223, check)
    call createCurrent(P_Hl, P_WMinus, P_Hh, P_WPlus, 1175, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hh, P_ghZ, 4935, check)
    call createCurrent(P_GQMinus, P_Hh, P_WQPlus, 1356, check)
    call createCurrent(P_WQMinus, P_ghWp, P_ghZAnti, 1106, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_ZQ, 3390, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, P_Hl, 1421, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WQMinus, 1433, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hl, P_ghZAnti, 507, check)
    call createCurrent(P_ZQ, P_G0, P_GPlus, P_WQMinus, 1022, check)
    call createCurrent(P_HlQ, P_ghWp, P_GMinus, P_ghAAnti, 4304, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghAAnti, P_ghWm, 1600, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 1471, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 5097, check)
    call createCurrent(P_dAnti, P_Hl, P_d, 2019, check)
    call createCurrent(P_uAnti, P_u, P_A, 2603, check)
    call createCurrent(P_tAnti, P_G0, P_t, 4628, check)
    call createCurrent(P_HlQ, P_WPlus, P_Z, P_GQMinus, 1510, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_Z, 2354, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, P_Z, 4684, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_Hl, 4665, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 3952, check)
    call createCurrent(P_ghWpAnti, P_A, P_WPlus, P_ghA, 415, check)
    call createCurrent(P_AQ, P_WMinus, P_WPlus, P_ZQ, 2134, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 3762, check)
    call createCurrent(P_HhQ, P_A, P_WMinus, P_GQPlus, 439, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 4536, check)
    call createCurrent(P_AQ, P_WPlus, P_Hh, P_GQMinus, 501, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hh, 1087, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_ghZ, 2605, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1939, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, P_Z, 93, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_HlQ, 775, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GMinus, P_GPlus, 1063, check)
    call createCurrent(P_Hh, P_Hh, 5007, check)
    call createCurrent(P_ghWp, P_WMinus, P_A, P_ghZAnti, 3956, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 3293, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Z, P_WMinus, 1388, check)
    call createCurrent(P_HlQ, P_GPlus, P_GQMinus, 1196, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 2932, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, P_Z, 2318, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_Z, 3708, check)
    call createCurrent(P_GQ0, P_Z, P_WPlus, P_GQMinus, 1270, check)
    call createCurrent(P_WMinus, P_Hh, P_Z, P_GPlus, 2963, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, 1162, check)
    call createCurrent(P_Hl, P_A, P_GPlus, P_WMinus, 50, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_Hh, 3286, check)
    call createCurrent(P_HhQ, P_WPlus, P_GQMinus, 2650, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 4598, check)
    call createCurrent(P_GQPlus, P_Hh, P_WMinus, P_AQ, 611, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_GQ0, 4133, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 1763, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 153, check)
    call createCurrent(P_AQ, P_WMinus, P_ghWp, P_ghAAnti, 498, check)
    call createCurrent(P_b, P_bAnti, P_g, 960, check)
    call createCurrent(P_ghZAnti, P_ghA, P_WMinus, P_WQPlus, 2741, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 4303, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 3208, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_G0, P_GMinus, 182, check)
    call createCurrent(P_gQ, P_s, P_sAnti, 4780, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_GPlus, 4021, check)
    call createCurrent(P_A, P_ghZ, P_ghWmAnti, P_WMinus, 4346, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 4640, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghAAnti, 4457, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_GQ0, 3303, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZAnti, P_ghZ, 3870, check)
    call createCurrent(P_GQ0, P_Z, P_HhQ, 1647, check)
    call createCurrent(P_G0, P_GMinus, P_ghAAnti, P_ghWp, 3577, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ZQ, 4337, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hl, 4177, check)
    call createCurrent(P_ghZ, P_GPlus, P_GMinus, P_ghAAnti, 4541, check)
    call createCurrent(P_ZQ, P_s, P_sAnti, 1806, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 1088, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 4016, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 2893, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WQMinus, 4681, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_Z, 3077, check)
    call createCurrent(P_Hl, P_WPlus, P_Hh, P_WMinus, 2766, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_AQ, 2696, check)
    call createCurrent(P_WQMinus, P_A, P_ghA, P_ghWmAnti, 1732, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghA, 2530, check)
    call createCurrent(P_GQ0, P_G0, P_ghZ, P_ghZAnti, 299, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WPlus, 926, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GMinus, P_GPlus, 4146, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWmAnti, P_ghWp, 858, check)
    call createCurrent(P_ghWm, P_WPlus, P_Z, P_ghZAnti, 2732, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghZ, P_ghWpAnti, 509, check)
    call createCurrent(P_Hh, P_GMinus, P_ghZ, P_ghWmAnti, 2852, check)
    call createCurrent(P_Hh, P_ghWm, P_ghZAnti, P_GPlus, 925, check)
    call createCurrent(P_sAnti, P_Z, P_s, 2208, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 3949, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_A, P_WQPlus, 2707, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 5000, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_G0, 2459, check)
    call createCurrent(P_AQ, P_cAnti, P_c, 4605, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_ZQ, 3038, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 1800, check)
    call createCurrent(P_WPlus, P_ghZ, P_Z, P_ghWpAnti, 688, check)
    call createCurrent(P_b, P_tAnti, P_WQPlus, 1668, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghZ, 4467, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghA, P_GPlus, 2077, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hh, P_AQ, 1460, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 3716, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_G0, 3446, check)
    call createCurrent(P_GPlus, P_ghA, P_G0, P_ghWpAnti, 4333, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GQPlus, 3127, check)
    call createCurrent(P_WPlus, P_Z, P_Hh, P_GMinus, 2164, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GQPlus, 638, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GPlus, P_GQMinus, 3218, check)
    call createCurrent(P_ZQ, P_GPlus, P_GQMinus, 2796, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 4922, check)
    call createCurrent(P_GQ0, P_u, P_uAnti, 3875, check)
    call createCurrent(P_Hh, P_GPlus, P_ghZAnti, P_ghWm, 4004, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_G0, 1945, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 681, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WMinus, P_WQPlus, 4824, check)
    call createCurrent(P_G0, P_ghWmAnti, P_G0, P_ghWm, 3398, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_ghWm, 2802, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WQPlus, 4257, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_GPlus, 2287, check)
    call createCurrent(P_dAnti, P_A, P_d, 704, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_A, 3133, check)
    call createCurrent(P_tAnti, P_A, P_t, 3561, check)
    call createCurrent(P_GQ0, P_WPlus, P_Hh, P_WQMinus, 4070, check)
    call createCurrent(P_WQMinus, P_Z, P_ghWmAnti, P_ghA, 4751, check)
    call createCurrent(P_GPlus, P_WMinus, 4988, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1115, check)
    call createCurrent(P_WQMinus, P_WMinus, P_WPlus, P_WQPlus, 1095, check)
    call createCurrent(P_GQ0, P_Hl, P_G0, P_HlQ, 3905, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, P_Z, 3188, check)
    call createCurrent(P_HlQ, P_eMinus, P_ePlus, 734, check)
    call createCurrent(P_Hl, P_ghA, P_GPlus, P_ghWpAnti, 1827, check)
    call createCurrent(P_A, P_ghAAnti, P_WPlus, P_ghWm, 2537, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 5196, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghZAnti, 3023, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_ZQ, 3515, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_HlQ, 3740, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 3663, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghZ, P_HlQ, 3897, check)
    call createCurrent(P_G0, P_ghZAnti, P_GMinus, P_ghWp, 2863, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 2404, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghA, P_WMinus, 2097, check)
    call createCurrent(P_WQPlus, P_A, P_Z, P_WQMinus, 544, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWm, P_GPlus, 1744, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_G0, 4170, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, P_Hh, 486, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, P_HlQ, 1220, check)
    call createCurrent(P_G0, P_G0, P_Hl, 2264, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWp, P_WMinus, 4531, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_Hh, 3723, check)
    call createCurrent(P_GQMinus, P_Z, P_A, P_GQPlus, 2004, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghZ, P_WPlus, 3603, check)
    call createCurrent(P_ghWpAnti, P_G0, P_G0, P_ghWp, 1776, check)
    call createCurrent(P_GQ0, P_ghWm, P_ghWmAnti, 570, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_Hh, 256, check)
    call createCurrent(P_ghA, P_ghAAnti, P_WMinus, P_WQPlus, 1149, check)
    call createCurrent(P_ghWm, P_GMinus, P_GPlus, P_ghWmAnti, 4677, check)
    call createCurrent(P_WMinus, P_ghA, P_A, P_ghWmAnti, 3043, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghA, P_GPlus, 2676, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_A, P_WMinus, 4619, check)
    call createCurrent(P_ghAAnti, P_Hl, P_ghWp, P_GMinus, 636, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_Hl, 718, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_AQ, 463, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghA, 3979, check)
    call createCurrent(P_ZQ, P_G0, P_HlQ, 1698, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_WMinus, P_ghWp, 2240, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 4693, check)
    call createCurrent(P_GQMinus, P_G0, P_WQPlus, 3302, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghWp, P_ghZAnti, 3959, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WMinus, P_WQPlus, 1516, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 5005, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_GMinus, P_ghA, 3551, check)
    call createCurrent(P_WQMinus, P_GPlus, P_GMinus, P_WQPlus, 1206, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hh, 1936, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWp, P_ghZAnti, 2138, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 5219, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_G0, 1136, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_Hl, 617, check)
    call createCurrent(P_A, P_ghWm, P_WPlus, P_ghZAnti, 1693, check)
    call createCurrent(P_u, P_uAnti, P_HlQ, 4015, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 3704, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_ZQ, 4238, check)
    call createCurrent(P_Hl, P_A, P_GMinus, P_WPlus, 2376, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 2402, check)
    call createCurrent(P_uAnti, P_u, P_Z, 4758, check)
    call createCurrent(P_GQMinus, P_Hh, P_GQPlus, 2398, check)
    call createCurrent(P_WQMinus, P_GPlus, P_HhQ, 4171, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_GQ0, 2754, check)
    call createCurrent(P_WQMinus, P_sAnti, P_c, 1966, check)
    call createCurrent(P_G0, P_ghWm, P_GPlus, P_ghAAnti, 1432, check)
    call createCurrent(P_ghWp, P_Hh, P_GMinus, P_ghZAnti, 3104, check)
    call createCurrent(P_Z, P_ghZAnti, P_ghWm, P_WPlus, 1332, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_GQ0, 4719, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WQMinus, 1173, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 1893, check)
    call createCurrent(P_HlQ, P_G0, P_ghWpAnti, P_ghWp, 4148, check)
    call createCurrent(P_WPlus, P_Hl, P_Hh, P_WMinus, 2700, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 515, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWm, P_WPlus, 1041, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghZAnti, 2637, check)
    call createCurrent(P_GQMinus, P_ghWp, P_ghZAnti, 3780, check)
    call createCurrent(P_ZQ, P_nu_muAnti, P_nu_mu, 4679, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GQMinus, 99, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghA, 1114, check)
    call createCurrent(P_G0, P_GPlus, P_ghZ, P_ghWpAnti, 619, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 651, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, 98, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_GMinus, 4627, check)
    call createCurrent(P_HhQ, P_WPlus, P_Hh, P_WQMinus, 4582, check)
    call createCurrent(P_GQ0, P_Z, P_GMinus, P_WQPlus, 282, check)
    call createCurrent(P_GQ0, P_A, P_WPlus, P_GQMinus, 1734, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZAnti, P_ghWp, 424, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 0, check)
    call createCurrent(P_HhQ, P_WMinus, P_WQPlus, 3219, check)
    call createCurrent(P_dAnti, P_d, P_g, 1073, check)
    call createCurrent(P_A, P_A, P_ghWm, P_ghWmAnti, 3248, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZ, P_ghAAnti, 4508, check)
    call createCurrent(P_ghA, P_Hh, P_GMinus, P_ghWmAnti, 465, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghA, P_WPlus, 2485, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_G0, P_GQPlus, 4819, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HhQ, 2641, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWpAnti, P_ghWp, 2211, check)
    call createCurrent(P_HlQ, P_WPlus, P_WQMinus, 2394, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 2258, check)
    call createCurrent(P_ghAAnti, P_Z, P_ghWm, P_WPlus, 4524, check)
    call createCurrent(P_GQ0, P_Hh, P_ghWm, P_ghWmAnti, 4086, check)
    call createCurrent(P_Hl, P_ghWm, P_Hh, P_ghWmAnti, 2084, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_GPlus, 3471, check)
    call createCurrent(P_GMinus, P_Z, P_Hh, P_WPlus, 1232, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hh, P_ghZ, 527, check)
    call createCurrent(P_Hh, P_Hh, P_ghWm, P_ghWmAnti, 4470, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 2991, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_AQ, 2096, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 5166, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_GQ0, 4706, check)
    call createCurrent(P_G0, P_ghZAnti, P_G0, P_ghZ, 698, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_GPlus, 4165, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 3337, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 2923, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GMinus, P_ghWp, 2891, check)
    call createCurrent(P_gQ, P_dAnti, P_d, 3978, check)
    call createCurrent(P_A, P_GPlus, P_Hh, P_WMinus, 1937, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HlQ, 3845, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hl, 4916, check)
    call createCurrent(P_HhQ, P_Hh, P_HhQ, 2347, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WMinus, 521, check)
    call createCurrent(P_GMinus, P_ghA, P_G0, P_ghWmAnti, 982, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 3610, check)
    call createCurrent(P_Hl, P_sAnti, P_s, 202, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WQPlus, 2939, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 494, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_GQ0, 4344, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hl, P_GMinus, 2514, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WMinus, 4281, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_Hl, P_ghWp, 1938, check)
    call createCurrent(P_Hl, P_ghWm, P_ghWmAnti, P_Hh, 2316, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, 3177, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_A, 1379, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_G0, 2687, check)
    call createCurrent(P_ZQ, P_nu_mu, P_nu_muAnti, 4799, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghZ, 3816, check)
    call createCurrent(P_ghWmAnti, P_WPlus, P_ghWm, P_WMinus, 2680, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWm, P_GPlus, 3131, check)
    call createCurrent(P_GPlus, P_G0, P_ghWpAnti, P_ghZ, 4285, check)
    call createCurrent(P_Hh, P_sAnti, P_s, 302, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WQPlus, 1009, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_HhQ, 3562, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WQMinus, 2141, check)
    call createCurrent(P_A, P_ghA, P_WPlus, P_ghWpAnti, 4749, check)
    call createCurrent(P_Hl, P_ghZ, P_Hh, P_ghZAnti, 3964, check)
    call createCurrent(P_GQMinus, P_dAnti, P_u, 263, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 41, check)
    call createCurrent(P_Z, P_Z, P_ghWmAnti, P_ghWm, 170, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 5134, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_GQPlus, 2970, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_GQMinus, 1663, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1637, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWmAnti, P_ghZ, 1258, check)
    call createCurrent(P_WQMinus, P_ghZ, P_ghWmAnti, 847, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GMinus, 2037, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Z, P_ZQ, 2883, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghZ, 4241, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 4533, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 2369, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_HlQ, 3189, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 1690, check)
    call createCurrent(P_GQPlus, P_ghZ, P_GMinus, P_ghZAnti, 4240, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hh, P_GQPlus, 951, check)
    call createCurrent(P_tauMinus, P_Hh, P_tauPlus, 4775, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_HlQ, 1001, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hl, P_ZQ, 3252, check)
    call createCurrent(P_HhQ, P_WMinus, P_G0, P_WQPlus, 2564, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WPlus, 2292, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hh, 5107, check)
    call createCurrent(P_Hl, P_Hh, P_ghWmAnti, P_ghWm, 3450, check)
    call createCurrent(P_g, P_bAnti, P_b, 2093, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghAAnti, P_ghZ, 1284, check)
    call createCurrent(P_uAnti, P_u, P_HlQ, 2213, check)
    call createCurrent(P_WQMinus, P_WPlus, P_AQ, 3770, check)
    call createCurrent(P_ghZ, P_GPlus, P_G0, P_ghWpAnti, 4217, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghAAnti, P_ghA, 4454, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_G0, P_GPlus, 1929, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hh, P_GPlus, 205, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 166, check)
    call createCurrent(P_GQMinus, P_WPlus, P_GQ0, 3030, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_Z, 1789, check)
    call createCurrent(P_G0, P_ghWp, P_G0, P_ghWpAnti, 2242, check)
    call createCurrent(P_WQPlus, P_eMinus, P_nu_eAnti, 4123, check)
    call createCurrent(P_WQMinus, P_Hl, P_GPlus, P_ZQ, 2655, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 956, check)
    call createCurrent(P_ghWp, P_A, P_WMinus, P_ghAAnti, 1316, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_HlQ, 4486, check)
    call createCurrent(P_dAnti, P_d, P_HlQ, 3400, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hh, 1867, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghZ, 139, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghAAnti, P_GQPlus, 3239, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hh, 1180, check)
    call createCurrent(P_GPlus, P_G0, P_ghA, P_ghWpAnti, 3724, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 4005, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_A, 1269, check)
    call createCurrent(P_c, P_sAnti, P_WQMinus, 1840, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hh, P_ghZAnti, 1236, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, P_HlQ, 1048, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_Z, 2872, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 1043, check)
    call createCurrent(P_A, P_ghWpAnti, P_Z, P_ghWp, 898, check)
    call createCurrent(P_Hh, P_Hh, P_g, P_g, 5168, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1466, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_G0, 579, check)
    call createCurrent(P_GQMinus, P_Hh, P_WPlus, P_AQ, 4523, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_GMinus, P_ghWp, 522, check)
    call createCurrent(P_Z, P_WPlus, P_ghWm, P_ghAAnti, 1531, check)
    call createCurrent(P_dAnti, P_d, P_gQ, 1493, check)
    call createCurrent(P_ghA, P_WPlus, P_WMinus, P_ghZAnti, 4121, check)
    call createCurrent(P_d, P_dAnti, P_AQ, 1941, check)
    call createCurrent(P_bAnti, P_b, P_A, 791, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Hh, P_ghWp, 1784, check)
    call createCurrent(P_WQPlus, P_ghAAnti, P_ghWm, 4435, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_HhQ, 387, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghA, P_GQMinus, 2895, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_A, 4390, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GMinus, 3346, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_WPlus, P_WMinus, 1925, check)
    call createCurrent(P_GQ0, P_Hh, P_WPlus, P_WQMinus, 1093, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 1894, check)
    call createCurrent(P_Hl, P_ghAAnti, P_GMinus, P_ghWp, 4899, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hl, 3518, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_Hl, P_ghWm, 3234, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HhQ, 2340, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 1833, check)
    call createCurrent(P_ghZ, P_Hh, P_GMinus, P_ghWmAnti, 679, check)
    call createCurrent(P_WQMinus, P_A, P_WPlus, P_AQ, 3953, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 1599, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Hh, 929, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghA, P_GMinus, 217, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWm, P_ghWmAnti, 2384, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_ZQ, 3046, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 1423, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_Z, 4716, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 2724, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghZAnti, 3595, check)
    call createCurrent(P_GQ0, P_s, P_sAnti, 3454, check)
    call createCurrent(P_ZQ, P_Hl, P_WPlus, P_GQMinus, 2651, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghZAnti, 4339, check)
    call createCurrent(P_ghWp, P_WPlus, P_WMinus, P_ghWpAnti, 1070, check)
    call createCurrent(P_HlQ, P_Hh, P_GMinus, P_GQPlus, 2518, check)
    call createCurrent(P_Z, P_WPlus, P_ghA, P_ghWpAnti, 4973, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 1914, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, P_HlQ, 708, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WQMinus, 10, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GQPlus, 865, check)
    call createCurrent(P_G0, P_G0, P_ghZAnti, P_ghZ, 4862, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 3217, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_HlQ, 1906, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WMinus, 4535, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GMinus, 2793, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 3707, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 3812, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_A, P_ghZ, 1182, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hl, P_ZQ, 416, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_Hl, 2625, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WQMinus, 4540, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GQMinus, 4624, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HhQ, 4477, check)
    call createCurrent(P_HhQ, P_G0, P_Hl, P_GQ0, 2362, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_WMinus, P_ghA, 4167, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, P_g, 342, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghA, 3748, check)
    call createCurrent(P_HhQ, P_Hl, P_Hl, P_HlQ, 1566, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_HhQ, 1186, check)
    call createCurrent(P_GQ0, P_GPlus, P_G0, P_GQMinus, 1238, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 4349, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 4286, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_GPlus, P_ghWp, 266, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hh, 5115, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghWp, P_ghWpAnti, 1826, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 4610, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_G0, 1695, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_GMinus, 850, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_Hh, P_ghWp, 76, check)
    call createCurrent(P_HhQ, P_Hl, P_WPlus, P_WQMinus, 2727, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WMinus, 4185, check)
    call createCurrent(P_ghWmAnti, P_A, P_Z, P_ghWm, 112, check)
    call createCurrent(P_ghA, P_GPlus, P_ghZAnti, P_GQMinus, 1230, check)
    call createCurrent(P_G0, P_GMinus, P_ghWp, P_ghAAnti, 2618, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_HlQ, 587, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 1050, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZAnti, P_ghZ, 2818, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_Hh, 4428, check)
    call createCurrent(P_WQMinus, P_Z, P_Hh, P_GQPlus, 4111, check)
    call createCurrent(P_ghWm, P_Z, P_ghZAnti, P_WPlus, 2306, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1219, check)
    call createCurrent(P_HlQ, P_ghZ, P_GMinus, P_ghWmAnti, 4412, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_HlQ, 4189, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_GPlus, P_ghZ, 2452, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hl, 4996, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 5218, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hh, P_ghA, 788, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_G0, 1495, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_GMinus, P_ghWp, 155, check)
    call createCurrent(P_t, P_bAnti, P_GQMinus, 995, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hl, 492, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghZAnti, P_WPlus, 4641, check)
    call createCurrent(P_HlQ, P_muPlus, P_muMinus, 1064, check)
    call createCurrent(P_GQPlus, P_ghWm, P_G0, P_ghZAnti, 4892, check)
    call createCurrent(P_GQMinus, P_ghA, P_Hh, P_ghWmAnti, 761, check)
    call createCurrent(P_uAnti, P_d, P_WQPlus, 3826, check)
    call createCurrent(P_HlQ, P_Z, P_GMinus, P_WQPlus, 4023, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_A, 3058, check)
    call createCurrent(P_HhQ, P_ghWm, P_Hl, P_ghWmAnti, 3634, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HlQ, 3666, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghAAnti, P_ghZ, 2799, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 230, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 2864, check)
    call createCurrent(P_Z, P_G0, 5111, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWp, P_GMinus, 4776, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WQPlus, 1527, check)
    call createCurrent(P_WQMinus, P_A, P_Z, P_WQPlus, 709, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_GQ0, 2873, check)
    call createCurrent(P_ZQ, P_Z, P_Hh, P_HlQ, 4755, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghZ, P_WQMinus, 2186, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 3010, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 2085, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_GPlus, 3601, check)
    call createCurrent(P_ghZ, P_Z, P_WPlus, P_ghWpAnti, 1803, check)
    call createCurrent(P_g, P_g, P_Hl, 5192, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_HhQ, 3224, check)
    call createCurrent(P_HlQ, P_Hh, P_ghWp, P_ghWpAnti, 3481, check)
    call createCurrent(P_WQPlus, P_Hl, P_Hl, P_WQMinus, 1053, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_G0, 4143, check)
    call createCurrent(P_ghZ, P_Z, P_WMinus, P_ghWmAnti, 4505, check)
    call createCurrent(P_u, P_dAnti, P_WQMinus, 3173, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, 1497, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 1591, check)
    call createCurrent(P_GQPlus, P_Z, P_GMinus, P_AQ, 3006, check)
    call createCurrent(P_uAnti, P_g, P_u, 4251, check)
    call createCurrent(P_G0, P_ghWp, P_GMinus, P_ghZAnti, 2403, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWm, P_GPlus, 3937, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WQPlus, 1822, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Z, P_AQ, 4742, check)
    call createCurrent(P_ghWm, P_WPlus, P_WMinus, P_ghWmAnti, 896, check)
    call createCurrent(P_WMinus, P_A, P_ghZ, P_ghWmAnti, 877, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghZAnti, P_WQPlus, 4489, check)
    call createCurrent(P_ZQ, P_Z, P_GMinus, P_GQPlus, 2992, check)
    call createCurrent(P_Hh, P_Z, P_Z, 1326, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 3565, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 2365, check)
    call createCurrent(P_HlQ, P_WPlus, P_WMinus, P_HhQ, 2231, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghA, P_GPlus, 3643, check)
    call createCurrent(P_u, P_uAnti, P_gQ, 745, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_AQ, 1989, check)
    call createCurrent(P_G0, P_A, 5105, check)
    call createCurrent(P_g, P_uAnti, P_u, 3842, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghZAnti, P_WPlus, 88, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 5189, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Hl, 4808, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghA, P_WPlus, 626, check)
    call createCurrent(P_A, P_WPlus, P_ghAAnti, P_ghWm, 1964, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 1272, check)
    call createCurrent(P_Hh, P_ghWm, P_ghAAnti, P_GPlus, 1901, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HhQ, 1970, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_HlQ, 1336, check)
    call createCurrent(P_ZQ, P_WMinus, P_Z, P_WQPlus, 2532, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 623, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WMinus, P_WPlus, 2248, check)
    call createCurrent(P_HlQ, P_ghWm, P_Hl, P_ghWmAnti, 1590, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghZAnti, 1362, check)
    call createCurrent(P_uAnti, P_Hl, P_u, 3475, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, P_Hh, 1720, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_HhQ, 4132, check)
    call createCurrent(P_ePlus, P_nu_e, P_WQMinus, 644, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_A, P_ghA, 2228, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 999, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghZAnti, 449, check)
    call createCurrent(P_HlQ, P_GMinus, P_GQPlus, 3794, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WPlus, 4274, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 911, check)
    call createCurrent(P_d, P_uAnti, P_GQPlus, 2493, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hl, 3756, check)
    call createCurrent(P_ZQ, P_GPlus, P_G0, P_WQMinus, 3363, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 1021, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWm, P_ghZAnti, 1372, check)
    call createCurrent(P_g, P_g, P_A, P_A, 5238, check)
    call createCurrent(P_muMinus, P_muPlus, P_HhQ, 1111, check)
    call createCurrent(P_HlQ, P_ghZ, P_ghZAnti, 2494, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, P_A, 2778, check)
    call createCurrent(P_dAnti, P_d, P_G0, 695, check)
    call createCurrent(P_GQMinus, P_Hl, P_Z, P_WQPlus, 3775, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWp, P_WMinus, 4612, check)
    call createCurrent(P_GQ0, P_GMinus, P_Hh, P_GQPlus, 3931, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghAAnti, 3665, check)
    call createCurrent(P_HhQ, P_cAnti, P_c, 655, check)
    call createCurrent(P_bAnti, P_b, P_G0, 2839, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghZ, P_WPlus, 4784, check)
    call createCurrent(P_G0, P_ghWp, P_ghZAnti, P_GMinus, 275, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 2046, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_G0, 1426, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_G0, 1027, check)
    call createCurrent(P_WQMinus, P_ePlus, P_nu_e, 2835, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 5252, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 3901, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 2031, check)
    call createCurrent(P_ghAAnti, P_Z, P_WPlus, P_ghWm, 3474, check)
    call createCurrent(P_GQ0, P_ghWm, P_Hl, P_ghWmAnti, 2333, check)
    call createCurrent(P_eMinus, P_ePlus, P_Hh, 4746, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghAAnti, P_ghZ, 4631, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_Hl, 2611, check)
    call createCurrent(P_ZQ, P_GMinus, P_WQPlus, 2173, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Hl, P_ghWm, 4854, check)
    call createCurrent(P_Hl, P_G0, P_A, 5039, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWpAnti, P_ghWm, 2278, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Z, P_WPlus, 40, check)
    call createCurrent(P_HhQ, P_Hh, P_Hh, P_HhQ, 4914, check)
    call createCurrent(P_GQ0, P_GPlus, P_GQMinus, 3823, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_Hh, 3769, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 2673, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WPlus, 4859, check)
    call createCurrent(P_Hh, P_Hl, P_g, P_g, 5165, check)
    call createCurrent(P_ZQ, P_A, P_WMinus, P_WQPlus, 787, check)
    call createCurrent(P_Hl, P_WMinus, P_Z, P_GPlus, 4017, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghZAnti, 1393, check)
    call createCurrent(P_HhQ, P_s, P_sAnti, 998, check)
    call createCurrent(P_HhQ, P_Hh, P_WPlus, P_WQMinus, 2374, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 874, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_Z, 923, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WQMinus, 2013, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghWp, P_ghZAnti, 1793, check)
    call createCurrent(P_Hh, P_eMinus, P_ePlus, 978, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_Z, P_ghWp, 4424, check)
    call createCurrent(P_GQPlus, P_Z, P_A, P_GQMinus, 2710, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1308, check)
    call createCurrent(P_Hl, P_ghZAnti, P_Hh, P_ghZ, 591, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_ZQ, 2381, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 5225, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HlQ, 446, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, P_Z, 3484, check)
    call createCurrent(P_WQPlus, P_ghZAnti, P_WMinus, P_ghZ, 3141, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_HlQ, 4446, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_Hl, 3813, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Hh, P_GMinus, 2689, check)
    call createCurrent(P_bAnti, P_b, P_gQ, 3750, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, P_Hl, 3203, check)
    call createCurrent(P_bAnti, P_Hh, P_b, 428, check)
    call createCurrent(P_Hh, P_A, P_GMinus, P_WPlus, 2440, check)
    call createCurrent(P_WQPlus, P_WMinus, P_AQ, 3862, check)
    call createCurrent(P_A, P_ghA, P_ghWpAnti, P_WPlus, 4496, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWpAnti, P_ghZ, 1670, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hh, 5063, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 4503, check)
    call createCurrent(P_GQPlus, P_Hl, P_Z, P_WQMinus, 459, check)
  end subroutine fill_current_2
end module currents_info2
